/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* AMDGPUPreLegalizerCombinerImpl Combiner Match Table                        *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GICOMBINER_DEPS
#include "llvm/ADT/SparseBitVector.h"
namespace llvm {
extern cl::OptionCategory GICombinerOptionCategory;
} // end namespace llvm
#endif // ifdef GET_GICOMBINER_DEPS

#ifdef GET_GICOMBINER_TYPES
struct AMDGPUPreLegalizerCombinerImplRuleConfig {
  SparseBitVector<> DisabledRules;

  bool isRuleEnabled(unsigned RuleID) const;
  bool parseCommandLineOption();
  bool setRuleEnabled(StringRef RuleIdentifier);
  bool setRuleDisabled(StringRef RuleIdentifier);
};

static std::optional<uint64_t> getRuleIdxForIdentifier(StringRef RuleIdentifier) {
  uint64_t I;
  // getAtInteger(...) returns false on success
  bool Parsed = !RuleIdentifier.getAsInteger(0, I);
  if (Parsed)
    return I;

#ifndef NDEBUG
  switch (RuleIdentifier.size()) {
  default: break;
  case 9:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "opy_prop", 8) != 0)
        break;
      return 13;	 // "copy_prop"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ors", 7) != 0)
          break;
        return 194;	 // "match_ors"
      case 'u':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "lo_by_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case '0':	 // 1 string to match.
          return 144;	 // "mulo_by_0"
        case '2':	 // 1 string to match.
          return 143;	 // "mulo_by_2"
        }
        break;
      }
      break;
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "neg_zext", 8) != 0)
        break;
      return 199;	 // "nneg_zext"
    }
    break;
  case 10:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2p_to_p2i", 9) != 0)
        break;
      return 89;	 // "i2p_to_p2i"
    case 'm':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_ands", 8) != 0)
          break;
        return 193;	 // "match_ands"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_to_shl", 8) != 0)
          break;
        return 14;	 // "mul_to_shl"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2i_to_i2p", 9) != 0)
        break;
      return 88;	 // "p2i_to_i2p"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_trunc", 8) != 0)
          break;
        return 197;	 // "sext_trunc"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_to_add", 8) != 0)
          break;
        return 15;	 // "sub_to_add"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc", 9) != 0)
        break;
      return 198;	 // "zext_trunc"
    }
    break;
  case 11:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_sub_reg", 10) != 0)
        break;
      return 94;	 // "add_sub_reg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_addos", 10) != 0)
        break;
      return 213;	 // "match_addos"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ub_add_reg", 10) != 0)
        break;
      return 188;	 // "sub_add_reg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_shift", 10) != 0)
        break;
      return 131;	 // "trunc_shift"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_cst", 10) != 0)
        break;
      return 207;	 // "unmerge_cst"
    }
    break;
  case 12:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinusB", 11) != 0)
        break;
      return 2;	 // "APlusBMinusB"
    case 'B':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusAPlusA", 11) != 0)
        break;
      return 3;	 // "BMinusAPlusA"
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dde_to_addo", 11) != 0)
        break;
      return 145;	 // "adde_to_addo"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "sub_to_fneg", 11) != 0)
        break;
      return 190;	 // "fsub_to_fneg"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ulh_to_lshr", 11) != 0)
        break;
      return 175;	 // "mulh_to_lshr"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ot_cmp_fold", 11) != 0)
        break;
      return 132;	 // "not_cmp_fold"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_or", 11) != 0)
        break;
      return 127;	 // "redundant_or"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_pow2", 10) != 0)
          break;
        return 173;	 // "sdiv_by_pow2"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "xt_of_sext", 10) != 0)
          break;
        return 48;	 // "sext_of_sext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "div_by_pow2", 11) != 0)
        break;
      return 174;	 // "udiv_by_pow2"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_zext", 11) != 0)
        break;
      return 46;	 // "zext_of_zext"
    }
    break;
  case 13:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dd_of_vscale", 12) != 0)
        break;
      return 37;	 // "add_of_vscale"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_shift", 12) != 0)
        break;
      return 161;	 // "commute_shift"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oldable_fneg", 12) != 0)
        break;
      return 217;	 // "foldable_fneg"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_and_mask", 12) != 0)
        break;
      return 69;	 // "load_and_mask"
    case 'm':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "tch_selects", 11) != 0)
          break;
        return 124;	 // "match_selects"
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "rge_unmerge", 11) != 0)
          break;
        return 206;	 // "merge_unmerge"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 38;	 // "mul_of_vscale"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_and", 12) != 0)
        break;
      return 125;	 // "redundant_and"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 172;	 // "sdiv_by_const"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "l_of_vscale", 11) != 0)
          break;
        return 39;	 // "shl_of_vscale"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "b_of_vscale", 11) != 0)
          break;
        return 40;	 // "sub_of_vscale"
      }
      break;
    case 'u':	 // 4 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "iv_by_const", 11) != 0)
          break;
        return 171;	 // "udiv_by_const"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "merge_", 6) != 0)
          break;
        switch (RuleIdentifier[8]) {
        default: break;
        case 'm':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "erge", 4) != 0)
            break;
          return 205;	 // "unmerge_merge"
        case 'u':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+9, "ndef", 4) != 0)
            break;
          return 208;	 // "unmerge_undef"
        }
        break;
      case 'r':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "em_by_const", 11) != 0)
          break;
        return 187;	 // "urem_by_const"
      }
      break;
    }
    break;
  case 14:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1PlusC2", 12) != 0)
          break;
        return 12;	 // "AMinusC1PlusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusC1MinusC2", 12) != 0)
          break;
        return 8;	 // "APlusC1MinusC2"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "2MinusAPlusC1", 13) != 0)
        break;
      return 9;	 // "C2MinusAPlusC1"
    case 'a':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_", 9) != 0)
        break;
      switch (RuleIdentifier[10]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 52;	 // "anyext_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+11, "ext", 3) != 0)
          break;
        return 51;	 // "anyext_of_zext"
      }
      break;
    case 'b':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'i')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "op_same_val", 11) != 0)
          break;
        return 85;	 // "binop_same_val"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "reverse_shl", 11) != 0)
          break;
        return 159;	 // "bitreverse_shl"
      }
      break;
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "bs_fneg_fold", 12) != 0)
          break;
        return 170;	 // "fabs_fneg_fold"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "eg_fneg_fold", 12) != 0)
          break;
        return 91;	 // "fneg_fneg_fold"
      }
      break;
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ul_by_neg_one", 13) != 0)
        break;
      return 17;	 // "mul_by_neg_one"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eassoc_ptradd", 13) != 0)
        break;
      return 106;	 // "reassoc_ptradd"
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 2 strings to match.
        switch (RuleIdentifier[2]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "ect_of_zext", 11) != 0)
            break;
          return 54;	 // "select_of_zext"
        case 'x':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+3, "t_of_anyext", 11) != 0)
            break;
          return 49;	 // "sext_of_anyext"
        }
        break;
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ifts_too_big", 12) != 0)
          break;
        return 105;	 // "shifts_too_big"
      }
      break;
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_of_anyext", 13) != 0)
        break;
      return 47;	 // "zext_of_anyext"
    }
    break;
  case 15:	 // 12 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'M':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "inusC1MinusC2", 13) != 0)
          break;
        return 10;	 // "AMinusC1MinusC2"
      case 'P':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lusZeroMinusB", 13) != 0)
          break;
        return 1;	 // "APlusZeroMinusB"
      }
      break;
    case 'C':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "1Minus2MinusC2", 14) != 0)
        break;
      return 11;	 // "C1Minus2MinusC2"
    case 'Z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eroMinusAPlusB", 14) != 0)
        break;
      return 0;	 // "ZeroMinusAPlusB"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itreverse_lshr", 14) != 0)
        break;
      return 160;	 // "bitreverse_lshr"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtending_loads", 14) != 0)
        break;
      return 68;	 // "extending_loads"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "dempotent_prop", 14) != 0)
        break;
      return 18;	 // "idempotent_prop"
    case 'l':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oad_or_combine", 14) != 0)
        break;
      return 152;	 // "load_or_combine"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_or", 14) != 0)
        break;
      return 62;	 // "narrow_binop_or"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "verlapping_and", 14) != 0)
        break;
      return 142;	 // "overlapping_and"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_same_val", 14) != 0)
        break;
      return 83;	 // "select_same_val"
    case 'z':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_trunc_fold", 14) != 0)
        break;
      return 129;	 // "zext_trunc_fold"
    }
    break;
  case 16:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nyext_of_anyext", 15) != 0)
        break;
      return 50;	 // "anyext_of_anyext"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "lamp_i64_to_i16", 15) != 0)
        break;
      return 216;	 // "clamp_i64_to_i16"
    case 'n':	 // 5 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_", 12) != 0)
        break;
      switch (RuleIdentifier[13]) {
      default: break;
      case 'a':	 // 2 strings to match.
        switch (RuleIdentifier[14]) {
        default: break;
        case 'd':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 58;	 // "narrow_binop_add"
        case 'n':	 // 1 string to match.
          if (RuleIdentifier[15] != 'd')
            break;
          return 61;	 // "narrow_binop_and"
        }
        break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ul", 2) != 0)
          break;
        return 60;	 // "narrow_binop_mul"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "ub", 2) != 0)
          break;
        return 59;	 // "narrow_binop_sub"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+14, "or", 2) != 0)
          break;
        return 63;	 // "narrow_binop_xor"
      }
      break;
    case 's':	 // 3 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "elect_", 6) != 0)
        break;
      switch (RuleIdentifier[7]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "f_anyext", 8) != 0)
          break;
        return 55;	 // "select_of_anyext"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "o_minmax", 8) != 0)
          break;
        return 189;	 // "select_to_minmax"
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+8, "ndef_cmp", 8) != 0)
          break;
        return 121;	 // "select_undef_cmp"
      }
      break;
    case 't':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_", 11) != 0)
        break;
      switch (RuleIdentifier[12]) {
      default: break;
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 44;	 // "truncate_of_sext"
      case 'z':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+13, "ext", 3) != 0)
          break;
        return 43;	 // "truncate_of_zext"
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ndef_to_fp_zero", 15) != 0)
        break;
      return 71;	 // "undef_to_fp_zero"
    }
    break;
  case 17:	 // 14 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "PlusBMinus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'A':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "plusC", 5) != 0)
          break;
        return 6;	 // "APlusBMinusAplusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "PlusA", 5) != 0)
          break;
        return 7;	 // "APlusBMinusCPlusA"
      }
      break;
    case 'a':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "d_p2i_to_ptradd", 15) != 0)
          break;
        return 16;	 // "add_p2i_to_ptradd"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "yext_trunc_fold", 15) != 0)
          break;
        return 90;	 // "anyext_trunc_fold"
      }
      break;
    case 'c':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'a':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nonicalize_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 110;	 // "canonicalize_fcmp"
        case 'i':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "cmp", 3) != 0)
            break;
          return 109;	 // "canonicalize_icmp"
        }
        break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "nstant_fold_fma", 15) != 0)
          break;
        return 168;	 // "constant_fold_fma"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "iv_rem_to_divrem", 16) != 0)
        break;
      return 153;	 // "div_rem_to_divrem"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "rase_undef_store", 16) != 0)
        break;
      return 81;	 // "erase_undef_store"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_with_zero", 16) != 0)
        break;
      return 149;	 // "ptr_add_with_zero"
    case 's':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_to_iminmax", 15) != 0)
          break;
        return 123;	 // "select_to_iminmax"
      case 'h':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ift_immed_chain", 15) != 0)
          break;
        return 150;	 // "shift_immed_chain"
      }
      break;
    case 'u':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "def_to_int_zero", 15) != 0)
          break;
        return 72;	 // "undef_to_int_zero"
      case 'r':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "em_pow2_to_mask", 15) != 0)
          break;
        return 128;	 // "urem_pow2_to_mask"
      }
      break;
    }
    break;
  case 18:	 // 11 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'A':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "MinusBPlus", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'B':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusC", 6) != 0)
          break;
        return 5;	 // "AMinusBPlusBMinusC"
      case 'C':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "MinusA", 6) != 0)
          break;
        return 4;	 // "AMinusBPlusCMinusA"
      }
      break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_to_zero", 17) != 0)
        break;
      return 86;	 // "binop_left_to_zero"
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_minmax_nan", 15) != 0)
          break;
        return 146;	 // "combine_minmax_nan"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_f", 12) != 0)
          break;
        switch (RuleIdentifier[15]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "bs", 2) != 0)
            break;
          return 135;	 // "constant_fold_fabs"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+16, "eg", 2) != 0)
            break;
          return 134;	 // "constant_fold_fneg"
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xpand_const_fpowi", 17) != 0)
        break;
      return 147;	 // "expand_const_fpowi"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ptrunc_fpext_fold", 17) != 0)
        break;
      return 99;	 // "fptrunc_fpext_fold"
    case 's':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'e')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ect_of_truncate", 15) != 0)
          break;
        return 56;	 // "select_of_truncate"
      case 'x':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "t_inreg_of_load", 15) != 0)
          break;
        return 118;	 // "sext_inreg_of_load"
      }
      break;
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runcate_of_anyext", 17) != 0)
        break;
      return 45;	 // "truncate_of_anyext"
    }
    break;
  case 19:	 // 15 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_to_zero", 18) != 0)
        break;
      return 87;	 // "binop_right_to_zero"
    case 'c':	 // 4 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "onst", 4) != 0)
        break;
      switch (RuleIdentifier[5]) {
      default: break;
      case '_':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+6, "ptradd_to_i2p", 13) != 0)
          break;
        return 141;	 // "const_ptradd_to_i2p"
      case 'a':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+6, "nt_fold_", 8) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'b':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "inop", 4) != 0)
            break;
          return 166;	 // "constant_fold_binop"
        case 'f':	 // 2 strings to match.
          switch (RuleIdentifier[15]) {
          default: break;
          case 'l':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "og2", 3) != 0)
              break;
            return 137;	 // "constant_fold_flog2"
          case 's':	 // 1 string to match.
            if (memcmp(RuleIdentifier.data()+16, "qrt", 3) != 0)
              break;
            return 136;	 // "constant_fold_fsqrt"
          }
          break;
        }
        break;
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtend_through_phis", 18) != 0)
        break;
      return 102;	 // "extend_through_phis"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nteger_of_truncate", 18) != 0)
        break;
      return 64;	 // "integer_of_truncate"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_zero", 18) != 0)
        break;
      return 212;	 // "merge_of_x_and_zero"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "tr_add_immed_chain", 18) != 0)
        break;
      return 108;	 // "ptr_add_immed_chain"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "assoc_comm_binops", 17) != 0)
          break;
        return 107;	 // "reassoc_comm_binops"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_zero", 17) != 0)
          break;
        return 84;	 // "right_identity_zero"
      }
      break;
    case 's':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "lect_constant_cmp", 17) != 0)
          break;
        return 122;	 // "select_constant_cmp"
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "mplify_", 7) != 0)
          break;
        switch (RuleIdentifier[9]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "dd_to_sub", 9) != 0)
            break;
          return 103;	 // "simplify_add_to_sub"
        case 'n':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+10, "eg_minmax", 9) != 0)
            break;
          return 195;	 // "simplify_neg_minmax"
        }
        break;
      }
      break;
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nary_undef_to_zero", 18) != 0)
        break;
      return 76;	 // "unary_undef_to_zero"
    }
    break;
  case 20:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nd_or_disjoint_mask", 19) != 0)
        break;
      return 177;	 // "and_or_disjoint_mask"
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itcast_bitcast_fold", 19) != 0)
        break;
      return 98;	 // "bitcast_bitcast_fold"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "erge_of_x_and_undef", 19) != 0)
        break;
      return 211;	 // "merge_of_x_and_undef"
    case 'r':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "edu", 3) != 0)
        break;
      switch (RuleIdentifier[4]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+5, "e_shl_of_extend", 15) != 0)
          break;
        return 119;	 // "reduce_shl_of_extend"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+5, "dant_sext_inreg", 15) != 0)
          break;
        return 126;	 // "redundant_sext_inreg"
      }
      break;
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ry_undef_to_undef", 17) != 0)
          break;
        return 77;	 // "unary_undef_to_undef"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_zext_to_zext", 17) != 0)
          break;
        return 210;	 // "unmerge_zext_to_zext"
      }
      break;
    }
    break;
  case 21:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 3 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_concat_vector", 18) != 0)
          break;
        return 196;	 // "combine_concat_vector"
      case 'n':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_", 11) != 0)
          break;
        switch (RuleIdentifier[14]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ast_op", 6) != 0)
            break;
          return 169;	 // "constant_fold_cast_op"
        case 'f':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+15, "ptrunc", 6) != 0)
            break;
          return 138;	 // "constant_fold_fptrunc"
        }
        break;
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_vector_elt_oob", 20) != 0)
        break;
      return 24;	 // "insert_vector_elt_oob"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_one_fp", 20) != 0)
        break;
      return 93;	 // "right_identity_one_fp"
    case 'u':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'n')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'd':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "ef_to_negative_one", 18) != 0)
          break;
        return 73;	 // "undef_to_negative_one"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "erge_dead_to_trunc", 18) != 0)
          break;
        return 209;	 // "unmerge_dead_to_trunc"
      }
      break;
    }
    break;
  case 22:	 // 13 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (RuleIdentifier[1] != 'o')
        break;
      switch (RuleIdentifier[2]) {
      default: break;
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "bine_shuffle_concat", 19) != 0)
          break;
        return 200;	 // "combine_shuffle_concat"
      case 'n':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+3, "stant_fold_fp_binop", 19) != 0)
          break;
        return 167;	 // "constant_fold_fp_binop"
      }
      break;
    case 'f':	 // 4 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ld_binop_into_select", 20) != 0)
          break;
        return 186;	 // "fold_binop_into_select"
      case 'u':	 // 3 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "nnel_shift_", 11) != 0)
          break;
        switch (RuleIdentifier[13]) {
        default: break;
        case 'l':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "eft_zero", 8) != 0)
            break;
          return 157;	 // "funnel_shift_left_zero"
        case 'o':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "vershift", 8) != 0)
            break;
          return 158;	 // "funnel_shift_overshift"
        case 't':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+14, "o_rotate", 8) != 0)
            break;
          return 155;	 // "funnel_shift_to_rotate"
        }
        break;
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_lhs_known_bits", 21) != 0)
        break;
      return 112;	 // "icmp_to_lhs_known_bits"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_subo_no_overflow", 21) != 0)
        break;
      return 214;	 // "match_subo_no_overflow"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_any_op", 21) != 0)
        break;
      return 78;	 // "propagate_undef_any_op"
    case 'r':	 // 2 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "dundant_neg_operands", 20) != 0)
          break;
        return 176;	 // "redundant_neg_operands"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ght_identity_one_int", 20) != 0)
          break;
        return 92;	 // "right_identity_one_int"
      }
      break;
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hl_ashr_to_sext_inreg", 21) != 0)
        break;
      return 116;	 // "shl_ashr_to_sext_inreg"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_buildvector_fold", 21) != 0)
        break;
      return 96;	 // "trunc_buildvector_fold"
    }
    break;
  case 23:	 // 5 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "uildvector_of_truncate", 22) != 0)
        break;
      return 57;	 // "buildvector_of_truncate"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_right_zero", 22) != 0)
        break;
      return 156;	 // "funnel_shift_right_zero"
    case 'i':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "tof_const_zero_fold_", 20) != 0)
        break;
      switch (RuleIdentifier[21]) {
      default: break;
      case 's':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 139;	 // "itof_const_zero_fold_si"
      case 'u':	 // 1 string to match.
        if (RuleIdentifier[22] != 'i')
          break;
        return 140;	 // "itof_const_zero_fold_ui"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_all_ops", 22) != 0)
        break;
      return 79;	 // "propagate_undef_all_ops"
    }
    break;
  case 24:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_left_undef_to_zero", 23) != 0)
        break;
      return 74;	 // "binop_left_undef_to_zero"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element", 23) != 0)
        break;
      return 23;	 // "match_extract_of_element"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "arrow_binop_feeding_and", 23) != 0)
        break;
      return 120;	 // "narrow_binop_feeding_and"
    case 's':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ext_inreg_", 10) != 0)
        break;
      switch (RuleIdentifier[11]) {
      default: break;
      case 'o':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "f_sext_inreg", 12) != 0)
          break;
        return 53;	 // "sext_inreg_of_sext_inreg"
      case 't':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+12, "o_zext_inreg", 12) != 0)
          break;
        return 130;	 // "sext_inreg_to_zext_inreg"
      }
      break;
    case 'x':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "or_of_and_with_same_reg", 23) != 0)
        break;
      return 148;	 // "xor_of_and_with_same_reg"
    }
    break;
  case 25:	 // 7 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 3 strings to match.
      switch (RuleIdentifier[1]) {
      default: break;
      case 'i':	 // 2 strings to match.
        if (memcmp(RuleIdentifier.data()+2, "tfield_extract_from_", 20) != 0)
          break;
        switch (RuleIdentifier[22]) {
        default: break;
        case 'a':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "nd", 2) != 0)
            break;
          return 163;	 // "bitfield_extract_from_and"
        case 's':	 // 1 string to match.
          if (memcmp(RuleIdentifier.data()+23, "hr", 2) != 0)
            break;
          return 164;	 // "bitfield_extract_from_shr"
        }
        break;
      case 'u':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+2, "ildvector_identity_fold", 23) != 0)
          break;
        return 95;	 // "buildvector_identity_fold"
      }
      break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_shuffle_undef_rhs", 24) != 0)
        break;
      return 201;	 // "combine_shuffle_undef_rhs"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vec_elt_build_vec", 24) != 0)
        break;
      return 66;	 // "extract_vec_elt_build_vec"
    case 'n':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "eg_and_one_to_sext_inreg", 24) != 0)
        break;
      return 117;	 // "neg_and_one_to_sext_inreg"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_one_fp", 24) != 0)
        break;
      return 101;	 // "right_identity_neg_one_fp"
    }
    break;
  case 26:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "inop_right_undef_to_undef", 25) != 0)
        break;
      return 75;	 // "binop_right_undef_to_undef"
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ommute_fp_constant_to_rhs", 25) != 0)
        break;
      return 192;	 // "commute_fp_constant_to_rhs"
    case 'f':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "unnel_shift_from_or_shift", 25) != 0)
        break;
      return 154;	 // "funnel_shift_from_or_shift"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ight_identity_neg_zero_fp", 25) != 0)
        break;
      return 100;	 // "right_identity_neg_zero_fp"
    }
    break;
  case 27:	 // 6 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "om", 2) != 0)
        break;
      switch (RuleIdentifier[3]) {
      default: break;
      case 'b':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ine_use_vector_truncate", 23) != 0)
          break;
        return 203;	 // "combine_use_vector_truncate"
      case 'm':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+4, "ute_int_constant_to_rhs", 23) != 0)
          break;
        return 191;	 // "commute_int_constant_to_rhs"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_or_combine", 26) != 0)
        break;
      return 114;	 // "double_icmp_zero_or_combine"
    case 'r':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "edundant_binop_in_equality", 26) != 0)
        break;
      return 115;	 // "redundant_binop_in_equality"
    case 't':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "runc_lshr_buildvector_fold", 26) != 0)
        break;
      return 97;	 // "trunc_lshr_buildvector_fold"
    case 'u':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nmerge_anyext_build_vector", 26) != 0)
        break;
      return 204;	 // "unmerge_anyext_build_vector"
    }
    break;
  case 28:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'd':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ouble_icmp_zero_and_combine", 27) != 0)
        break;
      return 113;	 // "double_icmp_zero_and_combine"
    case 'o':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "pt_brcond_by_inverting_cond", 27) != 0)
        break;
      return 133;	 // "opt_brcond_by_inverting_cond"
    case 'p':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ropagate_undef_shuffle_mask", 27) != 0)
        break;
      return 80;	 // "propagate_undef_shuffle_mask"
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "hift_of_shifted_logic_chain", 27) != 0)
        break;
      return 151;	 // "shift_of_shifted_logic_chain"
    }
    break;
  case 29:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_shr_and", 28) != 0)
        break;
      return 165;	 // "bitfield_extract_from_shr_and"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'e':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "xtracted_vector_load", 20) != 0)
          break;
        return 70;	 // "combine_extracted_vector_load"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "huffle_disjoint_mask", 20) != 0)
          break;
        return 202;	 // "combine_shuffle_disjoint_mask"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "cmp_to_true_false_known_bits", 28) != 0)
        break;
      return 111;	 // "icmp_to_true_false_known_bits"
    }
    break;
  case 30:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "freeze_of_non_undef_non_poison", 30) != 0)
      break;
    return 41;	 // "freeze_of_non_undef_non_poison"
  case 31:	 // 2 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_", 22) != 0)
      break;
    switch (RuleIdentifier[22]) {
    default: break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+23, "lt_undef", 8) != 0)
        break;
      return 22;	 // "insert_vector_element_elt_undef"
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+23, "dx_undef", 8) != 0)
        break;
      return 21;	 // "insert_vector_element_idx_undef"
    }
    break;
  case 32:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'b':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "itfield_extract_from_sext_inreg", 31) != 0)
        break;
      return 162;	 // "bitfield_extract_from_sext_inreg"
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_f", 8) != 0)
        break;
      switch (RuleIdentifier[9]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "dd_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 178;	 // "combine_fadd_fmul_to_fmad_or_fma"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "ub_fmul_to_fmad_or_fma", 22) != 0)
          break;
        return 182;	 // "combine_fsub_fmul_to_fmad_or_fma"
      }
      break;
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_not_const", 31) != 0)
        break;
      return 25;	 // "extract_vector_element_not_const"
    }
    break;
  case 34:	 // 2 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fmul_with_select_to_fldexp", 33) != 0)
        break;
      return 215;	 // "combine_fmul_with_select_to_fldexp"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_all_elts_from_build_vector", 33) != 0)
        break;
      return 67;	 // "extract_all_elts_from_build_vector"
    }
    break;
  case 35:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_build_vector", 35) != 0)
      break;
    return 27;	 // "extract_vector_element_build_vector"
  case 36:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 2 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_", 7) != 0)
        break;
      switch (RuleIdentifier[8]) {
      default: break;
      case 'f':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "add_fma_fmul_to_fmad_or_fma", 27) != 0)
          break;
        return 180;	 // "combine_fadd_fma_fmul_to_fmad_or_fma"
      case 'i':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+9, "nsert_vec_elts_build_vector", 27) != 0)
          break;
        return 65;	 // "combine_insert_vec_elts_build_vector"
      }
      break;
    case 'i':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "nsert_extract_vec_elt_out_of_bounds", 35) != 0)
        break;
      return 82;	 // "insert_extract_vec_elt_out_of_bounds"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_index", 35) != 0)
        break;
      return 20;	 // "match_extract_of_element_undef_index"
    }
    break;
  case 37:	 // 4 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fsub_fneg_fmul_to_fmad_or_fma", 36) != 0)
        break;
      return 183;	 // "combine_fsub_fneg_fmul_to_fmad_or_fma"
    case 'e':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_shuffle_vector", 36) != 0)
        break;
      return 35;	 // "extract_vector_element_shuffle_vector"
    case 'h':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "oist_logic_op_with_same_opcode_hands", 36) != 0)
        break;
      return 104;	 // "hoist_logic_op_with_same_opcode_hands"
    case 'm':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "atch_extract_of_element_undef_vector", 36) != 0)
        break;
      return 19;	 // "match_extract_of_element_undef_vector"
    }
    break;
  case 38:	 // 3 strings to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_", 8) != 0)
      break;
    switch (RuleIdentifier[8]) {
    default: break;
    case 'f':	 // 2 strings to match.
      switch (RuleIdentifier[9]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "dd_fpext_fmul_to_fmad_or_fma", 28) != 0)
          break;
        return 179;	 // "combine_fadd_fpext_fmul_to_fmad_or_fma"
      case 's':	 // 1 string to match.
        if (memcmp(RuleIdentifier.data()+10, "ub_fpext_fmul_to_fmad_or_fma", 28) != 0)
          break;
        return 184;	 // "combine_fsub_fpext_fmul_to_fmad_or_fma"
      }
      break;
    case 's':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+9, "huffle_vector_to_build_vector", 29) != 0)
        break;
      return 218;	 // "combine_shuffle_vector_to_build_vector"
    }
    break;
  case 40:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "extract_vector_element_different_indices", 40) != 0)
      break;
    return 26;	 // "extract_vector_element_different_indices"
  case 42:	 // 8 strings to match.
    switch (RuleIdentifier[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(RuleIdentifier.data()+1, "ombine_fadd_fpext_fma_fmul_to_fmad_or_fma", 41) != 0)
        break;
      return 181;	 // "combine_fadd_fpext_fma_fmul_to_fmad_or_fma"
    case 'e':	 // 7 strings to match.
      if (memcmp(RuleIdentifier.data()+1, "xtract_vector_element_build_vector_trunc", 40) != 0)
        break;
      switch (RuleIdentifier[41]) {
      default: break;
      case '2':	 // 1 string to match.
        return 28;	 // "extract_vector_element_build_vector_trunc2"
      case '3':	 // 1 string to match.
        return 29;	 // "extract_vector_element_build_vector_trunc3"
      case '4':	 // 1 string to match.
        return 30;	 // "extract_vector_element_build_vector_trunc4"
      case '5':	 // 1 string to match.
        return 31;	 // "extract_vector_element_build_vector_trunc5"
      case '6':	 // 1 string to match.
        return 32;	 // "extract_vector_element_build_vector_trunc6"
      case '7':	 // 1 string to match.
        return 33;	 // "extract_vector_element_build_vector_trunc7"
      case '8':	 // 1 string to match.
        return 34;	 // "extract_vector_element_build_vector_trunc8"
      }
      break;
    }
    break;
  case 43:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma", 43) != 0)
      break;
    return 185;	 // "combine_fsub_fpext_fneg_fmul_to_fmad_or_fma"
  case 44:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "insert_vector_element_extract_vector_element", 44) != 0)
      break;
    return 36;	 // "insert_vector_element_extract_vector_element"
  case 46:	 // 1 string to match.
    if (memcmp(RuleIdentifier.data()+0, "push_freeze_to_prevent_poison_from_propagating", 46) != 0)
      break;
    return 42;	 // "push_freeze_to_prevent_poison_from_propagating"
  }
#endif // ifndef NDEBUG

  return std::nullopt;
}
static std::optional<std::pair<uint64_t, uint64_t>> getRuleRangeForIdentifier(StringRef RuleIdentifier) {
  std::pair<StringRef, StringRef> RangePair = RuleIdentifier.split('-');
  if (!RangePair.second.empty()) {
    const auto First = getRuleIdxForIdentifier(RangePair.first);
    const auto Last = getRuleIdxForIdentifier(RangePair.second);
    if (!First || !Last)
      return std::nullopt;
    if (First >= Last)
      report_fatal_error("Beginning of range should be before end of range");
    return {{*First, *Last + 1}};
  }
  if (RangePair.first == "*") {
    return {{0, 219}};
  }
  const auto I = getRuleIdxForIdentifier(RangePair.first);
  if (!I)
    return std::nullopt;
  return {{*I, *I + 1}};
}

bool AMDGPUPreLegalizerCombinerImplRuleConfig::setRuleEnabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.reset(I);
  return true;
}

bool AMDGPUPreLegalizerCombinerImplRuleConfig::setRuleDisabled(StringRef RuleIdentifier) {
  auto MaybeRange = getRuleRangeForIdentifier(RuleIdentifier);
  if (!MaybeRange)
    return false;
  for (auto I = MaybeRange->first; I < MaybeRange->second; ++I)
    DisabledRules.set(I);
  return true;
}

static std::vector<std::string> AMDGPUPreLegalizerCombinerOption;
static cl::list<std::string> AMDGPUPreLegalizerCombinerDisableOption(
    "amdgpuprelegalizercombiner-disable-rule",
    cl::desc("Disable one or more combiner rules temporarily in the AMDGPUPreLegalizerCombiner pass"),
    cl::CommaSeparated,
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &Str) {
      AMDGPUPreLegalizerCombinerOption.push_back(Str);
    }));
static cl::list<std::string> AMDGPUPreLegalizerCombinerOnlyEnableOption(
    "amdgpuprelegalizercombiner-only-enable-rule",
    cl::desc("Disable all rules in the AMDGPUPreLegalizerCombiner pass then re-enable the specified ones"),
    cl::Hidden,
    cl::cat(GICombinerOptionCategory),
    cl::callback([](const std::string &CommaSeparatedArg) {
      StringRef Str = CommaSeparatedArg;
      AMDGPUPreLegalizerCombinerOption.push_back("*");
      do {
        auto X = Str.split(",");
        AMDGPUPreLegalizerCombinerOption.push_back(("!" + X.first).str());
        Str = X.second;
      } while (!Str.empty());
    }));


bool AMDGPUPreLegalizerCombinerImplRuleConfig::isRuleEnabled(unsigned RuleID) const {
    return  !DisabledRules.test(RuleID);
}
bool AMDGPUPreLegalizerCombinerImplRuleConfig::parseCommandLineOption() {
  for (StringRef Identifier : AMDGPUPreLegalizerCombinerOption) {
    bool Enabled = Identifier.consume_front("!");
    if (Enabled && !setRuleEnabled(Identifier))
      return false;
    if (!Enabled && !setRuleDisabled(Identifier))
      return false;
  }
  return true;
}

#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_TYPES
const unsigned MAX_SUBTARGET_PREDICATES = 0;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GICOMBINER_TYPES

#ifdef GET_GICOMBINER_CLASS_MEMBERS
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AMDGPUSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AMDGPUSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS
#ifdef GET_GICOMBINER_CLASS_MEMBERS
  mutable MatcherState State;
  typedef ComplexRendererFns(AMDGPUPreLegalizerCombinerImpl::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AMDGPUPreLegalizerCombinerImpl::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AMDGPUPreLegalizerCombinerImpl::ComplexMatcherMemFn ComplexPredicateFns[];
  static AMDGPUPreLegalizerCombinerImpl::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testMOPredicate_MO(unsigned PredicateID, const MachineOperand &MO, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GICOMBINER_CLASS_MEMBERS

#ifdef GET_GICOMBINER_IMPL
// LLT Objects.
enum {
  GILLT_s1,
};
const static size_t NumTypeObjects = 1;
const static LLT TypeObjects[] = {
  LLT::scalar(1),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
};

PredicateBitset AMDGPUPreLegalizerCombinerImpl::
computeAvailableModuleFeatures(const AMDGPUSubtarget *Subtarget) const {
  PredicateBitset Features{};
  return Features;
}

void AMDGPUPreLegalizerCombinerImpl::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AMDGPUSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AMDGPUPreLegalizerCombinerImpl::
computeAvailableFunctionFeatures(const AMDGPUSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
};
// See constructor for table contents

AMDGPUPreLegalizerCombinerImpl::ComplexMatcherMemFn
AMDGPUPreLegalizerCombinerImpl::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
};

enum {
  GICXXPred_MI_Predicate_GICombiner0 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_GICombiner1,
  GICXXPred_MI_Predicate_GICombiner2,
  GICXXPred_MI_Predicate_GICombiner3,
  GICXXPred_MI_Predicate_GICombiner4,
  GICXXPred_MI_Predicate_GICombiner5,
  GICXXPred_MI_Predicate_GICombiner6,
  GICXXPred_MI_Predicate_GICombiner7,
  GICXXPred_MI_Predicate_GICombiner8,
  GICXXPred_MI_Predicate_GICombiner9,
};
bool AMDGPUPreLegalizerCombinerImpl::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_GICombiner0: {
    return isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner1: {
    return isGuaranteedNotToBeUndefOrPoison(State.MIs[0]->getOperand(1).getReg(), MRI);
  }
  case GICXXPred_MI_Predicate_GICombiner2: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), 1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner3: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -0.0);
  }
  case GICXXPred_MI_Predicate_GICombiner4: {
    return Helper.matchConstantFPOp(State.MIs[0]->getOperand(2), -1.0);
  }
  case GICXXPred_MI_Predicate_GICombiner5: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_EQ &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner6: {
    return State.MIs[1]->getOperand(1).getPredicate() == CmpInst::ICMP_NE &&
                               !MRI.getType(State.MIs[1]->getOperand(2).getReg()).getScalarType().isPointer() &&
                               (MRI.getType(State.MIs[1]->getOperand(2).getReg()) ==
                                   MRI.getType(State.MIs[2]->getOperand(2).getReg()));
  }
  case GICXXPred_MI_Predicate_GICombiner7: {
    return MRI.hasOneNonDBGUse(State.MIs[0]->getOperand(2).getReg()) &&
                    Helper.isLegalOrBeforeLegalizer(
                      {TargetOpcode::G_SEXT_INREG, {MRI.getType(State.MIs[1]->getOperand(1).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner8: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_LSHR,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  case GICXXPred_MI_Predicate_GICombiner9: {
    return Helper.isLegalOrBeforeLegalizer({TargetOpcode::G_SHL,
                                                           {MRI.getType(State.MIs[2]->getOperand(1).getReg()),
                                                            MRI.getType(State.MIs[1]->getOperand(2).getReg())}});
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPreLegalizerCombinerImpl::testMOPredicate_MO(unsigned PredicateID, const MachineOperand & MO, const MatcherState &State) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPreLegalizerCombinerImpl::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPreLegalizerCombinerImpl::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AMDGPUPreLegalizerCombinerImpl::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
enum {
  GICXXPred_Simple_IsRule0Enabled = GICXXPred_Invalid + 1,
  GICXXPred_Simple_IsRule1Enabled,
  GICXXPred_Simple_IsRule2Enabled,
  GICXXPred_Simple_IsRule3Enabled,
  GICXXPred_Simple_IsRule4Enabled,
  GICXXPred_Simple_IsRule5Enabled,
  GICXXPred_Simple_IsRule6Enabled,
  GICXXPred_Simple_IsRule7Enabled,
  GICXXPred_Simple_IsRule8Enabled,
  GICXXPred_Simple_IsRule9Enabled,
  GICXXPred_Simple_IsRule10Enabled,
  GICXXPred_Simple_IsRule11Enabled,
  GICXXPred_Simple_IsRule12Enabled,
  GICXXPred_Simple_IsRule13Enabled,
  GICXXPred_Simple_IsRule14Enabled,
  GICXXPred_Simple_IsRule15Enabled,
  GICXXPred_Simple_IsRule16Enabled,
  GICXXPred_Simple_IsRule17Enabled,
  GICXXPred_Simple_IsRule18Enabled,
  GICXXPred_Simple_IsRule19Enabled,
  GICXXPred_Simple_IsRule20Enabled,
  GICXXPred_Simple_IsRule21Enabled,
  GICXXPred_Simple_IsRule22Enabled,
  GICXXPred_Simple_IsRule23Enabled,
  GICXXPred_Simple_IsRule24Enabled,
  GICXXPred_Simple_IsRule25Enabled,
  GICXXPred_Simple_IsRule26Enabled,
  GICXXPred_Simple_IsRule27Enabled,
  GICXXPred_Simple_IsRule28Enabled,
  GICXXPred_Simple_IsRule29Enabled,
  GICXXPred_Simple_IsRule30Enabled,
  GICXXPred_Simple_IsRule31Enabled,
  GICXXPred_Simple_IsRule32Enabled,
  GICXXPred_Simple_IsRule33Enabled,
  GICXXPred_Simple_IsRule34Enabled,
  GICXXPred_Simple_IsRule35Enabled,
  GICXXPred_Simple_IsRule36Enabled,
  GICXXPred_Simple_IsRule37Enabled,
  GICXXPred_Simple_IsRule38Enabled,
  GICXXPred_Simple_IsRule39Enabled,
  GICXXPred_Simple_IsRule40Enabled,
  GICXXPred_Simple_IsRule41Enabled,
  GICXXPred_Simple_IsRule42Enabled,
  GICXXPred_Simple_IsRule43Enabled,
  GICXXPred_Simple_IsRule44Enabled,
  GICXXPred_Simple_IsRule45Enabled,
  GICXXPred_Simple_IsRule46Enabled,
  GICXXPred_Simple_IsRule47Enabled,
  GICXXPred_Simple_IsRule48Enabled,
  GICXXPred_Simple_IsRule49Enabled,
  GICXXPred_Simple_IsRule50Enabled,
  GICXXPred_Simple_IsRule51Enabled,
  GICXXPred_Simple_IsRule52Enabled,
  GICXXPred_Simple_IsRule53Enabled,
  GICXXPred_Simple_IsRule54Enabled,
  GICXXPred_Simple_IsRule55Enabled,
  GICXXPred_Simple_IsRule56Enabled,
  GICXXPred_Simple_IsRule57Enabled,
  GICXXPred_Simple_IsRule58Enabled,
  GICXXPred_Simple_IsRule59Enabled,
  GICXXPred_Simple_IsRule60Enabled,
  GICXXPred_Simple_IsRule61Enabled,
  GICXXPred_Simple_IsRule62Enabled,
  GICXXPred_Simple_IsRule63Enabled,
  GICXXPred_Simple_IsRule64Enabled,
  GICXXPred_Simple_IsRule65Enabled,
  GICXXPred_Simple_IsRule66Enabled,
  GICXXPred_Simple_IsRule67Enabled,
  GICXXPred_Simple_IsRule68Enabled,
  GICXXPred_Simple_IsRule69Enabled,
  GICXXPred_Simple_IsRule70Enabled,
  GICXXPred_Simple_IsRule71Enabled,
  GICXXPred_Simple_IsRule72Enabled,
  GICXXPred_Simple_IsRule73Enabled,
  GICXXPred_Simple_IsRule74Enabled,
  GICXXPred_Simple_IsRule75Enabled,
  GICXXPred_Simple_IsRule76Enabled,
  GICXXPred_Simple_IsRule77Enabled,
  GICXXPred_Simple_IsRule78Enabled,
  GICXXPred_Simple_IsRule79Enabled,
  GICXXPred_Simple_IsRule80Enabled,
  GICXXPred_Simple_IsRule81Enabled,
  GICXXPred_Simple_IsRule82Enabled,
  GICXXPred_Simple_IsRule83Enabled,
  GICXXPred_Simple_IsRule84Enabled,
  GICXXPred_Simple_IsRule85Enabled,
  GICXXPred_Simple_IsRule86Enabled,
  GICXXPred_Simple_IsRule87Enabled,
  GICXXPred_Simple_IsRule88Enabled,
  GICXXPred_Simple_IsRule89Enabled,
  GICXXPred_Simple_IsRule90Enabled,
  GICXXPred_Simple_IsRule91Enabled,
  GICXXPred_Simple_IsRule92Enabled,
  GICXXPred_Simple_IsRule93Enabled,
  GICXXPred_Simple_IsRule94Enabled,
  GICXXPred_Simple_IsRule95Enabled,
  GICXXPred_Simple_IsRule96Enabled,
  GICXXPred_Simple_IsRule97Enabled,
  GICXXPred_Simple_IsRule98Enabled,
  GICXXPred_Simple_IsRule99Enabled,
  GICXXPred_Simple_IsRule100Enabled,
  GICXXPred_Simple_IsRule101Enabled,
  GICXXPred_Simple_IsRule102Enabled,
  GICXXPred_Simple_IsRule103Enabled,
  GICXXPred_Simple_IsRule104Enabled,
  GICXXPred_Simple_IsRule105Enabled,
  GICXXPred_Simple_IsRule106Enabled,
  GICXXPred_Simple_IsRule107Enabled,
  GICXXPred_Simple_IsRule108Enabled,
  GICXXPred_Simple_IsRule109Enabled,
  GICXXPred_Simple_IsRule110Enabled,
  GICXXPred_Simple_IsRule111Enabled,
  GICXXPred_Simple_IsRule112Enabled,
  GICXXPred_Simple_IsRule113Enabled,
  GICXXPred_Simple_IsRule114Enabled,
  GICXXPred_Simple_IsRule115Enabled,
  GICXXPred_Simple_IsRule116Enabled,
  GICXXPred_Simple_IsRule117Enabled,
  GICXXPred_Simple_IsRule118Enabled,
  GICXXPred_Simple_IsRule119Enabled,
  GICXXPred_Simple_IsRule120Enabled,
  GICXXPred_Simple_IsRule121Enabled,
  GICXXPred_Simple_IsRule122Enabled,
  GICXXPred_Simple_IsRule123Enabled,
  GICXXPred_Simple_IsRule124Enabled,
  GICXXPred_Simple_IsRule125Enabled,
  GICXXPred_Simple_IsRule126Enabled,
  GICXXPred_Simple_IsRule127Enabled,
  GICXXPred_Simple_IsRule128Enabled,
  GICXXPred_Simple_IsRule129Enabled,
  GICXXPred_Simple_IsRule130Enabled,
  GICXXPred_Simple_IsRule131Enabled,
  GICXXPred_Simple_IsRule132Enabled,
  GICXXPred_Simple_IsRule133Enabled,
  GICXXPred_Simple_IsRule134Enabled,
  GICXXPred_Simple_IsRule135Enabled,
  GICXXPred_Simple_IsRule136Enabled,
  GICXXPred_Simple_IsRule137Enabled,
  GICXXPred_Simple_IsRule138Enabled,
  GICXXPred_Simple_IsRule139Enabled,
  GICXXPred_Simple_IsRule140Enabled,
  GICXXPred_Simple_IsRule141Enabled,
  GICXXPred_Simple_IsRule142Enabled,
  GICXXPred_Simple_IsRule143Enabled,
  GICXXPred_Simple_IsRule144Enabled,
  GICXXPred_Simple_IsRule145Enabled,
  GICXXPred_Simple_IsRule146Enabled,
  GICXXPred_Simple_IsRule147Enabled,
  GICXXPred_Simple_IsRule148Enabled,
  GICXXPred_Simple_IsRule149Enabled,
  GICXXPred_Simple_IsRule150Enabled,
  GICXXPred_Simple_IsRule151Enabled,
  GICXXPred_Simple_IsRule152Enabled,
  GICXXPred_Simple_IsRule153Enabled,
  GICXXPred_Simple_IsRule154Enabled,
  GICXXPred_Simple_IsRule155Enabled,
  GICXXPred_Simple_IsRule156Enabled,
  GICXXPred_Simple_IsRule157Enabled,
  GICXXPred_Simple_IsRule158Enabled,
  GICXXPred_Simple_IsRule159Enabled,
  GICXXPred_Simple_IsRule160Enabled,
  GICXXPred_Simple_IsRule161Enabled,
  GICXXPred_Simple_IsRule162Enabled,
  GICXXPred_Simple_IsRule163Enabled,
  GICXXPred_Simple_IsRule164Enabled,
  GICXXPred_Simple_IsRule165Enabled,
  GICXXPred_Simple_IsRule166Enabled,
  GICXXPred_Simple_IsRule167Enabled,
  GICXXPred_Simple_IsRule168Enabled,
  GICXXPred_Simple_IsRule169Enabled,
  GICXXPred_Simple_IsRule170Enabled,
  GICXXPred_Simple_IsRule171Enabled,
  GICXXPred_Simple_IsRule172Enabled,
  GICXXPred_Simple_IsRule173Enabled,
  GICXXPred_Simple_IsRule174Enabled,
  GICXXPred_Simple_IsRule175Enabled,
  GICXXPred_Simple_IsRule176Enabled,
  GICXXPred_Simple_IsRule177Enabled,
  GICXXPred_Simple_IsRule178Enabled,
  GICXXPred_Simple_IsRule179Enabled,
  GICXXPred_Simple_IsRule180Enabled,
  GICXXPred_Simple_IsRule181Enabled,
  GICXXPred_Simple_IsRule182Enabled,
  GICXXPred_Simple_IsRule183Enabled,
  GICXXPred_Simple_IsRule184Enabled,
  GICXXPred_Simple_IsRule185Enabled,
  GICXXPred_Simple_IsRule186Enabled,
  GICXXPred_Simple_IsRule187Enabled,
  GICXXPred_Simple_IsRule188Enabled,
  GICXXPred_Simple_IsRule189Enabled,
  GICXXPred_Simple_IsRule190Enabled,
  GICXXPred_Simple_IsRule191Enabled,
  GICXXPred_Simple_IsRule192Enabled,
  GICXXPred_Simple_IsRule193Enabled,
  GICXXPred_Simple_IsRule194Enabled,
  GICXXPred_Simple_IsRule195Enabled,
  GICXXPred_Simple_IsRule196Enabled,
  GICXXPred_Simple_IsRule197Enabled,
  GICXXPred_Simple_IsRule198Enabled,
  GICXXPred_Simple_IsRule199Enabled,
  GICXXPred_Simple_IsRule200Enabled,
  GICXXPred_Simple_IsRule201Enabled,
  GICXXPred_Simple_IsRule202Enabled,
  GICXXPred_Simple_IsRule203Enabled,
  GICXXPred_Simple_IsRule204Enabled,
  GICXXPred_Simple_IsRule205Enabled,
  GICXXPred_Simple_IsRule206Enabled,
  GICXXPred_Simple_IsRule207Enabled,
  GICXXPred_Simple_IsRule208Enabled,
  GICXXPred_Simple_IsRule209Enabled,
  GICXXPred_Simple_IsRule210Enabled,
  GICXXPred_Simple_IsRule211Enabled,
  GICXXPred_Simple_IsRule212Enabled,
  GICXXPred_Simple_IsRule213Enabled,
  GICXXPred_Simple_IsRule214Enabled,
  GICXXPred_Simple_IsRule215Enabled,
  GICXXPred_Simple_IsRule216Enabled,
  GICXXPred_Simple_IsRule217Enabled,
  GICXXPred_Simple_IsRule218Enabled,
};

bool AMDGPUPreLegalizerCombinerImpl::testSimplePredicate(unsigned Predicate) const {
    return RuleConfig.isRuleEnabled(Predicate - GICXXPred_Invalid - 1);
}
// Custom renderers.
enum {
  GICR_Invalid,
};
AMDGPUPreLegalizerCombinerImpl::CustomRendererFn
AMDGPUPreLegalizerCombinerImpl::CustomRenderers[] = {
  nullptr, // GICR_Invalid
};

bool AMDGPUPreLegalizerCombinerImpl::tryCombineAllImpl(MachineInstr &I) const {
  const TargetSubtargetInfo &ST = MF.getSubtarget();
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  B.setInstrAndDebugLoc(I);
  State.MIs.clear();
  State.MIs.push_back(&I);
  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), *ST.getInstrInfo(), MRI, *MRI.getTargetRegisterInfo(), *ST.getRegBankInfo(), AvailableFeatures, /*CoverageInfo*/ nullptr)) {
    return true;
  }

  return false;
}

enum {
  GICXXCustomAction_GICombiner0 = GICXXCustomAction_Invalid + 1,
  GICXXCustomAction_GICombiner1,
  GICXXCustomAction_GICombiner2,
  GICXXCustomAction_GICombiner3,
  GICXXCustomAction_GICombiner4,
  GICXXCustomAction_GICombiner5,
  GICXXCustomAction_GICombiner6,
  GICXXCustomAction_GICombiner7,
  GICXXCustomAction_GICombiner8,
  GICXXCustomAction_GICombiner9,
  GICXXCustomAction_GICombiner10,
  GICXXCustomAction_GICombiner11,
  GICXXCustomAction_GICombiner12,
  GICXXCustomAction_GICombiner13,
  GICXXCustomAction_GICombiner14,
  GICXXCustomAction_GICombiner15,
  GICXXCustomAction_GICombiner16,
  GICXXCustomAction_GICombiner17,
  GICXXCustomAction_GICombiner18,
  GICXXCustomAction_GICombiner19,
  GICXXCustomAction_GICombiner20,
  GICXXCustomAction_GICombiner21,
  GICXXCustomAction_GICombiner22,
  GICXXCustomAction_GICombiner23,
  GICXXCustomAction_GICombiner24,
  GICXXCustomAction_GICombiner25,
  GICXXCustomAction_GICombiner26,
  GICXXCustomAction_GICombiner27,
  GICXXCustomAction_GICombiner28,
  GICXXCustomAction_GICombiner29,
  GICXXCustomAction_GICombiner30,
  GICXXCustomAction_GICombiner31,
  GICXXCustomAction_GICombiner32,
  GICXXCustomAction_GICombiner33,
  GICXXCustomAction_GICombiner34,
  GICXXCustomAction_GICombiner35,
  GICXXCustomAction_GICombiner36,
  GICXXCustomAction_GICombiner37,
  GICXXCustomAction_GICombiner38,
  GICXXCustomAction_GICombiner39,
  GICXXCustomAction_GICombiner40,
  GICXXCustomAction_GICombiner41,
  GICXXCustomAction_GICombiner42,
  GICXXCustomAction_GICombiner43,
  GICXXCustomAction_GICombiner44,
  GICXXCustomAction_GICombiner45,
  GICXXCustomAction_GICombiner46,
  GICXXCustomAction_GICombiner47,
  GICXXCustomAction_GICombiner48,
  GICXXCustomAction_GICombiner49,
  GICXXCustomAction_GICombiner50,
  GICXXCustomAction_GICombiner51,
  GICXXCustomAction_GICombiner52,
  GICXXCustomAction_GICombiner53,
  GICXXCustomAction_GICombiner54,
  GICXXCustomAction_GICombiner55,
  GICXXCustomAction_GICombiner56,
  GICXXCustomAction_GICombiner57,
  GICXXCustomAction_GICombiner58,
  GICXXCustomAction_GICombiner59,
  GICXXCustomAction_GICombiner60,
  GICXXCustomAction_GICombiner61,
  GICXXCustomAction_GICombiner62,
  GICXXCustomAction_GICombiner63,
  GICXXCustomAction_GICombiner64,
  GICXXCustomAction_GICombiner65,
  GICXXCustomAction_GICombiner66,
  GICXXCustomAction_GICombiner67,
  GICXXCustomAction_GICombiner68,
  GICXXCustomAction_GICombiner69,
  GICXXCustomAction_GICombiner70,
  GICXXCustomAction_GICombiner71,
  GICXXCustomAction_GICombiner72,
  GICXXCustomAction_GICombiner73,
  GICXXCustomAction_GICombiner74,
  GICXXCustomAction_GICombiner75,
  GICXXCustomAction_GICombiner76,
  GICXXCustomAction_GICombiner77,
  GICXXCustomAction_GICombiner78,
  GICXXCustomAction_GICombiner79,
  GICXXCustomAction_GICombiner80,
  GICXXCustomAction_GICombiner81,
  GICXXCustomAction_GICombiner82,
  GICXXCustomAction_GICombiner83,
  GICXXCustomAction_GICombiner84,
  GICXXCustomAction_GICombiner85,
  GICXXCustomAction_GICombiner86,
  GICXXCustomAction_GICombiner87,
  GICXXCustomAction_GICombiner88,
  GICXXCustomAction_GICombiner89,
  GICXXCustomAction_GICombiner90,
  GICXXCustomAction_GICombiner91,
  GICXXCustomAction_GICombiner92,
  GICXXCustomAction_GICombiner93,
  GICXXCustomAction_GICombiner94,
  GICXXCustomAction_GICombiner95,
  GICXXCustomAction_GICombiner96,
  GICXXCustomAction_GICombiner97,
  GICXXCustomAction_GICombiner98,
  GICXXCustomAction_GICombiner99,
  GICXXCustomAction_GICombiner100,
  GICXXCustomAction_GICombiner101,
  GICXXCustomAction_GICombiner102,
  GICXXCustomAction_GICombiner103,
  GICXXCustomAction_GICombiner104,
  GICXXCustomAction_GICombiner105,
  GICXXCustomAction_GICombiner106,
  GICXXCustomAction_GICombiner107,
  GICXXCustomAction_GICombiner108,
  GICXXCustomAction_GICombiner109,
  GICXXCustomAction_GICombiner110,
  GICXXCustomAction_GICombiner111,
  GICXXCustomAction_GICombiner112,
  GICXXCustomAction_GICombiner113,
  GICXXCustomAction_GICombiner114,
  GICXXCustomAction_GICombiner115,
  GICXXCustomAction_GICombiner116,
  GICXXCustomAction_GICombiner117,
  GICXXCustomAction_GICombiner118,
  GICXXCustomAction_GICombiner119,
  GICXXCustomAction_GICombiner120,
  GICXXCustomAction_GICombiner121,
  GICXXCustomAction_GICombiner122,
  GICXXCustomAction_GICombiner123,
  GICXXCustomAction_GICombiner124,
  GICXXCustomAction_GICombiner125,
  GICXXCustomAction_GICombiner126,
  GICXXCustomAction_GICombiner127,
  GICXXCustomAction_GICombiner128,
  GICXXCustomAction_GICombiner129,
  GICXXCustomAction_GICombiner130,
  GICXXCustomAction_GICombiner131,
  GICXXCustomAction_GICombiner132,
  GICXXCustomAction_GICombiner133,
  GICXXCustomAction_GICombiner134,
  GICXXCustomAction_GICombiner135,
  GICXXCustomAction_GICombiner136,
  GICXXCustomAction_GICombiner137,
  GICXXCustomAction_GICombiner138,
  GICXXCustomAction_GICombiner139,
  GICXXCustomAction_GICombiner140,
  GICXXCustomAction_GICombiner141,
  GICXXCustomAction_GICombiner142,
  GICXXCustomAction_GICombiner143,
  GICXXCustomAction_GICombiner144,
  GICXXCustomAction_GICombiner145,
  GICXXCustomAction_GICombiner146,
  GICXXCustomAction_GICombiner147,
  GICXXCustomAction_GICombiner148,
  GICXXCustomAction_GICombiner149,
  GICXXCustomAction_GICombiner150,
  GICXXCustomAction_GICombiner151,
  GICXXCustomAction_GICombiner152,
  GICXXCustomAction_GICombiner153,
  GICXXCustomAction_GICombiner154,
};
bool AMDGPUPreLegalizerCombinerImpl::runCustomAction(unsigned ApplyID, const MatcherState &State, NewMIVector &OutMIs) const {
  Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
  switch(ApplyID) {
  case GICXXCustomAction_GICombiner0:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAPlusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner1:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC2MinusAPlusC1(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner2:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner3:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldC1Minus2MinusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner4:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldAMinusC1PlusC2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner5:{
    // Match Patterns
    if(![&](){return Helper.matchCombineCopy(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineCopy(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner6:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineMulToShl(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner7:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineSubToAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner8:{
    std::pair<Register, bool> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineAddP2IToPtrAdd(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner9:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElement(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner10:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchInsertVectorElementOOB(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner11:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithDifferentIndices(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner12:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner13:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithBuildVectorTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner14:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVectorElementWithShuffleVector(*State.MIs[0], *State.MIs[1],
              GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner15:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner16:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner17:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShlOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner18:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubOfVScale(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner19:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return !isGuaranteedNotToBePoison(State.MIs[0]->getOperand(1).getReg(), MRI) && Helper.matchFreezeOfSingleMaybePoisonOperand(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner20:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncateOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner21:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtOfExt(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner22:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantSextInReg(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner23:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfSelect(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner24:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfBuildVector(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner25:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinop(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner26:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCastOfInteger(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner27:{
    SmallVector<Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineInsertVecElts(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineInsertVecElts(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner28:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractVecEltBuildVec(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner29:{
    SmallVector<std::pair<Register, MachineInstr*>> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtractAllEltsFromBuildVector(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner30:{
    PreferredTuple GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineExtendingLoads(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner31:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineLoadWithAndMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner32:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineExtractedVectorLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner33:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner34:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner35:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], -1);
    return true;
  }
  case GICXXCustomAction_GICombiner36:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], 0);
    return true;
  }
  case GICXXCustomAction_GICombiner37:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsUndef(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner38:{
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]->getOperand(0).getParent());
    return true;
  }
  case GICXXCustomAction_GICombiner39:{
    // Match Patterns
    if(![&](){return Helper.matchAnyExplicitUseIsUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner40:{
    // Match Patterns
    if(![&](){return Helper.matchAllExplicitUsesAreUndef(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner41:{
    // Match Patterns
    if(![&](){return Helper.matchUndefShuffleVectorMask(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner42:{
    // Match Patterns
    if(![&](){return Helper.matchUndefStore(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.eraseInst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner43:{
    // Match Patterns
    if(![&](){return Helper.matchInsertExtractVecEltOutOfBounds(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithUndef(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner44:{
    // Match Patterns
    if(![&](){return Helper.matchSelectSameVal(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 2);
    return true;
  }
  case GICXXCustomAction_GICombiner45:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsZero(*State.MIs[0], 1);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner46:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineI2PToP2I(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineI2PToP2I(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner47:{
    Register GIMatchData_info;
    // Match Patterns
    if(![&](){GIMatchData_info = State.MIs[1]->getOperand(1).getReg(); return true;}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineP2IToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner48:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineAnyExtTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner49:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchBuildVectorIdentityFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner50:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner51:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchTruncLshrBuildVectorFold(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner52:{
    // Match Patterns
    if(![&](){return MRI.getType(State.MIs[1]->getOperand(1).getReg()) == MRI.getType(State.MIs[0]->getOperand(0).getReg());}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], State.MIs[1]->getOperand(1).getReg());
    return true;
  }
  case GICXXCustomAction_GICombiner53:{
    MachineInstr* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExtendThroughPhis(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner54:{
    std::tuple<Register, Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyAddToSub(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyAddToSub(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner55:{
    InstructionStepsMatchInfo GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchHoistLogicOpWithSameOpcodeHands(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildInstructionSteps(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner56:{
    std::optional<int64_t> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftsTooBig(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    if (GIMatchData_matchinfo) {
              Helper.replaceInstWithConstant(*State.MIs[0], *GIMatchData_matchinfo);
            } else {
              Helper.replaceInstWithUndef(*State.MIs[0]);
            }
    return true;
  }
  case GICXXCustomAction_GICombiner57:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocPtrAdd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner58:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchReassocCommBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner59:{
    PtrAddChain GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner60:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeICmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner61:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCanonicalizeFCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner62:{
    int64_t GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchICmpToTrueFalseKnownBits(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner63:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchICmpToLHSKnownBits(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner64:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchRedundantBinOpInEquality(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner65:{
    std::tuple<Register, int64_t> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAshrShlToSextInreg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyAshShlToSextInreg(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner66:{
    std::tuple<Register, unsigned> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySextInRegOfLoad(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner67:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShlOfExtend(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner68:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNarrowBinopFeedingAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner69:{
    unsigned GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantSelectCmp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner70:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSelectIMinMax(State.MIs[0]->getOperand(0), GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner71:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSelect(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner72:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner73:{
    // Match Patterns
    if(![&](){return Helper.matchRedundantSExtInReg(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], 1);
    return true;
  }
  case GICXXCustomAction_GICombiner74:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner75:{
    // Match Patterns
    if(![&](){return Helper.matchOperandIsKnownToBeAPowerOfTwo(*State.MIs[0], 2);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySimplifyURemByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner76:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineZextTrunc(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner77:{
    // Match Patterns
    if(![&](){unsigned BitWidth = MRI.getType(State.MIs[0]->getOperand(1).getReg()).getScalarSizeInBits();
                return Helper.getValueTracking()->maskedValueIsZero(State.MIs[0]->getOperand(1).getReg(),
                         APInt::getOneBitSet(BitWidth, State.MIs[0]->getOperand(2).getImm() - 1));}()) {
      return false;
    }
    // Apply Patterns
    Helper.getBuilder().setInstrAndDebugLoc(*State.MIs[0]);
              Helper.getBuilder().buildZExtInReg(State.MIs[0]->getOperand(0), State.MIs[0]->getOperand(1), State.MIs[0]->getOperand(2).getImm());
              State.MIs[0]->eraseFromParent();
    return true;
  }
  case GICXXCustomAction_GICombiner78:{
    std::pair<MachineInstr*, LLT> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineTruncOfShift(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner79:{
    SmallVector<Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchNotCmp(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyNotCmp(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner80:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyOptBrCondByInvertingCond(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner81:{
    // Apply Patterns
    Helper.applyCombineConstantFoldFpUnary(*State.MIs[0], State.MIs[1]->getOperand(1).getFPImm());
    return true;
  }
  case GICXXCustomAction_GICombiner82:{
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0]->getOperand(0).getParent(), 0.0);
    return true;
  }
  case GICXXCustomAction_GICombiner83:{
    APInt GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConstPtrAddToI2P(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner84:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOverlappingAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner85:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy2(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner86:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMulOBy0(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner87:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddEToAddO(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner88:{
    unsigned GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFMinMaxNaN(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithOperand(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner89:{
    // Match Patterns
    if(![&](){return Helper.matchFPowIExpansion(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyExpandFPowI(*State.MIs[0], State.MIs[1]->getOperand(1).getCImm()->getSExtValue());
    return true;
  }
  case GICXXCustomAction_GICombiner90:{
    std::pair<Register, Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyXorOfAndWithSameReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner91:{
    // Match Patterns
    if(![&](){return Helper.matchPtrAddZero(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyPtrAddZero(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner92:{
    RegisterImmPair GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftImmedChain(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner93:{
    ShiftOfShiftedLogic GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyShiftOfShiftedLogic(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner94:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchLoadOrCombine(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner95:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineDivRem(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner96:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchOrShiftToFunnelShift(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner97:{
    // Match Patterns
    if(![&](){return Helper.matchFunnelShiftToRotate(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftToRotate(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner98:{
    // Match Patterns
    if(![&](){return Helper.matchConstantLargerBitWidth(*State.MIs[0], 3);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFunnelShiftConstantModulo(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner99:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCommuteShift(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner100:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromSExtInReg(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner101:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner102:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShr(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner103:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchBitfieldExtractFromShrAnd(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner104:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner105:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFPBinOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner106:{
    ConstantFP* GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldFMA(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithFConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner107:{
    APInt GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchConstantFoldCastOp(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceInstWithConstant(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner108:{
    // Match Patterns
    if(![&](){return Helper.matchUDivorURemByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivorURemByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner109:{
    // Match Patterns
    if(![&](){return Helper.matchSDivByConst(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByConst(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner110:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/true);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applySDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner111:{
    // Match Patterns
    if(![&](){return Helper.matchDivByPow2(*State.MIs[0], /*IsSigned=*/false);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUDivByPow2(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner112:{
    // Match Patterns
    if(![&](){return Helper.matchUMulHToLShr(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUMulHToLShr(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner113:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchRedundantNegOperands(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner114:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchAndOrDisjointMask(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnNoErase(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner115:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner116:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner117:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFMAFMulToFMadOrFMA(*State.MIs[0],
                                                                     GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner118:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFAddFpExtFMulToFMadOrFMAAggressive(
                                                          *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner119:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFMulToFMadOrFMA(*State.MIs[0],
                                                                  GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner120:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFNegFMulToFMadOrFMA(*State.MIs[0],
                                                                      GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner121:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFMulToFMadOrFMA(*State.MIs[0],
                                                                       GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner122:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineFSubFpExtFNegFMulToFMadOrFMA(
                                                    *State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner123:{
    unsigned GIMatchData_select_op_no;
    // Match Patterns
    if(![&](){return Helper.matchFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFoldBinOpIntoSelect(*State.MIs[0], GIMatchData_select_op_no);
    return true;
  }
  case GICXXCustomAction_GICombiner124:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSubAddSameReg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner125:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchSimplifySelectToMinMax(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner126:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFsubToFneg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner127:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner128:{
    // Match Patterns
    if(![&](){return Helper.matchCommuteFPConstantToRHS(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCommuteBinOpOperands(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner129:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAnd(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner130:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchOr(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner131:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSimplifyNegMinMax(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner132:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineConcatVectors(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner133:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner134:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchZextOfTrunc(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner135:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchNonNegZext(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFnMO(State.MIs[0]->getOperand(0), GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner136:{
    SmallVector<Register> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShuffleConcat(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner137:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleUndefRHS(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner138:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchShuffleDisjointMask(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner139:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyUseVectorTruncate(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner140:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchUnmergeValuesAnyExtBuildVector(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner141:{
    SmallVector<Register> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeMergeToPlainValues(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner142:{
    Register GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineMergeUnmerge(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.replaceSingleDefInstWithReg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner143:{
    SmallVector<APInt, 8> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeConstant(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner144:{
    std::function<void(MachineIRBuilder &)> GIMatchData_info;
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeUndef(*State.MIs[0], GIMatchData_info);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_info);
    return true;
  }
  case GICXXCustomAction_GICombiner145:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeWithDeadLanesToTrunc(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner146:{
    // Match Patterns
    if(![&](){return Helper.matchCombineUnmergeZExtToZExt(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineUnmergeZExtToZExt(*State.MIs[0]);
    return true;
  }
  case GICXXCustomAction_GICombiner147:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndUndef(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner148:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchMergeXAndZero(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner149:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchAddOverflow(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner150:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchSuboCarryOut(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner151:{
    std::function<void(MachineIRBuilder &)> GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchCombineFmulWithSelectToFldexp(*State.MIs[0], *State.MIs[1], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyBuildFn(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner152:{
    ClampI64ToI16MatchInfo GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return matchClampI64ToI16(*State.MIs[0], MRI, MF, GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    applyClampI64ToI16(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner153:{
    MachineInstr * GIMatchData_matchinfo;
    // Match Patterns
    if(![&](){return Helper.matchFoldableFneg(*State.MIs[0], GIMatchData_matchinfo);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyFoldableFneg(*State.MIs[0], GIMatchData_matchinfo);
    return true;
  }
  case GICXXCustomAction_GICombiner154:{
    // Match Patterns
    if(![&](){return Helper.matchCombineShuffleToBuildVector(*State.MIs[0]);}()) {
      return false;
    }
    // Apply Patterns
    Helper.applyCombineShuffleToBuildVector(*State.MIs[0]);
    return true;
  }
  }
  llvm_unreachable("Unknown Apply Action");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AMDGPUPreLegalizerCombinerImpl::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*    0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(20), GIMT_Encode2(268), /*)*//*default:*//*Label 95*/ GIMT_Encode4(7100),
     /*   10 */ /*TargetOpcode::COPY*//*Label 0*/ GIMT_Encode4(1002), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  142 */ /*TargetOpcode::G_ADD*//*Label 1*/ GIMT_Encode4(1014),
     /*  146 */ /*TargetOpcode::G_SUB*//*Label 2*/ GIMT_Encode4(1571),
     /*  150 */ /*TargetOpcode::G_MUL*//*Label 3*/ GIMT_Encode4(1889),
     /*  154 */ /*TargetOpcode::G_SDIV*//*Label 4*/ GIMT_Encode4(2055),
     /*  158 */ /*TargetOpcode::G_UDIV*//*Label 5*/ GIMT_Encode4(2128),
     /*  162 */ /*TargetOpcode::G_SREM*//*Label 6*/ GIMT_Encode4(2212),
     /*  166 */ /*TargetOpcode::G_UREM*//*Label 7*/ GIMT_Encode4(2257), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  178 */ /*TargetOpcode::G_AND*//*Label 8*/ GIMT_Encode4(2335),
     /*  182 */ /*TargetOpcode::G_OR*//*Label 9*/ GIMT_Encode4(2616),
     /*  186 */ /*TargetOpcode::G_XOR*//*Label 10*/ GIMT_Encode4(2861), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  202 */ /*TargetOpcode::G_PHI*//*Label 11*/ GIMT_Encode4(2962), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  226 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 12*/ GIMT_Encode4(2974), GIMT_Encode4(0),
     /*  234 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 13*/ GIMT_Encode4(3041),
     /*  238 */ /*TargetOpcode::G_BUILD_VECTOR*//*Label 14*/ GIMT_Encode4(3115),
     /*  242 */ /*TargetOpcode::G_BUILD_VECTOR_TRUNC*//*Label 15*/ GIMT_Encode4(3163),
     /*  246 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 16*/ GIMT_Encode4(3175),
     /*  250 */ /*TargetOpcode::G_PTRTOINT*//*Label 17*/ GIMT_Encode4(3187),
     /*  254 */ /*TargetOpcode::G_INTTOPTR*//*Label 18*/ GIMT_Encode4(3230),
     /*  258 */ /*TargetOpcode::G_BITCAST*//*Label 19*/ GIMT_Encode4(3263),
     /*  262 */ /*TargetOpcode::G_FREEZE*//*Label 20*/ GIMT_Encode4(3306), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  302 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(3370),
     /*  306 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(3382),
     /*  310 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(3394), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  326 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(3406), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  462 */ /*TargetOpcode::G_ANYEXT*//*Label 25*/ GIMT_Encode4(3418),
     /*  466 */ /*TargetOpcode::G_TRUNC*//*Label 26*/ GIMT_Encode4(3546), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  498 */ /*TargetOpcode::G_SEXT*//*Label 27*/ GIMT_Encode4(3915),
     /*  502 */ /*TargetOpcode::G_SEXT_INREG*//*Label 28*/ GIMT_Encode4(3990),
     /*  506 */ /*TargetOpcode::G_ZEXT*//*Label 29*/ GIMT_Encode4(4056),
     /*  510 */ /*TargetOpcode::G_SHL*//*Label 30*/ GIMT_Encode4(4186),
     /*  514 */ /*TargetOpcode::G_LSHR*//*Label 31*/ GIMT_Encode4(4355),
     /*  518 */ /*TargetOpcode::G_ASHR*//*Label 32*/ GIMT_Encode4(4478),
     /*  522 */ /*TargetOpcode::G_FSHL*//*Label 33*/ GIMT_Encode4(4612),
     /*  526 */ /*TargetOpcode::G_FSHR*//*Label 34*/ GIMT_Encode4(4655),
     /*  530 */ /*TargetOpcode::G_ROTR*//*Label 35*/ GIMT_Encode4(4698),
     /*  534 */ /*TargetOpcode::G_ROTL*//*Label 36*/ GIMT_Encode4(4722),
     /*  538 */ /*TargetOpcode::G_ICMP*//*Label 37*/ GIMT_Encode4(4746),
     /*  542 */ /*TargetOpcode::G_FCMP*//*Label 38*/ GIMT_Encode4(4791), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  554 */ /*TargetOpcode::G_SELECT*//*Label 39*/ GIMT_Encode4(4803),
     /*  558 */ /*TargetOpcode::G_UADDO*//*Label 40*/ GIMT_Encode4(4898),
     /*  562 */ /*TargetOpcode::G_UADDE*//*Label 41*/ GIMT_Encode4(4921),
     /*  566 */ /*TargetOpcode::G_USUBO*//*Label 42*/ GIMT_Encode4(4933),
     /*  570 */ /*TargetOpcode::G_USUBE*//*Label 43*/ GIMT_Encode4(4945),
     /*  574 */ /*TargetOpcode::G_SADDO*//*Label 44*/ GIMT_Encode4(4957),
     /*  578 */ /*TargetOpcode::G_SADDE*//*Label 45*/ GIMT_Encode4(4980),
     /*  582 */ /*TargetOpcode::G_SSUBO*//*Label 46*/ GIMT_Encode4(4992),
     /*  586 */ /*TargetOpcode::G_SSUBE*//*Label 47*/ GIMT_Encode4(5004),
     /*  590 */ /*TargetOpcode::G_UMULO*//*Label 48*/ GIMT_Encode4(5016),
     /*  594 */ /*TargetOpcode::G_SMULO*//*Label 49*/ GIMT_Encode4(5050),
     /*  598 */ /*TargetOpcode::G_UMULH*//*Label 50*/ GIMT_Encode4(5084),
     /*  602 */ /*TargetOpcode::G_SMULH*//*Label 51*/ GIMT_Encode4(5107),
     /*  606 */ /*TargetOpcode::G_UADDSAT*//*Label 52*/ GIMT_Encode4(5119),
     /*  610 */ /*TargetOpcode::G_SADDSAT*//*Label 53*/ GIMT_Encode4(5131), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  622 */ /*TargetOpcode::G_USHLSAT*//*Label 54*/ GIMT_Encode4(5143),
     /*  626 */ /*TargetOpcode::G_SSHLSAT*//*Label 55*/ GIMT_Encode4(5166),
     /*  630 */ /*TargetOpcode::G_SMULFIX*//*Label 56*/ GIMT_Encode4(5189),
     /*  634 */ /*TargetOpcode::G_UMULFIX*//*Label 57*/ GIMT_Encode4(5201),
     /*  638 */ /*TargetOpcode::G_SMULFIXSAT*//*Label 58*/ GIMT_Encode4(5213),
     /*  642 */ /*TargetOpcode::G_UMULFIXSAT*//*Label 59*/ GIMT_Encode4(5225), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  662 */ /*TargetOpcode::G_FADD*//*Label 60*/ GIMT_Encode4(5237),
     /*  666 */ /*TargetOpcode::G_FSUB*//*Label 61*/ GIMT_Encode4(5349),
     /*  670 */ /*TargetOpcode::G_FMUL*//*Label 62*/ GIMT_Encode4(5438),
     /*  674 */ /*TargetOpcode::G_FMA*//*Label 63*/ GIMT_Encode4(5547),
     /*  678 */ /*TargetOpcode::G_FMAD*//*Label 64*/ GIMT_Encode4(5570),
     /*  682 */ /*TargetOpcode::G_FDIV*//*Label 65*/ GIMT_Encode4(5593),
     /*  686 */ /*TargetOpcode::G_FREM*//*Label 66*/ GIMT_Encode4(5627), GIMT_Encode4(0),
     /*  694 */ /*TargetOpcode::G_FPOWI*//*Label 67*/ GIMT_Encode4(5639), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  714 */ /*TargetOpcode::G_FLOG2*//*Label 68*/ GIMT_Encode4(5661), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  730 */ /*TargetOpcode::G_FNEG*//*Label 69*/ GIMT_Encode4(5683), GIMT_Encode4(0),
     /*  738 */ /*TargetOpcode::G_FPTRUNC*//*Label 70*/ GIMT_Encode4(5745),
     /*  742 */ /*TargetOpcode::G_FPTOSI*//*Label 71*/ GIMT_Encode4(5788),
     /*  746 */ /*TargetOpcode::G_FPTOUI*//*Label 72*/ GIMT_Encode4(5810),
     /*  750 */ /*TargetOpcode::G_SITOFP*//*Label 73*/ GIMT_Encode4(5832),
     /*  754 */ /*TargetOpcode::G_UITOFP*//*Label 74*/ GIMT_Encode4(5859), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  766 */ /*TargetOpcode::G_FABS*//*Label 75*/ GIMT_Encode4(5886), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  778 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 76*/ GIMT_Encode4(5965),
     /*  782 */ /*TargetOpcode::G_FMINNUM*//*Label 77*/ GIMT_Encode4(5995),
     /*  786 */ /*TargetOpcode::G_FMAXNUM*//*Label 78*/ GIMT_Encode4(6029),
     /*  790 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 79*/ GIMT_Encode4(6063),
     /*  794 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 80*/ GIMT_Encode4(6075),
     /*  798 */ /*TargetOpcode::G_FMINIMUM*//*Label 81*/ GIMT_Encode4(6087),
     /*  802 */ /*TargetOpcode::G_FMAXIMUM*//*Label 82*/ GIMT_Encode4(6121), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  842 */ /*TargetOpcode::G_PTR_ADD*//*Label 83*/ GIMT_Encode4(6155), GIMT_Encode4(0),
     /*  850 */ /*TargetOpcode::G_SMIN*//*Label 84*/ GIMT_Encode4(6245),
     /*  854 */ /*TargetOpcode::G_SMAX*//*Label 85*/ GIMT_Encode4(6279),
     /*  858 */ /*TargetOpcode::G_UMIN*//*Label 86*/ GIMT_Encode4(6313),
     /*  862 */ /*TargetOpcode::G_UMAX*//*Label 87*/ GIMT_Encode4(6347),
     /*  866 */ /*TargetOpcode::G_ABS*//*Label 88*/ GIMT_Encode4(6381), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  878 */ /*TargetOpcode::G_BR*//*Label 89*/ GIMT_Encode4(6393), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  898 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 90*/ GIMT_Encode4(6405),
     /*  902 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 91*/ GIMT_Encode4(6535),
     /*  906 */ /*TargetOpcode::G_SHUFFLE_VECTOR*//*Label 92*/ GIMT_Encode4(6912), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  946 */ /*TargetOpcode::G_BITREVERSE*//*Label 93*/ GIMT_Encode4(6989), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  998 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(7078),
     /* 1002 */ // Label 0: @1002
     /* 1002 */ GIM_Try, /*On fail goto*//*Label 96*/ GIMT_Encode4(1013), // Rule ID 13 //
     /* 1007 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule13Enabled),
     /* 1010 */   // MIs[0] d
     /* 1010 */   // No operand predicates
     /* 1010 */   // MIs[0] s
     /* 1010 */   // No operand predicates
     /* 1010 */   // Combiner Rule #13: copy_prop
     /* 1010 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner5),
     /* 1013 */ // Label 96: @1013
     /* 1013 */ GIM_Reject,
     /* 1014 */ // Label 1: @1014
     /* 1014 */ GIM_Try, /*On fail goto*//*Label 97*/ GIMT_Encode4(1025), // Rule ID 16 //
     /* 1019 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule16Enabled),
     /* 1022 */   // Combiner Rule #16: add_p2i_to_ptradd; wip_match_opcode 'G_ADD'
     /* 1022 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner8),
     /* 1025 */ // Label 97: @1025
     /* 1025 */ GIM_Try, /*On fail goto*//*Label 98*/ GIMT_Encode4(1036), // Rule ID 94 //
     /* 1030 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1033 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_ADD'
     /* 1033 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1036 */ // Label 98: @1036
     /* 1036 */ GIM_Try, /*On fail goto*//*Label 99*/ GIMT_Encode4(1047), // Rule ID 141 //
     /* 1041 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule103Enabled),
     /* 1044 */   // Combiner Rule #103: simplify_add_to_sub; wip_match_opcode 'G_ADD'
     /* 1044 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner54),
     /* 1047 */ // Label 99: @1047
     /* 1047 */ GIM_Try, /*On fail goto*//*Label 100*/ GIMT_Encode4(1058), // Rule ID 231 //
     /* 1052 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1055 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_ADD'
     /* 1055 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1058 */ // Label 100: @1058
     /* 1058 */ GIM_Try, /*On fail goto*//*Label 101*/ GIMT_Encode4(1069), // Rule ID 279 //
     /* 1063 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 1066 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_ADD'
     /* 1066 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 1069 */ // Label 101: @1069
     /* 1069 */ GIM_Try, /*On fail goto*//*Label 102*/ GIMT_Encode4(1080), // Rule ID 309 //
     /* 1074 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 1077 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_ADD'
     /* 1077 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 1080 */ // Label 102: @1080
     /* 1080 */ GIM_Try, /*On fail goto*//*Label 103*/ GIMT_Encode4(1114), // Rule ID 0 //
     /* 1085 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule0Enabled),
     /* 1088 */   // MIs[0] root
     /* 1088 */   // No operand predicates
     /* 1088 */   // MIs[0] sub
     /* 1088 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1092 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1096 */   // MIs[1] Operand 1
     /* 1096 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 1100 */   // MIs[1] A
     /* 1100 */   // No operand predicates
     /* 1100 */   // MIs[0] B
     /* 1100 */   // No operand predicates
     /* 1100 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1102 */   // Combiner Rule #0: ZeroMinusAPlusB
     /* 1102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1105 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1107 */   GIR_RootToRootCopy, /*OpIdx*/2, // B
     /* 1109 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // A
     /* 1113 */   GIR_EraseRootFromParent_Done,
     /* 1114 */ // Label 103: @1114
     /* 1114 */ GIM_Try, /*On fail goto*//*Label 104*/ GIMT_Encode4(1151), // Rule ID 12 //
     /* 1119 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule12Enabled),
     /* 1122 */   // MIs[0] root
     /* 1122 */   // No operand predicates
     /* 1122 */   // MIs[0] sub
     /* 1122 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1126 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1130 */   // MIs[1] A
     /* 1130 */   // No operand predicates
     /* 1130 */   // MIs[1] c1
     /* 1130 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1134 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1138 */   // MIs[2] imm1
     /* 1138 */   // No operand predicates
     /* 1138 */   // MIs[0] c2
     /* 1138 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1142 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1146 */   // MIs[3] imm2
     /* 1146 */   // No operand predicates
     /* 1146 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1148 */   // Combiner Rule #12: AMinusC1PlusC2
     /* 1148 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner4),
     /* 1151 */ // Label 104: @1151
     /* 1151 */ GIM_Try, /*On fail goto*//*Label 105*/ GIMT_Encode4(1185), // Rule ID 3 //
     /* 1156 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule3Enabled),
     /* 1159 */   // MIs[0] root
     /* 1159 */   // No operand predicates
     /* 1159 */   // MIs[0] sub
     /* 1159 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1163 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1167 */   // MIs[1] B
     /* 1167 */   // No operand predicates
     /* 1167 */   // MIs[1] A
     /* 1167 */   // No operand predicates
     /* 1167 */   // MIs[0] A
     /* 1167 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1172 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1177 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1179 */   // Combiner Rule #3: BMinusAPlusA
     /* 1179 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1184 */   GIR_EraseRootFromParent_Done,
     /* 1185 */ // Label 105: @1185
     /* 1185 */ GIM_Try, /*On fail goto*//*Label 106*/ GIMT_Encode4(1219), // Rule ID 131 //
     /* 1190 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 1193 */   // MIs[0] dst
     /* 1193 */   // No operand predicates
     /* 1193 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 1193 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1197 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1201 */   // MIs[1] src
     /* 1201 */   // No operand predicates
     /* 1201 */   // MIs[1] __add_sub_reg_match_0.x
     /* 1201 */   // No operand predicates
     /* 1201 */   // MIs[0] __add_sub_reg_match_0.x
     /* 1201 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1206 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1211 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1213 */   // Combiner Rule #94: add_sub_reg @ [__add_sub_reg_match_0[1]]
     /* 1213 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1218 */   GIR_EraseRootFromParent_Done,
     /* 1219 */ // Label 106: @1219
     /* 1219 */ GIM_Try, /*On fail goto*//*Label 107*/ GIMT_Encode4(1264), // Rule ID 5 //
     /* 1224 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule5Enabled),
     /* 1227 */   // MIs[0] root
     /* 1227 */   // No operand predicates
     /* 1227 */   // MIs[0] sub1
     /* 1227 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1231 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1235 */   // MIs[1] A
     /* 1235 */   // No operand predicates
     /* 1235 */   // MIs[1] B
     /* 1235 */   // No operand predicates
     /* 1235 */   // MIs[0] sub2
     /* 1235 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1239 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1243 */   // MIs[2] B
     /* 1243 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 1248 */   // MIs[2] C
     /* 1248 */   // No operand predicates
     /* 1248 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1250 */   // Combiner Rule #5: AMinusBPlusBMinusC
     /* 1250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1253 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1255 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // A
     /* 1259 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 1263 */   GIR_EraseRootFromParent_Done,
     /* 1264 */ // Label 107: @1264
     /* 1264 */ GIM_Try, /*On fail goto*//*Label 108*/ GIMT_Encode4(1309), // Rule ID 4 //
     /* 1269 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule4Enabled),
     /* 1272 */   // MIs[0] root
     /* 1272 */   // No operand predicates
     /* 1272 */   // MIs[0] sub1
     /* 1272 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1276 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1280 */   // MIs[1] A
     /* 1280 */   // No operand predicates
     /* 1280 */   // MIs[1] B
     /* 1280 */   // No operand predicates
     /* 1280 */   // MIs[0] sub2
     /* 1280 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1284 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1288 */   // MIs[2] C
     /* 1288 */   // No operand predicates
     /* 1288 */   // MIs[2] A
     /* 1288 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 1293 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1295 */   // Combiner Rule #4: AMinusBPlusCMinusA
     /* 1295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1298 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1300 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 1304 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 1308 */   GIR_EraseRootFromParent_Done,
     /* 1309 */ // Label 108: @1309
     /* 1309 */ GIM_Try, /*On fail goto*//*Label 109*/ GIMT_Encode4(1344), // Rule ID 39 //
     /* 1314 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule37Enabled),
     /* 1317 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1323 */   // MIs[0] root
     /* 1323 */   // No operand predicates
     /* 1323 */   // MIs[0] left
     /* 1323 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1327 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1331 */   // MIs[1] imm1
     /* 1331 */   // No operand predicates
     /* 1331 */   // MIs[0] right
     /* 1331 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1335 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1339 */   // MIs[2] imm2
     /* 1339 */   // No operand predicates
     /* 1339 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1341 */   // Combiner Rule #37: add_of_vscale
     /* 1341 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner15),
     /* 1344 */ // Label 109: @1344
     /* 1344 */ GIM_Try, /*On fail goto*//*Label 110*/ GIMT_Encode4(1378), // Rule ID 1 //
     /* 1349 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule1Enabled),
     /* 1352 */   // MIs[0] root
     /* 1352 */   // No operand predicates
     /* 1352 */   // MIs[0] A
     /* 1352 */   // No operand predicates
     /* 1352 */   // MIs[0] sub
     /* 1352 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1356 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1360 */   // MIs[1] Operand 1
     /* 1360 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /* 1364 */   // MIs[1] B
     /* 1364 */   // No operand predicates
     /* 1364 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366 */   // Combiner Rule #1: APlusZeroMinusB
     /* 1366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1369 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1371 */   GIR_RootToRootCopy, /*OpIdx*/1, // A
     /* 1373 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // B
     /* 1377 */   GIR_EraseRootFromParent_Done,
     /* 1378 */ // Label 110: @1378
     /* 1378 */ GIM_Try, /*On fail goto*//*Label 111*/ GIMT_Encode4(1412), // Rule ID 2 //
     /* 1383 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule2Enabled),
     /* 1386 */   // MIs[0] root
     /* 1386 */   // No operand predicates
     /* 1386 */   // MIs[0] A
     /* 1386 */   // No operand predicates
     /* 1386 */   // MIs[0] sub
     /* 1386 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1390 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1394 */   // MIs[1] B
     /* 1394 */   // No operand predicates
     /* 1394 */   // MIs[1] A
     /* 1394 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1399 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1404 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406 */   // Combiner Rule #2: APlusBMinusB
     /* 1406 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1411 */   GIR_EraseRootFromParent_Done,
     /* 1412 */ // Label 111: @1412
     /* 1412 */ GIM_Try, /*On fail goto*//*Label 112*/ GIMT_Encode4(1446), // Rule ID 130 //
     /* 1417 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule94Enabled),
     /* 1420 */   // MIs[0] dst
     /* 1420 */   // No operand predicates
     /* 1420 */   // MIs[0] __add_sub_reg_match_0.x
     /* 1420 */   // No operand predicates
     /* 1420 */   // MIs[0] __add_sub_reg_match_0.tmp
     /* 1420 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1424 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1428 */   // MIs[1] src
     /* 1428 */   // No operand predicates
     /* 1428 */   // MIs[1] __add_sub_reg_match_0.x
     /* 1428 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1433 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1438 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440 */   // Combiner Rule #94: add_sub_reg @ [__add_sub_reg_match_0[0]]
     /* 1440 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 1445 */   GIR_EraseRootFromParent_Done,
     /* 1446 */ // Label 112: @1446
     /* 1446 */ GIM_Try, /*On fail goto*//*Label 113*/ GIMT_Encode4(1491), // Rule ID 6 //
     /* 1451 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule6Enabled),
     /* 1454 */   // MIs[0] root
     /* 1454 */   // No operand predicates
     /* 1454 */   // MIs[0] A
     /* 1454 */   // No operand predicates
     /* 1454 */   // MIs[0] sub1
     /* 1454 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1458 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1462 */   // MIs[1] B
     /* 1462 */   // No operand predicates
     /* 1462 */   // MIs[1] add1
     /* 1462 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1466 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1470 */   // MIs[2] A
     /* 1470 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1475 */   // MIs[2] C
     /* 1475 */   // No operand predicates
     /* 1475 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1477 */   // Combiner Rule #6: APlusBMinusAplusC
     /* 1477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1480 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1482 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 1486 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // C
     /* 1490 */   GIR_EraseRootFromParent_Done,
     /* 1491 */ // Label 113: @1491
     /* 1491 */ GIM_Try, /*On fail goto*//*Label 114*/ GIMT_Encode4(1536), // Rule ID 7 //
     /* 1496 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule7Enabled),
     /* 1499 */   // MIs[0] root
     /* 1499 */   // No operand predicates
     /* 1499 */   // MIs[0] A
     /* 1499 */   // No operand predicates
     /* 1499 */   // MIs[0] sub1
     /* 1499 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1507 */   // MIs[1] B
     /* 1507 */   // No operand predicates
     /* 1507 */   // MIs[1] add1
     /* 1507 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1511 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1515 */   // MIs[2] C
     /* 1515 */   // No operand predicates
     /* 1515 */   // MIs[2] A
     /* 1515 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 1520 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1522 */   // Combiner Rule #7: APlusBMinusCPlusA
     /* 1522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1525 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 1527 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // B
     /* 1531 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // C
     /* 1535 */   GIR_EraseRootFromParent_Done,
     /* 1536 */ // Label 114: @1536
     /* 1536 */ GIM_Try, /*On fail goto*//*Label 115*/ GIMT_Encode4(1559), // Rule ID 105 //
     /* 1541 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 1544 */   // MIs[0] dst
     /* 1544 */   // No operand predicates
     /* 1544 */   // MIs[0] lhs
     /* 1544 */   // No operand predicates
     /* 1544 */   // MIs[0] Operand 2
     /* 1544 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1548 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1553 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[1]]
     /* 1553 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1558 */   GIR_EraseRootFromParent_Done,
     /* 1559 */ // Label 115: @1559
     /* 1559 */ GIM_Try, /*On fail goto*//*Label 116*/ GIMT_Encode4(1570), // Rule ID 149 //
     /* 1564 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule107Enabled),
     /* 1567 */   // MIs[0] root
     /* 1567 */   // No operand predicates
     /* 1567 */   // MIs[0] src1
     /* 1567 */   // No operand predicates
     /* 1567 */   // MIs[0] src2
     /* 1567 */   // No operand predicates
     /* 1567 */   // Combiner Rule #107: reassoc_comm_binops
     /* 1567 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner58),
     /* 1570 */ // Label 116: @1570
     /* 1570 */ GIM_Reject,
     /* 1571 */ // Label 2: @1571
     /* 1571 */ GIM_Try, /*On fail goto*//*Label 117*/ GIMT_Encode4(1582), // Rule ID 95 //
     /* 1576 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 1579 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_SUB'
     /* 1579 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 1582 */ // Label 117: @1582
     /* 1582 */ GIM_Try, /*On fail goto*//*Label 118*/ GIMT_Encode4(1593), // Rule ID 239 //
     /* 1587 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1590 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SUB'
     /* 1590 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1593 */ // Label 118: @1593
     /* 1593 */ GIM_Try, /*On fail goto*//*Label 119*/ GIMT_Encode4(1604), // Rule ID 280 //
     /* 1598 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 1601 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SUB'
     /* 1601 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 1604 */ // Label 119: @1604
     /* 1604 */ GIM_Try, /*On fail goto*//*Label 120*/ GIMT_Encode4(1615), // Rule ID 306 //
     /* 1609 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule188Enabled),
     /* 1612 */   // Combiner Rule #188: sub_add_reg; wip_match_opcode 'G_SUB'
     /* 1612 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner124),
     /* 1615 */ // Label 120: @1615
     /* 1615 */ GIM_Try, /*On fail goto*//*Label 121*/ GIMT_Encode4(1626), // Rule ID 340 //
     /* 1620 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule195Enabled),
     /* 1623 */   // Combiner Rule #195: simplify_neg_minmax; wip_match_opcode 'G_SUB'
     /* 1623 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner131),
     /* 1626 */ // Label 121: @1626
     /* 1626 */ GIM_Try, /*On fail goto*//*Label 122*/ GIMT_Encode4(1663), // Rule ID 8 //
     /* 1631 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule8Enabled),
     /* 1634 */   // MIs[0] root
     /* 1634 */   // No operand predicates
     /* 1634 */   // MIs[0] add
     /* 1634 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1638 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1642 */   // MIs[1] A
     /* 1642 */   // No operand predicates
     /* 1642 */   // MIs[1] c1
     /* 1642 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1646 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1650 */   // MIs[2] imm1
     /* 1650 */   // No operand predicates
     /* 1650 */   // MIs[0] c2
     /* 1650 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1654 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1658 */   // MIs[3] imm2
     /* 1658 */   // No operand predicates
     /* 1658 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1660 */   // Combiner Rule #8: APlusC1MinusC2
     /* 1660 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner0),
     /* 1663 */ // Label 122: @1663
     /* 1663 */ GIM_Try, /*On fail goto*//*Label 123*/ GIMT_Encode4(1700), // Rule ID 11 //
     /* 1668 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule11Enabled),
     /* 1671 */   // MIs[0] root
     /* 1671 */   // No operand predicates
     /* 1671 */   // MIs[0] sub1
     /* 1671 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1675 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1679 */   // MIs[1] c1
     /* 1679 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 1683 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1687 */   // MIs[2] imm1
     /* 1687 */   // No operand predicates
     /* 1687 */   // MIs[1] A
     /* 1687 */   // No operand predicates
     /* 1687 */   // MIs[0] c2
     /* 1687 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1691 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1695 */   // MIs[3] imm2
     /* 1695 */   // No operand predicates
     /* 1695 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1697 */   // Combiner Rule #11: C1Minus2MinusC2
     /* 1697 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner3),
     /* 1700 */ // Label 123: @1700
     /* 1700 */ GIM_Try, /*On fail goto*//*Label 124*/ GIMT_Encode4(1737), // Rule ID 10 //
     /* 1705 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule10Enabled),
     /* 1708 */   // MIs[0] root
     /* 1708 */   // No operand predicates
     /* 1708 */   // MIs[0] sub1
     /* 1708 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1712 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1716 */   // MIs[1] A
     /* 1716 */   // No operand predicates
     /* 1716 */   // MIs[1] c1
     /* 1716 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 1720 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1724 */   // MIs[2] imm1
     /* 1724 */   // No operand predicates
     /* 1724 */   // MIs[0] c2
     /* 1724 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 1728 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1732 */   // MIs[3] imm2
     /* 1732 */   // No operand predicates
     /* 1732 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1734 */   // Combiner Rule #10: AMinusC1MinusC2
     /* 1734 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner2),
     /* 1737 */ // Label 124: @1737
     /* 1737 */ GIM_Try, /*On fail goto*//*Label 125*/ GIMT_Encode4(1780), // Rule ID 159 //
     /* 1742 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule117Enabled),
     /* 1745 */   // MIs[0] dst
     /* 1745 */   // No operand predicates
     /* 1745 */   // MIs[0] Operand 1
     /* 1745 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 1749 */   // MIs[0] and
     /* 1749 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1753 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 1757 */   // MIs[1] x
     /* 1757 */   // No operand predicates
     /* 1757 */   // MIs[1] Operand 2
     /* 1757 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 1761 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner7),
     /* 1765 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1767 */   // Combiner Rule #117: neg_and_one_to_sext_inreg
     /* 1767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 1770 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 1772 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 1776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1779 */   GIR_EraseRootFromParent_Done,
     /* 1780 */ // Label 125: @1780
     /* 1780 */ GIM_Try, /*On fail goto*//*Label 126*/ GIMT_Encode4(1817), // Rule ID 9 //
     /* 1785 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule9Enabled),
     /* 1788 */   // MIs[0] root
     /* 1788 */   // No operand predicates
     /* 1788 */   // MIs[0] c2
     /* 1788 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1796 */   // MIs[1] imm2
     /* 1796 */   // No operand predicates
     /* 1796 */   // MIs[0] add
     /* 1796 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1800 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 1804 */   // MIs[2] A
     /* 1804 */   // No operand predicates
     /* 1804 */   // MIs[2] c1
     /* 1804 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 1808 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1812 */   // MIs[3] imm1
     /* 1812 */   // No operand predicates
     /* 1812 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 1814 */   // Combiner Rule #9: C2MinusAPlusC1
     /* 1814 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner1),
     /* 1817 */ // Label 126: @1817
     /* 1817 */ GIM_Try, /*On fail goto*//*Label 127*/ GIMT_Encode4(1844), // Rule ID 42 //
     /* 1822 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule40Enabled),
     /* 1825 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1831 */   // MIs[0] root
     /* 1831 */   // No operand predicates
     /* 1831 */   // MIs[0] x
     /* 1831 */   // No operand predicates
     /* 1831 */   // MIs[0] right
     /* 1831 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1835 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1839 */   // MIs[1] imm
     /* 1839 */   // No operand predicates
     /* 1839 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1841 */   // Combiner Rule #40: sub_of_vscale
     /* 1841 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner18),
     /* 1844 */ // Label 127: @1844
     /* 1844 */ GIM_Try, /*On fail goto*//*Label 128*/ GIMT_Encode4(1867), // Rule ID 104 //
     /* 1849 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 1852 */   // MIs[0] dst
     /* 1852 */   // No operand predicates
     /* 1852 */   // MIs[0] lhs
     /* 1852 */   // No operand predicates
     /* 1852 */   // MIs[0] Operand 2
     /* 1852 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 1856 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1861 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[0]]
     /* 1861 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 1866 */   GIR_EraseRootFromParent_Done,
     /* 1867 */ // Label 128: @1867
     /* 1867 */ GIM_Try, /*On fail goto*//*Label 129*/ GIMT_Encode4(1888), // Rule ID 15 //
     /* 1872 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule15Enabled),
     /* 1875 */   // MIs[0] d
     /* 1875 */   // No operand predicates
     /* 1875 */   // MIs[0] op1
     /* 1875 */   // No operand predicates
     /* 1875 */   // MIs[0] c
     /* 1875 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 1879 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1883 */   // MIs[1] imm
     /* 1883 */   // No operand predicates
     /* 1883 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1885 */   // Combiner Rule #15: sub_to_add
     /* 1885 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner7),
     /* 1888 */ // Label 129: @1888
     /* 1888 */ GIM_Reject,
     /* 1889 */ // Label 3: @1889
     /* 1889 */ GIM_Try, /*On fail goto*//*Label 130*/ GIMT_Encode4(1900), // Rule ID 78 //
     /* 1894 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 1897 */   // Combiner Rule #72: undef_to_int_zero; wip_match_opcode 'G_MUL'
     /* 1897 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 1900 */ // Label 130: @1900
     /* 1900 */ GIM_Try, /*On fail goto*//*Label 131*/ GIMT_Encode4(1911), // Rule ID 236 //
     /* 1905 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 1908 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_MUL'
     /* 1908 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 1911 */ // Label 131: @1911
     /* 1911 */ GIM_Try, /*On fail goto*//*Label 132*/ GIMT_Encode4(1922), // Rule ID 310 //
     /* 1916 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 1919 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_MUL'
     /* 1919 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 1922 */ // Label 132: @1922
     /* 1922 */ GIM_Try, /*On fail goto*//*Label 133*/ GIMT_Encode4(1962), // Rule ID 17 //
     /* 1927 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule17Enabled),
     /* 1930 */   // MIs[0] dst
     /* 1930 */   GIM_RecordRegType, /*MI*/0, /*Op*/0, /*TempTypeIdx*/uint8_t(-1),
     /* 1934 */   // MIs[0] x
     /* 1934 */   // No operand predicates
     /* 1934 */   // MIs[0] Operand 2
     /* 1934 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /* 1938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 1941 */   GIR_BuildConstant, /*TempRegID*/0, /*Val*/GIMT_Encode8(0),
     /* 1951 */   // Combiner Rule #17: mul_by_neg_one
     /* 1951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SUB),
     /* 1954 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 1956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 1959 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 1961 */   GIR_EraseRootFromParent_Done,
     /* 1962 */ // Label 133: @1962
     /* 1962 */ GIM_Try, /*On fail goto*//*Label 134*/ GIMT_Encode4(1997), // Rule ID 40 //
     /* 1967 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule38Enabled),
     /* 1970 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 1976 */   // MIs[0] root
     /* 1976 */   // No operand predicates
     /* 1976 */   // MIs[0] left
     /* 1976 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 1980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 1984 */   // MIs[1] scale
     /* 1984 */   // No operand predicates
     /* 1984 */   // MIs[0] x
     /* 1984 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 1988 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1992 */   // MIs[2] imm1
     /* 1992 */   // No operand predicates
     /* 1992 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 1994 */   // Combiner Rule #38: mul_of_vscale
     /* 1994 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner16),
     /* 1997 */ // Label 134: @1997
     /* 1997 */ GIM_Try, /*On fail goto*//*Label 135*/ GIMT_Encode4(2020), // Rule ID 123 //
     /* 2002 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule87Enabled),
     /* 2005 */   // MIs[0] dst
     /* 2005 */   // No operand predicates
     /* 2005 */   // MIs[0] lhs
     /* 2005 */   // No operand predicates
     /* 2005 */   // MIs[0] zero
     /* 2005 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2009 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 2014 */   // Combiner Rule #87: binop_right_to_zero
     /* 2014 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/2,
     /* 2019 */   GIR_EraseRootFromParent_Done,
     /* 2020 */ // Label 135: @2020
     /* 2020 */ GIM_Try, /*On fail goto*//*Label 136*/ GIMT_Encode4(2043), // Rule ID 128 //
     /* 2025 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule92Enabled),
     /* 2028 */   // MIs[0] dst
     /* 2028 */   // No operand predicates
     /* 2028 */   // MIs[0] x
     /* 2028 */   // No operand predicates
     /* 2028 */   // MIs[0] Operand 2
     /* 2028 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /* 2032 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2037 */   // Combiner Rule #92: right_identity_one_int
     /* 2037 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2042 */   GIR_EraseRootFromParent_Done,
     /* 2043 */ // Label 136: @2043
     /* 2043 */ GIM_Try, /*On fail goto*//*Label 137*/ GIMT_Encode4(2054), // Rule ID 14 //
     /* 2048 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule14Enabled),
     /* 2051 */   // MIs[0] d
     /* 2051 */   // No operand predicates
     /* 2051 */   // MIs[0] op1
     /* 2051 */   // No operand predicates
     /* 2051 */   // MIs[0] op2
     /* 2051 */   // No operand predicates
     /* 2051 */   // Combiner Rule #14: mul_to_shl
     /* 2051 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner6),
     /* 2054 */ // Label 137: @2054
     /* 2054 */ GIM_Reject,
     /* 2055 */ // Label 4: @2055
     /* 2055 */ GIM_Try, /*On fail goto*//*Label 138*/ GIMT_Encode4(2066), // Rule ID 119 //
     /* 2060 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2063 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SDIV'
     /* 2063 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2066 */ // Label 138: @2066
     /* 2066 */ GIM_Try, /*On fail goto*//*Label 139*/ GIMT_Encode4(2077), // Rule ID 211 //
     /* 2071 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2074 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_SDIV'
     /* 2074 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2077 */ // Label 139: @2077
     /* 2077 */ GIM_Try, /*On fail goto*//*Label 140*/ GIMT_Encode4(2088), // Rule ID 242 //
     /* 2082 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2085 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SDIV'
     /* 2085 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2088 */ // Label 140: @2088
     /* 2088 */ GIM_Try, /*On fail goto*//*Label 141*/ GIMT_Encode4(2099), // Rule ID 260 //
     /* 2093 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule172Enabled),
     /* 2096 */   // Combiner Rule #172: sdiv_by_const; wip_match_opcode 'G_SDIV'
     /* 2096 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner109),
     /* 2099 */ // Label 141: @2099
     /* 2099 */ GIM_Try, /*On fail goto*//*Label 142*/ GIMT_Encode4(2110), // Rule ID 285 //
     /* 2104 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2107 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SDIV'
     /* 2107 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2110 */ // Label 142: @2110
     /* 2110 */ GIM_Try, /*On fail goto*//*Label 143*/ GIMT_Encode4(2127), // Rule ID 261 //
     /* 2115 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule173Enabled),
     /* 2118 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 2124 */   // MIs[0] dst
     /* 2124 */   // No operand predicates
     /* 2124 */   // MIs[0] x
     /* 2124 */   // No operand predicates
     /* 2124 */   // MIs[0] y
     /* 2124 */   // No operand predicates
     /* 2124 */   // Combiner Rule #173: sdiv_by_pow2
     /* 2124 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner110),
     /* 2127 */ // Label 143: @2127
     /* 2127 */ GIM_Reject,
     /* 2128 */ // Label 5: @2128
     /* 2128 */ GIM_Try, /*On fail goto*//*Label 144*/ GIMT_Encode4(2139), // Rule ID 81 //
     /* 2133 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 2136 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_UDIV'
     /* 2136 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 2139 */ // Label 144: @2139
     /* 2139 */ GIM_Try, /*On fail goto*//*Label 145*/ GIMT_Encode4(2150), // Rule ID 120 //
     /* 2144 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2147 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_UDIV'
     /* 2147 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2150 */ // Label 145: @2150
     /* 2150 */ GIM_Try, /*On fail goto*//*Label 146*/ GIMT_Encode4(2161), // Rule ID 212 //
     /* 2155 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2158 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_UDIV'
     /* 2158 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2161 */ // Label 146: @2161
     /* 2161 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2172), // Rule ID 241 //
     /* 2166 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2169 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UDIV'
     /* 2169 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2172 */ // Label 147: @2172
     /* 2172 */ GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(2183), // Rule ID 259 //
     /* 2177 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule171Enabled),
     /* 2180 */   // Combiner Rule #171: udiv_by_const; wip_match_opcode 'G_UDIV'
     /* 2180 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner108),
     /* 2183 */ // Label 148: @2183
     /* 2183 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2194), // Rule ID 287 //
     /* 2188 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2191 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UDIV'
     /* 2191 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2194 */ // Label 149: @2194
     /* 2194 */ GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(2211), // Rule ID 262 //
     /* 2199 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule174Enabled),
     /* 2202 */   GIM_MIFlagsNot, /*MI*/0, GIMT_Encode4(MachineInstr::IsExact),
     /* 2208 */   // MIs[0] dst
     /* 2208 */   // No operand predicates
     /* 2208 */   // MIs[0] x
     /* 2208 */   // No operand predicates
     /* 2208 */   // MIs[0] y
     /* 2208 */   // No operand predicates
     /* 2208 */   // Combiner Rule #174: udiv_by_pow2
     /* 2208 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner111),
     /* 2211 */ // Label 150: @2211
     /* 2211 */ GIM_Reject,
     /* 2212 */ // Label 6: @2212
     /* 2212 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(2223), // Rule ID 121 //
     /* 2217 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2220 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SREM'
     /* 2220 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2223 */ // Label 151: @2223
     /* 2223 */ GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(2234), // Rule ID 213 //
     /* 2228 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2231 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_SREM'
     /* 2231 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2234 */ // Label 152: @2234
     /* 2234 */ GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(2245), // Rule ID 244 //
     /* 2239 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2242 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SREM'
     /* 2242 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2245 */ // Label 153: @2245
     /* 2245 */ GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(2256), // Rule ID 286 //
     /* 2250 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2253 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SREM'
     /* 2253 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2256 */ // Label 154: @2256
     /* 2256 */ GIM_Reject,
     /* 2257 */ // Label 7: @2257
     /* 2257 */ GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(2268), // Rule ID 82 //
     /* 2262 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 2265 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_UREM'
     /* 2265 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 2268 */ // Label 155: @2268
     /* 2268 */ GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(2279), // Rule ID 122 //
     /* 2273 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 2276 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_UREM'
     /* 2276 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 2279 */ // Label 156: @2279
     /* 2279 */ GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(2290), // Rule ID 170 //
     /* 2284 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule128Enabled),
     /* 2287 */   // Combiner Rule #128: urem_pow2_to_mask; wip_match_opcode 'G_UREM'
     /* 2287 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner75),
     /* 2290 */ // Label 157: @2290
     /* 2290 */ GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(2301), // Rule ID 214 //
     /* 2295 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule153Enabled),
     /* 2298 */   // Combiner Rule #153: div_rem_to_divrem; wip_match_opcode 'G_UREM'
     /* 2298 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner95),
     /* 2301 */ // Label 158: @2301
     /* 2301 */ GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(2312), // Rule ID 243 //
     /* 2306 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2309 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UREM'
     /* 2309 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2312 */ // Label 159: @2312
     /* 2312 */ GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(2323), // Rule ID 288 //
     /* 2317 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2320 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UREM'
     /* 2320 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2323 */ // Label 160: @2323
     /* 2323 */ GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(2334), // Rule ID 305 //
     /* 2328 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule187Enabled),
     /* 2331 */   // MIs[0] dst
     /* 2331 */   // No operand predicates
     /* 2331 */   // MIs[0] x
     /* 2331 */   // No operand predicates
     /* 2331 */   // MIs[0] y
     /* 2331 */   // No operand predicates
     /* 2331 */   // Combiner Rule #187: urem_by_const
     /* 2331 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner108),
     /* 2334 */ // Label 161: @2334
     /* 2334 */ GIM_Reject,
     /* 2335 */ // Label 8: @2335
     /* 2335 */ GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2346), // Rule ID 73 //
     /* 2340 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule69Enabled),
     /* 2343 */   // Combiner Rule #69: load_and_mask; wip_match_opcode 'G_AND'
     /* 2343 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner31),
     /* 2346 */ // Label 162: @2346
     /* 2346 */ GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2357), // Rule ID 77 //
     /* 2351 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule72Enabled),
     /* 2354 */   // Combiner Rule #72: undef_to_int_zero; wip_match_opcode 'G_AND'
     /* 2354 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner34),
     /* 2357 */ // Label 163: @2357
     /* 2357 */ GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2368), // Rule ID 142 //
     /* 2362 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2365 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_AND'
     /* 2365 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2368 */ // Label 164: @2368
     /* 2368 */ GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2379), // Rule ID 162 //
     /* 2373 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule120Enabled),
     /* 2376 */   // Combiner Rule #120: narrow_binop_feeding_and; wip_match_opcode 'G_AND'
     /* 2376 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner68),
     /* 2379 */ // Label 165: @2379
     /* 2379 */ GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2390), // Rule ID 167 //
     /* 2384 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule125Enabled),
     /* 2387 */   // Combiner Rule #125: redundant_and; wip_match_opcode 'G_AND'
     /* 2387 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner72),
     /* 2390 */ // Label 166: @2390
     /* 2390 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2401), // Rule ID 184 //
     /* 2395 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule142Enabled),
     /* 2398 */   // Combiner Rule #142: overlapping_and; wip_match_opcode 'G_AND'
     /* 2398 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner84),
     /* 2401 */ // Label 167: @2401
     /* 2401 */ GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2412), // Rule ID 233 //
     /* 2406 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2409 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_AND'
     /* 2409 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2412 */ // Label 168: @2412
     /* 2412 */ GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2423), // Rule ID 270 //
     /* 2417 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule177Enabled),
     /* 2420 */   // Combiner Rule #177: and_or_disjoint_mask; wip_match_opcode 'G_AND'
     /* 2420 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner114),
     /* 2423 */ // Label 169: @2423
     /* 2423 */ GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2434), // Rule ID 282 //
     /* 2428 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2431 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_AND'
     /* 2431 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2434 */ // Label 170: @2434
     /* 2434 */ GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2445), // Rule ID 311 //
     /* 2439 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 2442 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_AND'
     /* 2442 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2445 */ // Label 171: @2445
     /* 2445 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2456), // Rule ID 338 //
     /* 2450 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule193Enabled),
     /* 2453 */   // Combiner Rule #193: match_ands; wip_match_opcode 'G_AND'
     /* 2453 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner129),
     /* 2456 */ // Label 172: @2456
     /* 2456 */ GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2554), // Rule ID 155 //
     /* 2461 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule113Enabled),
     /* 2464 */   // MIs[0] root
     /* 2464 */   // No operand predicates
     /* 2464 */   // MIs[0] d1
     /* 2464 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2468 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2472 */   // MIs[1] p
     /* 2472 */   // No operand predicates
     /* 2472 */   // MIs[1] s1
     /* 2472 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 2476 */   // MIs[1] Operand 3
     /* 2476 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 2480 */   // MIs[0] d2
     /* 2480 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2484 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2488 */   // MIs[2] p
     /* 2488 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 2493 */   // MIs[2] s2
     /* 2493 */   // No operand predicates
     /* 2493 */   // MIs[2] Operand 3
     /* 2493 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 2497 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner5),
     /* 2501 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2503 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 2506 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 2516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2519 */   // Combiner Rule #113: double_icmp_zero_and_combine
     /* 2519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 2522 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 2531 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 2535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2539 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 2543 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 2547 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 2550 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2553 */   GIR_EraseRootFromParent_Done,
     /* 2554 */ // Label 173: @2554
     /* 2554 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2591), // Rule ID 226 //
     /* 2559 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule163Enabled),
     /* 2562 */   // MIs[0] root
     /* 2562 */   // No operand predicates
     /* 2562 */   // MIs[0] shift
     /* 2562 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2566 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 2570 */   // MIs[1] x
     /* 2570 */   // No operand predicates
     /* 2570 */   // MIs[1] lsb
     /* 2570 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 2574 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2578 */   // MIs[2] imm1
     /* 2578 */   // No operand predicates
     /* 2578 */   // MIs[0] mask
     /* 2578 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 2582 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2586 */   // MIs[3] imm2
     /* 2586 */   // No operand predicates
     /* 2586 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 2588 */   // Combiner Rule #163: bitfield_extract_from_and
     /* 2588 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner101),
     /* 2591 */ // Label 174: @2591
     /* 2591 */ GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2615), // Rule ID 114 //
     /* 2596 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 2599 */   // MIs[0] dst
     /* 2599 */   // No operand predicates
     /* 2599 */   // MIs[0] src
     /* 2599 */   // No operand predicates
     /* 2599 */   // MIs[0] src
     /* 2599 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 2604 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2609 */   // Combiner Rule #85: binop_same_val @ [__binop_same_val_match_0[0]]
     /* 2609 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2614 */   GIR_EraseRootFromParent_Done,
     /* 2615 */ // Label 175: @2615
     /* 2615 */ GIM_Reject,
     /* 2616 */ // Label 9: @2616
     /* 2616 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2627), // Rule ID 79 //
     /* 2621 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule73Enabled),
     /* 2624 */   // Combiner Rule #73: undef_to_negative_one; wip_match_opcode 'G_OR'
     /* 2624 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner35),
     /* 2627 */ // Label 176: @2627
     /* 2627 */ GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2638), // Rule ID 143 //
     /* 2632 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2635 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_OR'
     /* 2635 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2638 */ // Label 177: @2638
     /* 2638 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2649), // Rule ID 169 //
     /* 2643 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule127Enabled),
     /* 2646 */   // Combiner Rule #127: redundant_or; wip_match_opcode 'G_OR'
     /* 2646 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner74),
     /* 2649 */ // Label 178: @2649
     /* 2649 */ GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2660), // Rule ID 210 //
     /* 2654 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule152Enabled),
     /* 2657 */   // Combiner Rule #152: load_or_combine; wip_match_opcode 'G_OR'
     /* 2657 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner94),
     /* 2660 */ // Label 179: @2660
     /* 2660 */ GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2671), // Rule ID 215 //
     /* 2665 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule154Enabled),
     /* 2668 */   // Combiner Rule #154: funnel_shift_from_or_shift; wip_match_opcode 'G_OR'
     /* 2668 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner96),
     /* 2671 */ // Label 180: @2671
     /* 2671 */ GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2682), // Rule ID 237 //
     /* 2676 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2679 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_OR'
     /* 2679 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2682 */ // Label 181: @2682
     /* 2682 */ GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(2693), // Rule ID 283 //
     /* 2687 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2690 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_OR'
     /* 2690 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2693 */ // Label 182: @2693
     /* 2693 */ GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(2704), // Rule ID 312 //
     /* 2698 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 2701 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_OR'
     /* 2701 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2704 */ // Label 183: @2704
     /* 2704 */ GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(2715), // Rule ID 339 //
     /* 2709 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule194Enabled),
     /* 2712 */   // Combiner Rule #194: match_ors; wip_match_opcode 'G_OR'
     /* 2712 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner130),
     /* 2715 */ // Label 184: @2715
     /* 2715 */ GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(2813), // Rule ID 156 //
     /* 2720 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule114Enabled),
     /* 2723 */   // MIs[0] root
     /* 2723 */   // No operand predicates
     /* 2723 */   // MIs[0] d1
     /* 2723 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2731 */   // MIs[1] p
     /* 2731 */   // No operand predicates
     /* 2731 */   // MIs[1] s1
     /* 2731 */   GIM_RecordRegType, /*MI*/1, /*Op*/2, /*TempTypeIdx*/uint8_t(-1),
     /* 2735 */   // MIs[1] Operand 3
     /* 2735 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 0,
     /* 2739 */   // MIs[0] d2
     /* 2739 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2743 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2747 */   // MIs[2] p
     /* 2747 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 2752 */   // MIs[2] s2
     /* 2752 */   // No operand predicates
     /* 2752 */   // MIs[2] Operand 3
     /* 2752 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/3, 0,
     /* 2756 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner6),
     /* 2760 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2762 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/uint8_t(-1),
     /* 2765 */   GIR_BuildConstant, /*TempRegID*/1, /*Val*/GIMT_Encode8(0),
     /* 2775 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/uint8_t(-1),
     /* 2778 */   // Combiner Rule #114: double_icmp_zero_or_combine
     /* 2778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_OR),
     /* 2781 */   GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2786 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // s1
     /* 2790 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // s2
     /* 2794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 2798 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, // root
     /* 2802 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // p
     /* 2806 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/0,
     /* 2809 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2812 */   GIR_EraseRootFromParent_Done,
     /* 2813 */ // Label 185: @2813
     /* 2813 */ GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(2837), // Rule ID 115 //
     /* 2818 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule85Enabled),
     /* 2821 */   // MIs[0] dst
     /* 2821 */   // No operand predicates
     /* 2821 */   // MIs[0] src
     /* 2821 */   // No operand predicates
     /* 2821 */   // MIs[0] src
     /* 2821 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 2826 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2831 */   // Combiner Rule #85: binop_same_val @ [__binop_same_val_match_0[1]]
     /* 2831 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2836 */   GIR_EraseRootFromParent_Done,
     /* 2837 */ // Label 186: @2837
     /* 2837 */ GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(2860), // Rule ID 106 //
     /* 2842 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 2845 */   // MIs[0] dst
     /* 2845 */   // No operand predicates
     /* 2845 */   // MIs[0] lhs
     /* 2845 */   // No operand predicates
     /* 2845 */   // MIs[0] Operand 2
     /* 2845 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2849 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2854 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[2]]
     /* 2854 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2859 */   GIR_EraseRootFromParent_Done,
     /* 2860 */ // Label 187: @2860
     /* 2860 */ GIM_Reject,
     /* 2861 */ // Label 10: @2861
     /* 2861 */ GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(2872), // Rule ID 96 //
     /* 2866 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule78Enabled),
     /* 2869 */   // Combiner Rule #78: propagate_undef_any_op; wip_match_opcode 'G_XOR'
     /* 2869 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner39),
     /* 2872 */ // Label 188: @2872
     /* 2872 */ GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(2883), // Rule ID 144 //
     /* 2877 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule104Enabled),
     /* 2880 */   // Combiner Rule #104: hoist_logic_op_with_same_opcode_hands; wip_match_opcode 'G_XOR'
     /* 2880 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner55),
     /* 2883 */ // Label 189: @2883
     /* 2883 */ GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(2894), // Rule ID 174 //
     /* 2888 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule132Enabled),
     /* 2891 */   // Combiner Rule #132: not_cmp_fold; wip_match_opcode 'G_XOR'
     /* 2891 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner79),
     /* 2894 */ // Label 190: @2894
     /* 2894 */ GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(2905), // Rule ID 198 //
     /* 2899 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule148Enabled),
     /* 2902 */   // Combiner Rule #148: xor_of_and_with_same_reg; wip_match_opcode 'G_XOR'
     /* 2902 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner90),
     /* 2905 */ // Label 191: @2905
     /* 2905 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(2916), // Rule ID 240 //
     /* 2910 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 2913 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_XOR'
     /* 2913 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 2916 */ // Label 192: @2916
     /* 2916 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(2927), // Rule ID 284 //
     /* 2921 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 2924 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_XOR'
     /* 2924 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 2927 */ // Label 193: @2927
     /* 2927 */ GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(2938), // Rule ID 313 //
     /* 2932 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 2935 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_XOR'
     /* 2935 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 2938 */ // Label 194: @2938
     /* 2938 */ GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(2961), // Rule ID 107 //
     /* 2943 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 2946 */   // MIs[0] dst
     /* 2946 */   // No operand predicates
     /* 2946 */   // MIs[0] lhs
     /* 2946 */   // No operand predicates
     /* 2946 */   // MIs[0] Operand 2
     /* 2946 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2950 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2955 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[3]]
     /* 2955 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 2960 */   GIR_EraseRootFromParent_Done,
     /* 2961 */ // Label 195: @2961
     /* 2961 */ GIM_Reject,
     /* 2962 */ // Label 11: @2962
     /* 2962 */ GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(2973), // Rule ID 140 //
     /* 2967 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule102Enabled),
     /* 2970 */   // Combiner Rule #102: extend_through_phis; wip_match_opcode 'G_PHI'
     /* 2970 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner53),
     /* 2973 */ // Label 196: @2973
     /* 2973 */ GIM_Reject,
     /* 2974 */ // Label 12: @2974
     /* 2974 */ GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(2985), // Rule ID 349 //
     /* 2979 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule204Enabled),
     /* 2982 */   // Combiner Rule #204: unmerge_anyext_build_vector; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2982 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner140),
     /* 2985 */ // Label 197: @2985
     /* 2985 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(2996), // Rule ID 350 //
     /* 2990 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule205Enabled),
     /* 2993 */   // Combiner Rule #205: unmerge_merge; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 2993 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner141),
     /* 2996 */ // Label 198: @2996
     /* 2996 */ GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(3007), // Rule ID 352 //
     /* 3001 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule207Enabled),
     /* 3004 */   // Combiner Rule #207: unmerge_cst; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3004 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner143),
     /* 3007 */ // Label 199: @3007
     /* 3007 */ GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(3018), // Rule ID 353 //
     /* 3012 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule208Enabled),
     /* 3015 */   // Combiner Rule #208: unmerge_undef; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3015 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner144),
     /* 3018 */ // Label 200: @3018
     /* 3018 */ GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(3029), // Rule ID 354 //
     /* 3023 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule209Enabled),
     /* 3026 */   // Combiner Rule #209: unmerge_dead_to_trunc; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3026 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner145),
     /* 3029 */ // Label 201: @3029
     /* 3029 */ GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(3040), // Rule ID 355 //
     /* 3034 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule210Enabled),
     /* 3037 */   // Combiner Rule #210: unmerge_zext_to_zext; wip_match_opcode 'G_UNMERGE_VALUES'
     /* 3037 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner146),
     /* 3040 */ // Label 202: @3040
     /* 3040 */ GIM_Reject,
     /* 3041 */ // Label 13: @3041
     /* 3041 */ GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(3052), // Rule ID 351 //
     /* 3046 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule206Enabled),
     /* 3049 */   // Combiner Rule #206: merge_unmerge; wip_match_opcode 'G_MERGE_VALUES'
     /* 3049 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner142),
     /* 3052 */ // Label 203: @3052
     /* 3052 */ GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(3114),
     /* 3057 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 3060 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(3081), // Rule ID 356 //
     /* 3065 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule211Enabled),
     /* 3068 */     // MIs[0] root
     /* 3068 */     // No operand predicates
     /* 3068 */     // MIs[0] x
     /* 3068 */     // No operand predicates
     /* 3068 */     // MIs[0] undef
     /* 3068 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 3072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3078 */     // Combiner Rule #211: merge_of_x_and_undef
     /* 3078 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner147),
     /* 3081 */   // Label 205: @3081
     /* 3081 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(3113), // Rule ID 357 //
     /* 3086 */     GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule212Enabled),
     /* 3089 */     // MIs[0] root
     /* 3089 */     // No operand predicates
     /* 3089 */     // MIs[0] x
     /* 3089 */     // No operand predicates
     /* 3089 */     // MIs[0] zero
     /* 3089 */     GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 3093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3097 */     // MIs[1] Operand 1
     /* 3097 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/1, GIMT_Encode8(0),
     /* 3108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3110 */     // Combiner Rule #212: merge_of_x_and_zero
     /* 3110 */     GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner148),
     /* 3113 */   // Label 206: @3113
     /* 3113 */   GIM_Reject,
     /* 3114 */ // Label 204: @3114
     /* 3114 */ GIM_Reject,
     /* 3115 */ // Label 14: @3115
     /* 3115 */ GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(3126), // Rule ID 69 //
     /* 3120 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule67Enabled),
     /* 3123 */   // Combiner Rule #67: extract_all_elts_from_build_vector; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3123 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner29),
     /* 3126 */ // Label 207: @3126
     /* 3126 */ GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(3137), // Rule ID 98 //
     /* 3131 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 3134 */   // Combiner Rule #79: propagate_undef_all_ops; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3134 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 3137 */ // Label 208: @3137
     /* 3137 */ GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(3148), // Rule ID 133 //
     /* 3142 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 3145 */   // Combiner Rule #95: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR'
     /* 3145 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3148 */ // Label 209: @3148
     /* 3148 */ GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(3162), // Rule ID 348 //
     /* 3153 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule203Enabled),
     /* 3156 */   GIM_CheckNumOperandsGE, /*MI*/0, /*Expected*/2,
     /* 3159 */   // MIs[0] dst
     /* 3159 */   // No operand predicates
     /* 3159 */   // MIs[0] unused
     /* 3159 */   // No operand predicates
     /* 3159 */   // Combiner Rule #203: combine_use_vector_truncate
     /* 3159 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner139),
     /* 3162 */ // Label 210: @3162
     /* 3162 */ GIM_Reject,
     /* 3163 */ // Label 15: @3163
     /* 3163 */ GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(3174), // Rule ID 132 //
     /* 3168 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule95Enabled),
     /* 3171 */   // Combiner Rule #95: buildvector_identity_fold; wip_match_opcode 'G_BUILD_VECTOR_TRUNC'
     /* 3171 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner49),
     /* 3174 */ // Label 211: @3174
     /* 3174 */ GIM_Reject,
     /* 3175 */ // Label 16: @3175
     /* 3175 */ GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(3186), // Rule ID 341 //
     /* 3180 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule196Enabled),
     /* 3183 */   // Combiner Rule #196: combine_concat_vector; wip_match_opcode 'G_CONCAT_VECTORS'
     /* 3183 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner132),
     /* 3186 */ // Label 212: @3186
     /* 3186 */ GIM_Reject,
     /* 3187 */ // Label 17: @3187
     /* 3187 */ GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(3208), // Rule ID 125 //
     /* 3192 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule89Enabled),
     /* 3195 */   // MIs[0] dst
     /* 3195 */   // No operand predicates
     /* 3195 */   // MIs[0] t
     /* 3195 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3199 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTTOPTR),
     /* 3203 */   // MIs[1] ptr
     /* 3203 */   // No operand predicates
     /* 3203 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3205 */   // Combiner Rule #89: i2p_to_p2i
     /* 3205 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner47),
     /* 3208 */ // Label 213: @3208
     /* 3208 */ GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(3229), // Rule ID 90 //
     /* 3213 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3216 */   // MIs[0] dst
     /* 3216 */   // No operand predicates
     /* 3216 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3216 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3220 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3224 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3226 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[3]]
     /* 3226 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3229 */ // Label 214: @3229
     /* 3229 */ GIM_Reject,
     /* 3230 */ // Label 18: @3230
     /* 3230 */ GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(3241), // Rule ID 124 //
     /* 3235 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule88Enabled),
     /* 3238 */   // Combiner Rule #88: p2i_to_i2p; wip_match_opcode 'G_INTTOPTR'
     /* 3238 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner46),
     /* 3241 */ // Label 215: @3241
     /* 3241 */ GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(3262), // Rule ID 91 //
     /* 3246 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3249 */   // MIs[0] dst
     /* 3249 */   // No operand predicates
     /* 3249 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3249 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3253 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3257 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3259 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[4]]
     /* 3259 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3262 */ // Label 216: @3262
     /* 3262 */ GIM_Reject,
     /* 3263 */ // Label 19: @3263
     /* 3263 */ GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(3284), // Rule ID 136 //
     /* 3268 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule98Enabled),
     /* 3271 */   // MIs[0] dst
     /* 3271 */   // No operand predicates
     /* 3271 */   // MIs[0] src1
     /* 3271 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3275 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 3279 */   // MIs[1] src0
     /* 3279 */   // No operand predicates
     /* 3279 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3281 */   // Combiner Rule #98: bitcast_bitcast_fold
     /* 3281 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 3284 */ // Label 217: @3284
     /* 3284 */ GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(3305), // Rule ID 88 //
     /* 3289 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3292 */   // MIs[0] dst
     /* 3292 */   // No operand predicates
     /* 3292 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3292 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3296 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3300 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3302 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[1]]
     /* 3302 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3305 */ // Label 218: @3305
     /* 3305 */ GIM_Reject,
     /* 3306 */ // Label 20: @3306
     /* 3306 */ GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(3335), // Rule ID 18 //
     /* 3311 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 3314 */   // MIs[0] dst
     /* 3314 */   // No operand predicates
     /* 3314 */   // MIs[0] src
     /* 3314 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3318 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FREEZE),
     /* 3322 */   // MIs[1] __idempotent_prop_match_0.x
     /* 3322 */   // No operand predicates
     /* 3322 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3327 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3329 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[0]]
     /* 3329 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3334 */   GIR_EraseRootFromParent_Done,
     /* 3335 */ // Label 219: @3335
     /* 3335 */ GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(3358), // Rule ID 43 //
     /* 3340 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule41Enabled),
     /* 3343 */   // MIs[0] root
     /* 3343 */   // No operand predicates
     /* 3343 */   // MIs[0] src
     /* 3343 */   // No operand predicates
     /* 3343 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner1),
     /* 3347 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3352 */   // Combiner Rule #41: freeze_of_non_undef_non_poison
     /* 3352 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 3357 */   GIR_EraseRootFromParent_Done,
     /* 3358 */ // Label 220: @3358
     /* 3358 */ GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(3369), // Rule ID 44 //
     /* 3363 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule42Enabled),
     /* 3366 */   // MIs[0] dst
     /* 3366 */   // No operand predicates
     /* 3366 */   // MIs[0] src
     /* 3366 */   // No operand predicates
     /* 3366 */   // Combiner Rule #42: push_freeze_to_prevent_poison_from_propagating
     /* 3366 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner19),
     /* 3369 */ // Label 221: @3369
     /* 3369 */ GIM_Reject,
     /* 3370 */ // Label 21: @3370
     /* 3370 */ GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(3381), // Rule ID 70 //
     /* 3375 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3378 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_LOAD'
     /* 3378 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3381 */ // Label 222: @3381
     /* 3381 */ GIM_Reject,
     /* 3382 */ // Label 22: @3382
     /* 3382 */ GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(3393), // Rule ID 71 //
     /* 3387 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3390 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_SEXTLOAD'
     /* 3390 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3393 */ // Label 223: @3393
     /* 3393 */ GIM_Reject,
     /* 3394 */ // Label 23: @3394
     /* 3394 */ GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(3405), // Rule ID 72 //
     /* 3399 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule68Enabled),
     /* 3402 */   // Combiner Rule #68: extending_loads; wip_match_opcode 'G_ZEXTLOAD'
     /* 3402 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner30),
     /* 3405 */ // Label 224: @3405
     /* 3405 */ GIM_Reject,
     /* 3406 */ // Label 24: @3406
     /* 3406 */ GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(3417), // Rule ID 100 //
     /* 3411 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule81Enabled),
     /* 3414 */   // Combiner Rule #81: erase_undef_store; wip_match_opcode 'G_STORE'
     /* 3414 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner42),
     /* 3417 */ // Label 225: @3417
     /* 3417 */ GIM_Reject,
     /* 3418 */ // Label 25: @3418
     /* 3418 */ GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(3429), // Rule ID 126 //
     /* 3423 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule90Enabled),
     /* 3426 */   // Combiner Rule #90: anyext_trunc_fold; wip_match_opcode 'G_ANYEXT'
     /* 3426 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner48),
     /* 3429 */ // Label 226: @3429
     /* 3429 */ GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(3440), // Rule ID 257 //
     /* 3434 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 3437 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_ANYEXT'
     /* 3437 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 3440 */ // Label 227: @3440
     /* 3440 */ GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(3461), // Rule ID 57 //
     /* 3445 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule55Enabled),
     /* 3448 */   // MIs[0] root
     /* 3448 */   // No operand predicates
     /* 3448 */   // MIs[0] select
     /* 3448 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3452 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 3456 */   // MIs[1] cond
     /* 3456 */   // No operand predicates
     /* 3456 */   // MIs[1] true
     /* 3456 */   // No operand predicates
     /* 3456 */   // MIs[1] false
     /* 3456 */   // No operand predicates
     /* 3456 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3458 */   // Combiner Rule #55: select_of_anyext
     /* 3458 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 3461 */ // Label 228: @3461
     /* 3461 */ GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(3482), // Rule ID 52 //
     /* 3466 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule50Enabled),
     /* 3469 */   // MIs[0] root
     /* 3469 */   // No operand predicates
     /* 3469 */   // MIs[0] second
     /* 3469 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3473 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3477 */   // MIs[1] src
     /* 3477 */   // No operand predicates
     /* 3477 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3479 */   // Combiner Rule #50: anyext_of_anyext
     /* 3479 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3482 */ // Label 229: @3482
     /* 3482 */ GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(3503), // Rule ID 54 //
     /* 3487 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule52Enabled),
     /* 3490 */   // MIs[0] root
     /* 3490 */   // No operand predicates
     /* 3490 */   // MIs[0] second
     /* 3490 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3494 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3498 */   // MIs[1] src
     /* 3498 */   // No operand predicates
     /* 3498 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3500 */   // Combiner Rule #52: anyext_of_sext
     /* 3500 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3503 */ // Label 230: @3503
     /* 3503 */ GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(3524), // Rule ID 53 //
     /* 3508 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule51Enabled),
     /* 3511 */   // MIs[0] root
     /* 3511 */   // No operand predicates
     /* 3511 */   // MIs[0] second
     /* 3511 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3515 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 3519 */   // MIs[1] src
     /* 3519 */   // No operand predicates
     /* 3519 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3521 */   // Combiner Rule #51: anyext_of_zext
     /* 3521 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3524 */ // Label 231: @3524
     /* 3524 */ GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(3545), // Rule ID 89 //
     /* 3529 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3532 */   // MIs[0] dst
     /* 3532 */   // No operand predicates
     /* 3532 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3532 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3536 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3540 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3542 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[2]]
     /* 3542 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3545 */ // Label 232: @3545
     /* 3545 */ GIM_Reject,
     /* 3546 */ // Label 26: @3546
     /* 3546 */ GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(3557), // Rule ID 134 //
     /* 3551 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule96Enabled),
     /* 3554 */   // Combiner Rule #96: trunc_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 3554 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner50),
     /* 3557 */ // Label 233: @3557
     /* 3557 */ GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(3568), // Rule ID 135 //
     /* 3562 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule97Enabled),
     /* 3565 */   // Combiner Rule #97: trunc_lshr_buildvector_fold; wip_match_opcode 'G_TRUNC'
     /* 3565 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner51),
     /* 3568 */ // Label 234: @3568
     /* 3568 */ GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(3579), // Rule ID 173 //
     /* 3573 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule131Enabled),
     /* 3576 */   // Combiner Rule #131: trunc_shift; wip_match_opcode 'G_TRUNC'
     /* 3576 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner78),
     /* 3579 */ // Label 235: @3579
     /* 3579 */ GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(3590), // Rule ID 363 //
     /* 3584 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule216Enabled),
     /* 3587 */   // Combiner Rule #216: clamp_i64_to_i16; wip_match_opcode 'G_TRUNC'
     /* 3587 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner152),
     /* 3590 */ // Label 236: @3590
     /* 3590 */ GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(3611), // Rule ID 58 //
     /* 3595 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule56Enabled),
     /* 3598 */   // MIs[0] root
     /* 3598 */   // No operand predicates
     /* 3598 */   // MIs[0] select
     /* 3598 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3602 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 3606 */   // MIs[1] cond
     /* 3606 */   // No operand predicates
     /* 3606 */   // MIs[1] true
     /* 3606 */   // No operand predicates
     /* 3606 */   // MIs[1] false
     /* 3606 */   // No operand predicates
     /* 3606 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3608 */   // Combiner Rule #56: select_of_truncate
     /* 3608 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 3611 */ // Label 237: @3611
     /* 3611 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(3640), // Rule ID 60 //
     /* 3616 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule58Enabled),
     /* 3619 */   // MIs[0] root
     /* 3619 */   // No operand predicates
     /* 3619 */   // MIs[0] binop
     /* 3619 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3623 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 3627 */   // MIs[1] x
     /* 3627 */   // No operand predicates
     /* 3627 */   // MIs[1] const
     /* 3627 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3631 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3635 */   // MIs[2] imm
     /* 3635 */   // No operand predicates
     /* 3635 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3637 */   // Combiner Rule #58: narrow_binop_add
     /* 3637 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3640 */ // Label 238: @3640
     /* 3640 */ GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(3669), // Rule ID 63 //
     /* 3645 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule61Enabled),
     /* 3648 */   // MIs[0] root
     /* 3648 */   // No operand predicates
     /* 3648 */   // MIs[0] binop
     /* 3648 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3652 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 3656 */   // MIs[1] x
     /* 3656 */   // No operand predicates
     /* 3656 */   // MIs[1] const
     /* 3656 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3660 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3664 */   // MIs[2] imm
     /* 3664 */   // No operand predicates
     /* 3664 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3666 */   // Combiner Rule #61: narrow_binop_and
     /* 3666 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3669 */ // Label 239: @3669
     /* 3669 */ GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(3698), // Rule ID 62 //
     /* 3674 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule60Enabled),
     /* 3677 */   // MIs[0] root
     /* 3677 */   // No operand predicates
     /* 3677 */   // MIs[0] binop
     /* 3677 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /* 3685 */   // MIs[1] x
     /* 3685 */   // No operand predicates
     /* 3685 */   // MIs[1] const
     /* 3685 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3689 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3693 */   // MIs[2] imm
     /* 3693 */   // No operand predicates
     /* 3693 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3695 */   // Combiner Rule #60: narrow_binop_mul
     /* 3695 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3698 */ // Label 240: @3698
     /* 3698 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(3727), // Rule ID 64 //
     /* 3703 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule62Enabled),
     /* 3706 */   // MIs[0] root
     /* 3706 */   // No operand predicates
     /* 3706 */   // MIs[0] binop
     /* 3706 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3710 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 3714 */   // MIs[1] x
     /* 3714 */   // No operand predicates
     /* 3714 */   // MIs[1] const
     /* 3714 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3718 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3722 */   // MIs[2] imm
     /* 3722 */   // No operand predicates
     /* 3722 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3724 */   // Combiner Rule #62: narrow_binop_or
     /* 3724 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3727 */ // Label 241: @3727
     /* 3727 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(3756), // Rule ID 61 //
     /* 3732 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule59Enabled),
     /* 3735 */   // MIs[0] root
     /* 3735 */   // No operand predicates
     /* 3735 */   // MIs[0] binop
     /* 3735 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3739 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 3743 */   // MIs[1] x
     /* 3743 */   // No operand predicates
     /* 3743 */   // MIs[1] const
     /* 3743 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3747 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3751 */   // MIs[2] imm
     /* 3751 */   // No operand predicates
     /* 3751 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3753 */   // Combiner Rule #59: narrow_binop_sub
     /* 3753 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3756 */ // Label 242: @3756
     /* 3756 */ GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(3785), // Rule ID 65 //
     /* 3761 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule63Enabled),
     /* 3764 */   // MIs[0] root
     /* 3764 */   // No operand predicates
     /* 3764 */   // MIs[0] binop
     /* 3764 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3768 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 3772 */   // MIs[1] x
     /* 3772 */   // No operand predicates
     /* 3772 */   // MIs[1] const
     /* 3772 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 3776 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3780 */   // MIs[2] imm
     /* 3780 */   // No operand predicates
     /* 3780 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 3782 */   // Combiner Rule #63: narrow_binop_xor
     /* 3782 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner25),
     /* 3785 */ // Label 243: @3785
     /* 3785 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(3806), // Rule ID 47 //
     /* 3790 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule45Enabled),
     /* 3793 */   // MIs[0] root
     /* 3793 */   // No operand predicates
     /* 3793 */   // MIs[0] ext
     /* 3793 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3797 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3801 */   // MIs[1] src
     /* 3801 */   // No operand predicates
     /* 3801 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3803 */   // Combiner Rule #45: truncate_of_anyext
     /* 3803 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 3806 */ // Label 244: @3806
     /* 3806 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(3830), // Rule ID 59 //
     /* 3811 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule57Enabled),
     /* 3814 */   // MIs[0] root
     /* 3814 */   // No operand predicates
     /* 3814 */   // MIs[0] bv
     /* 3814 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3818 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 3822 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 3825 */   // MIs[1] unused
     /* 3825 */   // No operand predicates
     /* 3825 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3827 */   // Combiner Rule #57: buildvector_of_truncate
     /* 3827 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner24),
     /* 3830 */ // Label 245: @3830
     /* 3830 */ GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(3851), // Rule ID 46 //
     /* 3835 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule44Enabled),
     /* 3838 */   // MIs[0] root
     /* 3838 */   // No operand predicates
     /* 3838 */   // MIs[0] ext
     /* 3838 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3842 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3846 */   // MIs[1] src
     /* 3846 */   // No operand predicates
     /* 3846 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3848 */   // Combiner Rule #44: truncate_of_sext
     /* 3848 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 3851 */ // Label 246: @3851
     /* 3851 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(3872), // Rule ID 45 //
     /* 3856 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule43Enabled),
     /* 3859 */   // MIs[0] root
     /* 3859 */   // No operand predicates
     /* 3859 */   // MIs[0] ext
     /* 3859 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3863 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 3867 */   // MIs[1] src
     /* 3867 */   // No operand predicates
     /* 3867 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3869 */   // Combiner Rule #43: truncate_of_zext
     /* 3869 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner20),
     /* 3872 */ // Label 247: @3872
     /* 3872 */ GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(3893), // Rule ID 87 //
     /* 3877 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 3880 */   // MIs[0] dst
     /* 3880 */   // No operand predicates
     /* 3880 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 3880 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 3888 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3890 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[0]]
     /* 3890 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 3893 */ // Label 248: @3893
     /* 3893 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(3914), // Rule ID 66 //
     /* 3898 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule64Enabled),
     /* 3901 */   // MIs[0] root
     /* 3901 */   // No operand predicates
     /* 3901 */   // MIs[0] int
     /* 3901 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3905 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 3909 */   // MIs[1] imm
     /* 3909 */   // No operand predicates
     /* 3909 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3911 */   // Combiner Rule #64: integer_of_truncate
     /* 3911 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner26),
     /* 3914 */ // Label 249: @3914
     /* 3914 */ GIM_Reject,
     /* 3915 */ // Label 27: @3915
     /* 3915 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(3926), // Rule ID 256 //
     /* 3920 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 3923 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_SEXT'
     /* 3923 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 3926 */ // Label 250: @3926
     /* 3926 */ GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(3947), // Rule ID 51 //
     /* 3931 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule49Enabled),
     /* 3934 */   // MIs[0] root
     /* 3934 */   // No operand predicates
     /* 3934 */   // MIs[0] second
     /* 3934 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3938 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 3942 */   // MIs[1] src
     /* 3942 */   // No operand predicates
     /* 3942 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3944 */   // Combiner Rule #49: sext_of_anyext
     /* 3944 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3947 */ // Label 251: @3947
     /* 3947 */ GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(3968), // Rule ID 50 //
     /* 3952 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule48Enabled),
     /* 3955 */   // MIs[0] root
     /* 3955 */   // No operand predicates
     /* 3955 */   // MIs[0] second
     /* 3955 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3959 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 3963 */   // MIs[1] src
     /* 3963 */   // No operand predicates
     /* 3963 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3965 */   // Combiner Rule #48: sext_of_sext
     /* 3965 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 3968 */ // Label 252: @3968
     /* 3968 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(3989), // Rule ID 342 //
     /* 3973 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule197Enabled),
     /* 3976 */   // MIs[0] root
     /* 3976 */   // No operand predicates
     /* 3976 */   // MIs[0] src
     /* 3976 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 3980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 3984 */   // MIs[1] x
     /* 3984 */   // No operand predicates
     /* 3984 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 3986 */   // Combiner Rule #197: sext_trunc
     /* 3986 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner133),
     /* 3989 */ // Label 253: @3989
     /* 3989 */ GIM_Reject,
     /* 3990 */ // Label 28: @3990
     /* 3990 */ GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(4001), // Rule ID 160 //
     /* 3995 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule118Enabled),
     /* 3998 */   // Combiner Rule #118: sext_inreg_of_load; wip_match_opcode 'G_SEXT_INREG'
     /* 3998 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner66),
     /* 4001 */ // Label 254: @4001
     /* 4001 */ GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(4012), // Rule ID 168 //
     /* 4006 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule126Enabled),
     /* 4009 */   // Combiner Rule #126: redundant_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 4009 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner73),
     /* 4012 */ // Label 255: @4012
     /* 4012 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(4023), // Rule ID 225 //
     /* 4017 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule162Enabled),
     /* 4020 */   // Combiner Rule #162: bitfield_extract_from_sext_inreg; wip_match_opcode 'G_SEXT_INREG'
     /* 4020 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner100),
     /* 4023 */ // Label 256: @4023
     /* 4023 */ GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(4044), // Rule ID 55 //
     /* 4028 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule53Enabled),
     /* 4031 */   // MIs[0] dst
     /* 4031 */   // No operand predicates
     /* 4031 */   // MIs[0] x
     /* 4031 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4035 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 4039 */   // MIs[1] src
     /* 4039 */   // No operand predicates
     /* 4039 */   // MIs[1] a
     /* 4039 */   // No operand predicates
     /* 4039 */   // MIs[0] b
     /* 4039 */   // No operand predicates
     /* 4039 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4041 */   // Combiner Rule #53: sext_inreg_of_sext_inreg
     /* 4041 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner22),
     /* 4044 */ // Label 257: @4044
     /* 4044 */ GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(4055), // Rule ID 172 //
     /* 4049 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule130Enabled),
     /* 4052 */   // MIs[0] dst
     /* 4052 */   // No operand predicates
     /* 4052 */   // MIs[0] src
     /* 4052 */   // No operand predicates
     /* 4052 */   // MIs[0] imm
     /* 4052 */   // No operand predicates
     /* 4052 */   // Combiner Rule #130: sext_inreg_to_zext_inreg
     /* 4052 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner77),
     /* 4055 */ // Label 258: @4055
     /* 4055 */ GIM_Reject,
     /* 4056 */ // Label 29: @4056
     /* 4056 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(4067), // Rule ID 171 //
     /* 4061 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule129Enabled),
     /* 4064 */   // Combiner Rule #129: zext_trunc_fold; wip_match_opcode 'G_ZEXT'
     /* 4064 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner76),
     /* 4067 */ // Label 259: @4067
     /* 4067 */ GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(4078), // Rule ID 255 //
     /* 4072 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule169Enabled),
     /* 4075 */   // Combiner Rule #169: constant_fold_cast_op; wip_match_opcode 'G_ZEXT'
     /* 4075 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner107),
     /* 4078 */ // Label 260: @4078
     /* 4078 */ GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(4099), // Rule ID 56 //
     /* 4083 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule54Enabled),
     /* 4086 */   // MIs[0] root
     /* 4086 */   // No operand predicates
     /* 4086 */   // MIs[0] select
     /* 4086 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4090 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 4094 */   // MIs[1] cond
     /* 4094 */   // No operand predicates
     /* 4094 */   // MIs[1] true
     /* 4094 */   // No operand predicates
     /* 4094 */   // MIs[1] false
     /* 4094 */   // No operand predicates
     /* 4094 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4096 */   // Combiner Rule #54: select_of_zext
     /* 4096 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner23),
     /* 4099 */ // Label 261: @4099
     /* 4099 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(4120), // Rule ID 49 //
     /* 4104 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule47Enabled),
     /* 4107 */   // MIs[0] root
     /* 4107 */   // No operand predicates
     /* 4107 */   // MIs[0] second
     /* 4107 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4111 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 4115 */   // MIs[1] src
     /* 4115 */   // No operand predicates
     /* 4115 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4117 */   // Combiner Rule #47: zext_of_anyext
     /* 4117 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4120 */ // Label 262: @4120
     /* 4120 */ GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(4147), // Rule ID 343 //
     /* 4125 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule198Enabled),
     /* 4128 */   // MIs[0] root
     /* 4128 */   // No operand predicates
     /* 4128 */   // MIs[0] src
     /* 4128 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4132 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 4136 */   GIM_MIFlags, /*MI*/1, GIMT_Encode4(MachineInstr::NoUWrap),
     /* 4142 */   // MIs[1] x
     /* 4142 */   // No operand predicates
     /* 4142 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4144 */   // Combiner Rule #198: zext_trunc
     /* 4144 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner134),
     /* 4147 */ // Label 263: @4147
     /* 4147 */ GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(4168), // Rule ID 48 //
     /* 4152 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule46Enabled),
     /* 4155 */   // MIs[0] root
     /* 4155 */   // No operand predicates
     /* 4155 */   // MIs[0] second
     /* 4155 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4159 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 4163 */   // MIs[1] src
     /* 4163 */   // No operand predicates
     /* 4163 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4165 */   // Combiner Rule #46: zext_of_zext
     /* 4165 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner21),
     /* 4168 */ // Label 264: @4168
     /* 4168 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(4185), // Rule ID 344 //
     /* 4173 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule199Enabled),
     /* 4176 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NonNeg),
     /* 4182 */   // MIs[0] root
     /* 4182 */   // No operand predicates
     /* 4182 */   // MIs[0] x
     /* 4182 */   // No operand predicates
     /* 4182 */   // Combiner Rule #199: nneg_zext
     /* 4182 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner135),
     /* 4185 */ // Label 265: @4185
     /* 4185 */ GIM_Reject,
     /* 4186 */ // Label 30: @4186
     /* 4186 */ GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(4197), // Rule ID 80 //
     /* 4191 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule74Enabled),
     /* 4194 */   // Combiner Rule #74: binop_left_undef_to_zero; wip_match_opcode 'G_SHL'
     /* 4194 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 4197 */ // Label 266: @4197
     /* 4197 */ GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(4208), // Rule ID 83 //
     /* 4202 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4205 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_SHL'
     /* 4205 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4208 */ // Label 267: @4208
     /* 4208 */ GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(4219), // Rule ID 116 //
     /* 4213 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4216 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_SHL'
     /* 4216 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4219 */ // Label 268: @4219
     /* 4219 */ GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(4230), // Rule ID 200 //
     /* 4224 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4227 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_SHL'
     /* 4227 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4230 */ // Label 269: @4230
     /* 4230 */ GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(4241), // Rule ID 205 //
     /* 4235 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4238 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_SHL'
     /* 4238 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4241 */ // Label 270: @4241
     /* 4241 */ GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(4252), // Rule ID 224 //
     /* 4246 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule161Enabled),
     /* 4249 */   // Combiner Rule #161: commute_shift; wip_match_opcode 'G_SHL'
     /* 4249 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner99),
     /* 4252 */ // Label 271: @4252
     /* 4252 */ GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(4263), // Rule ID 238 //
     /* 4257 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4260 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SHL'
     /* 4260 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4263 */ // Label 272: @4263
     /* 4263 */ GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(4274), // Rule ID 291 //
     /* 4268 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4271 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SHL'
     /* 4271 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4274 */ // Label 273: @4274
     /* 4274 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(4309), // Rule ID 41 //
     /* 4279 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule39Enabled),
     /* 4282 */   GIM_MIFlags, /*MI*/0, GIMT_Encode4(MachineInstr::NoSWrap),
     /* 4288 */   // MIs[0] root
     /* 4288 */   // No operand predicates
     /* 4288 */   // MIs[0] left
     /* 4288 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4292 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_VSCALE),
     /* 4296 */   // MIs[1] imm
     /* 4296 */   // No operand predicates
     /* 4296 */   // MIs[0] x
     /* 4296 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 4300 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 4304 */   // MIs[2] imm1
     /* 4304 */   // No operand predicates
     /* 4304 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 4306 */   // Combiner Rule #39: shl_of_vscale
     /* 4306 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner17),
     /* 4309 */ // Label 274: @4309
     /* 4309 */ GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(4332), // Rule ID 108 //
     /* 4314 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4317 */   // MIs[0] dst
     /* 4317 */   // No operand predicates
     /* 4317 */   // MIs[0] lhs
     /* 4317 */   // No operand predicates
     /* 4317 */   // MIs[0] Operand 2
     /* 4317 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4321 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4326 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[4]]
     /* 4326 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4331 */   GIR_EraseRootFromParent_Done,
     /* 4332 */ // Label 275: @4332
     /* 4332 */ GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(4343), // Rule ID 145 //
     /* 4337 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4340 */   // MIs[0] root
     /* 4340 */   // No operand predicates
     /* 4340 */   // MIs[0] mi.shifted
     /* 4340 */   // No operand predicates
     /* 4340 */   // MIs[0] mi.amt
     /* 4340 */   // No operand predicates
     /* 4340 */   // Combiner Rule #105: shifts_too_big @ [mi[0]]
     /* 4340 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4343 */ // Label 276: @4343
     /* 4343 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(4354), // Rule ID 161 //
     /* 4348 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule119Enabled),
     /* 4351 */   // MIs[0] dst
     /* 4351 */   // No operand predicates
     /* 4351 */   // MIs[0] src0
     /* 4351 */   // No operand predicates
     /* 4351 */   // MIs[0] src1
     /* 4351 */   // No operand predicates
     /* 4351 */   // Combiner Rule #119: reduce_shl_of_extend
     /* 4351 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner67),
     /* 4354 */ // Label 277: @4354
     /* 4354 */ GIM_Reject,
     /* 4355 */ // Label 31: @4355
     /* 4355 */ GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(4366), // Rule ID 85 //
     /* 4360 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4363 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_LSHR'
     /* 4363 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4366 */ // Label 278: @4366
     /* 4366 */ GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(4377), // Rule ID 117 //
     /* 4371 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4374 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_LSHR'
     /* 4374 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4377 */ // Label 279: @4377
     /* 4377 */ GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(4388), // Rule ID 202 //
     /* 4382 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4385 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_LSHR'
     /* 4385 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4388 */ // Label 280: @4388
     /* 4388 */ GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(4399), // Rule ID 207 //
     /* 4393 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4396 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_LSHR'
     /* 4396 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4399 */ // Label 281: @4399
     /* 4399 */ GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(4410), // Rule ID 228 //
     /* 4404 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 4407 */   // Combiner Rule #164: bitfield_extract_from_shr; wip_match_opcode 'G_LSHR'
     /* 4407 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 4410 */ // Label 282: @4410
     /* 4410 */ GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(4421), // Rule ID 230 //
     /* 4415 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 4418 */   // Combiner Rule #165: bitfield_extract_from_shr_and; wip_match_opcode 'G_LSHR'
     /* 4418 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 4421 */ // Label 283: @4421
     /* 4421 */ GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(4432), // Rule ID 235 //
     /* 4426 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4429 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_LSHR'
     /* 4429 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4432 */ // Label 284: @4432
     /* 4432 */ GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(4443), // Rule ID 289 //
     /* 4437 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4440 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_LSHR'
     /* 4440 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4443 */ // Label 285: @4443
     /* 4443 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(4466), // Rule ID 110 //
     /* 4448 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4451 */   // MIs[0] dst
     /* 4451 */   // No operand predicates
     /* 4451 */   // MIs[0] lhs
     /* 4451 */   // No operand predicates
     /* 4451 */   // MIs[0] Operand 2
     /* 4451 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4455 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4460 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[6]]
     /* 4460 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4465 */   GIR_EraseRootFromParent_Done,
     /* 4466 */ // Label 286: @4466
     /* 4466 */ GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(4477), // Rule ID 147 //
     /* 4471 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4474 */   // MIs[0] root
     /* 4474 */   // No operand predicates
     /* 4474 */   // MIs[0] mi.shifted
     /* 4474 */   // No operand predicates
     /* 4474 */   // MIs[0] mi.amt
     /* 4474 */   // No operand predicates
     /* 4474 */   // Combiner Rule #105: shifts_too_big @ [mi[2]]
     /* 4474 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4477 */ // Label 287: @4477
     /* 4477 */ GIM_Reject,
     /* 4478 */ // Label 32: @4478
     /* 4478 */ GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(4489), // Rule ID 84 //
     /* 4483 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule75Enabled),
     /* 4486 */   // Combiner Rule #75: binop_right_undef_to_undef; wip_match_opcode 'G_ASHR'
     /* 4486 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner37),
     /* 4489 */ // Label 288: @4489
     /* 4489 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(4500), // Rule ID 118 //
     /* 4494 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule86Enabled),
     /* 4497 */   // Combiner Rule #86: binop_left_to_zero; wip_match_opcode 'G_ASHR'
     /* 4497 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner45),
     /* 4500 */ // Label 289: @4500
     /* 4500 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(4511), // Rule ID 158 //
     /* 4505 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule116Enabled),
     /* 4508 */   // Combiner Rule #116: shl_ashr_to_sext_inreg; wip_match_opcode 'G_ASHR'
     /* 4508 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner65),
     /* 4511 */ // Label 290: @4511
     /* 4511 */ GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(4522), // Rule ID 201 //
     /* 4516 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 4519 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_ASHR'
     /* 4519 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 4522 */ // Label 291: @4522
     /* 4522 */ GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(4533), // Rule ID 206 //
     /* 4527 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 4530 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_ASHR'
     /* 4530 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 4533 */ // Label 292: @4533
     /* 4533 */ GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(4544), // Rule ID 227 //
     /* 4538 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule164Enabled),
     /* 4541 */   // Combiner Rule #164: bitfield_extract_from_shr; wip_match_opcode 'G_ASHR'
     /* 4541 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner102),
     /* 4544 */ // Label 293: @4544
     /* 4544 */ GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(4555), // Rule ID 229 //
     /* 4549 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule165Enabled),
     /* 4552 */   // Combiner Rule #165: bitfield_extract_from_shr_and; wip_match_opcode 'G_ASHR'
     /* 4552 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner103),
     /* 4555 */ // Label 294: @4555
     /* 4555 */ GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(4566), // Rule ID 234 //
     /* 4560 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 4563 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_ASHR'
     /* 4563 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 4566 */ // Label 295: @4566
     /* 4566 */ GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(4577), // Rule ID 290 //
     /* 4571 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 4574 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_ASHR'
     /* 4574 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 4577 */ // Label 296: @4577
     /* 4577 */ GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(4600), // Rule ID 109 //
     /* 4582 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4585 */   // MIs[0] dst
     /* 4585 */   // No operand predicates
     /* 4585 */   // MIs[0] lhs
     /* 4585 */   // No operand predicates
     /* 4585 */   // MIs[0] Operand 2
     /* 4585 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4589 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4594 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[5]]
     /* 4594 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4599 */   GIR_EraseRootFromParent_Done,
     /* 4600 */ // Label 297: @4600
     /* 4600 */ GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(4611), // Rule ID 146 //
     /* 4605 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule105Enabled),
     /* 4608 */   // MIs[0] root
     /* 4608 */   // No operand predicates
     /* 4608 */   // MIs[0] mi.shifted
     /* 4608 */   // No operand predicates
     /* 4608 */   // MIs[0] mi.amt
     /* 4608 */   // No operand predicates
     /* 4608 */   // Combiner Rule #105: shifts_too_big @ [mi[1]]
     /* 4608 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner56),
     /* 4611 */ // Label 298: @4611
     /* 4611 */ GIM_Reject,
     /* 4612 */ // Label 33: @4612
     /* 4612 */ GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(4623), // Rule ID 216 //
     /* 4617 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 4620 */   // Combiner Rule #155: funnel_shift_to_rotate; wip_match_opcode 'G_FSHL'
     /* 4620 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 4623 */ // Label 299: @4623
     /* 4623 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(4634), // Rule ID 220 //
     /* 4628 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 4631 */   // Combiner Rule #158: funnel_shift_overshift; wip_match_opcode 'G_FSHL'
     /* 4631 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 4634 */ // Label 300: @4634
     /* 4634 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(4654), // Rule ID 219 //
     /* 4639 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule157Enabled),
     /* 4642 */   // MIs[0] x
     /* 4642 */   // No operand predicates
     /* 4642 */   // MIs[0] y
     /* 4642 */   // No operand predicates
     /* 4642 */   // MIs[0] z
     /* 4642 */   // No operand predicates
     /* 4642 */   // MIs[0] Operand 3
     /* 4642 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 4646 */   // Combiner Rule #157: funnel_shift_left_zero
     /* 4646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 4649 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 4651 */   GIR_RootToRootCopy, /*OpIdx*/1, // y
     /* 4653 */   GIR_EraseRootFromParent_Done,
     /* 4654 */ // Label 301: @4654
     /* 4654 */ GIM_Reject,
     /* 4655 */ // Label 34: @4655
     /* 4655 */ GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(4666), // Rule ID 217 //
     /* 4660 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule155Enabled),
     /* 4663 */   // Combiner Rule #155: funnel_shift_to_rotate; wip_match_opcode 'G_FSHR'
     /* 4663 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner97),
     /* 4666 */ // Label 302: @4666
     /* 4666 */ GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(4677), // Rule ID 221 //
     /* 4671 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule158Enabled),
     /* 4674 */   // Combiner Rule #158: funnel_shift_overshift; wip_match_opcode 'G_FSHR'
     /* 4674 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner98),
     /* 4677 */ // Label 303: @4677
     /* 4677 */ GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(4697), // Rule ID 218 //
     /* 4682 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule156Enabled),
     /* 4685 */   // MIs[0] x
     /* 4685 */   // No operand predicates
     /* 4685 */   // MIs[0] y
     /* 4685 */   // No operand predicates
     /* 4685 */   // MIs[0] z
     /* 4685 */   // No operand predicates
     /* 4685 */   // MIs[0] Operand 3
     /* 4685 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 4689 */   // Combiner Rule #156: funnel_shift_right_zero
     /* 4689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 4692 */   GIR_RootToRootCopy, /*OpIdx*/0, // x
     /* 4694 */   GIR_RootToRootCopy, /*OpIdx*/2, // z
     /* 4696 */   GIR_EraseRootFromParent_Done,
     /* 4697 */ // Label 304: @4697
     /* 4697 */ GIM_Reject,
     /* 4698 */ // Label 35: @4698
     /* 4698 */ GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(4721), // Rule ID 113 //
     /* 4703 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4706 */   // MIs[0] dst
     /* 4706 */   // No operand predicates
     /* 4706 */   // MIs[0] lhs
     /* 4706 */   // No operand predicates
     /* 4706 */   // MIs[0] Operand 2
     /* 4706 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4710 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4715 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[9]]
     /* 4715 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4720 */   GIR_EraseRootFromParent_Done,
     /* 4721 */ // Label 305: @4721
     /* 4721 */ GIM_Reject,
     /* 4722 */ // Label 36: @4722
     /* 4722 */ GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(4745), // Rule ID 112 //
     /* 4727 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 4730 */   // MIs[0] dst
     /* 4730 */   // No operand predicates
     /* 4730 */   // MIs[0] lhs
     /* 4730 */   // No operand predicates
     /* 4730 */   // MIs[0] Operand 2
     /* 4730 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 4734 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4739 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[8]]
     /* 4739 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 4744 */   GIR_EraseRootFromParent_Done,
     /* 4745 */ // Label 306: @4745
     /* 4745 */ GIM_Reject,
     /* 4746 */ // Label 37: @4746
     /* 4746 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(4757), // Rule ID 153 //
     /* 4751 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule111Enabled),
     /* 4754 */   // Combiner Rule #111: icmp_to_true_false_known_bits; wip_match_opcode 'G_ICMP'
     /* 4754 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner62),
     /* 4757 */ // Label 307: @4757
     /* 4757 */ GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(4768), // Rule ID 154 //
     /* 4762 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule112Enabled),
     /* 4765 */   // Combiner Rule #112: icmp_to_lhs_known_bits; wip_match_opcode 'G_ICMP'
     /* 4765 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner63),
     /* 4768 */ // Label 308: @4768
     /* 4768 */ GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(4779), // Rule ID 157 //
     /* 4773 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule115Enabled),
     /* 4776 */   // Combiner Rule #115: redundant_binop_in_equality; wip_match_opcode 'G_ICMP'
     /* 4776 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner64),
     /* 4779 */ // Label 309: @4779
     /* 4779 */ GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(4790), // Rule ID 151 //
     /* 4784 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule109Enabled),
     /* 4787 */   // MIs[0] root
     /* 4787 */   // No operand predicates
     /* 4787 */   // MIs[0] pred
     /* 4787 */   // No operand predicates
     /* 4787 */   // MIs[0] lhs
     /* 4787 */   // No operand predicates
     /* 4787 */   // MIs[0] rhs
     /* 4787 */   // No operand predicates
     /* 4787 */   // Combiner Rule #109: canonicalize_icmp
     /* 4787 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner60),
     /* 4790 */ // Label 310: @4790
     /* 4790 */ GIM_Reject,
     /* 4791 */ // Label 38: @4791
     /* 4791 */ GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(4802), // Rule ID 152 //
     /* 4796 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule110Enabled),
     /* 4799 */   // MIs[0] root
     /* 4799 */   // No operand predicates
     /* 4799 */   // MIs[0] pred
     /* 4799 */   // No operand predicates
     /* 4799 */   // MIs[0] lhs
     /* 4799 */   // No operand predicates
     /* 4799 */   // MIs[0] rhs
     /* 4799 */   // No operand predicates
     /* 4799 */   // Combiner Rule #110: canonicalize_fcmp
     /* 4799 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner61),
     /* 4802 */ // Label 311: @4802
     /* 4802 */ GIM_Reject,
     /* 4803 */ // Label 39: @4803
     /* 4803 */ GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(4814), // Rule ID 103 //
     /* 4808 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule83Enabled),
     /* 4811 */   // Combiner Rule #83: select_same_val; wip_match_opcode 'G_SELECT'
     /* 4811 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner44),
     /* 4814 */ // Label 312: @4814
     /* 4814 */ GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(4825), // Rule ID 164 //
     /* 4819 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule122Enabled),
     /* 4822 */   // Combiner Rule #122: select_constant_cmp; wip_match_opcode 'G_SELECT'
     /* 4822 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner69),
     /* 4825 */ // Label 313: @4825
     /* 4825 */ GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(4836), // Rule ID 166 //
     /* 4830 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule124Enabled),
     /* 4833 */   // Combiner Rule #124: match_selects; wip_match_opcode 'G_SELECT'
     /* 4833 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner71),
     /* 4836 */ // Label 314: @4836
     /* 4836 */ GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(4847), // Rule ID 307 //
     /* 4841 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule189Enabled),
     /* 4844 */   // Combiner Rule #189: select_to_minmax; wip_match_opcode 'G_SELECT'
     /* 4844 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner125),
     /* 4847 */ // Label 315: @4847
     /* 4847 */ GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(4868), // Rule ID 165 //
     /* 4852 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule123Enabled),
     /* 4855 */   // MIs[0] root
     /* 4855 */   // No operand predicates
     /* 4855 */   // MIs[0] tst
     /* 4855 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4859 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /* 4863 */   // MIs[1] tst1
     /* 4863 */   // No operand predicates
     /* 4863 */   // MIs[1] a
     /* 4863 */   // No operand predicates
     /* 4863 */   // MIs[1] b
     /* 4863 */   // No operand predicates
     /* 4863 */   // MIs[0] x
     /* 4863 */   // No operand predicates
     /* 4863 */   // MIs[0] y
     /* 4863 */   // No operand predicates
     /* 4863 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4865 */   // Combiner Rule #123: select_to_iminmax
     /* 4865 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner70),
     /* 4868 */ // Label 316: @4868
     /* 4868 */ GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(4897), // Rule ID 163 //
     /* 4873 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule121Enabled),
     /* 4876 */   // MIs[0] dst
     /* 4876 */   // No operand predicates
     /* 4876 */   // MIs[0] undef
     /* 4876 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 4880 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 4884 */   // MIs[0] x
     /* 4884 */   // No operand predicates
     /* 4884 */   // MIs[0] y
     /* 4884 */   // No operand predicates
     /* 4884 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 4889 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 4891 */   // Combiner Rule #121: select_undef_cmp
     /* 4891 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/3,
     /* 4896 */   GIR_EraseRootFromParent_Done,
     /* 4897 */ // Label 317: @4897
     /* 4897 */ GIM_Reject,
     /* 4898 */ // Label 40: @4898
     /* 4898 */ GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(4909), // Rule ID 318 //
     /* 4903 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 4906 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDO'
     /* 4906 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 4909 */ // Label 318: @4909
     /* 4909 */ GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(4920), // Rule ID 359 //
     /* 4914 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 4917 */   // Combiner Rule #213: match_addos; wip_match_opcode 'G_UADDO'
     /* 4917 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 4920 */ // Label 319: @4920
     /* 4920 */ GIM_Reject,
     /* 4921 */ // Label 41: @4921
     /* 4921 */ GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(4932), // Rule ID 189 //
     /* 4926 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4929 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_UADDE'
     /* 4929 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4932 */ // Label 320: @4932
     /* 4932 */ GIM_Reject,
     /* 4933 */ // Label 42: @4933
     /* 4933 */ GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(4944), // Rule ID 361 //
     /* 4938 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule214Enabled),
     /* 4941 */   // Combiner Rule #214: match_subo_no_overflow; wip_match_opcode 'G_USUBO'
     /* 4941 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 4944 */ // Label 321: @4944
     /* 4944 */ GIM_Reject,
     /* 4945 */ // Label 43: @4945
     /* 4945 */ GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(4956), // Rule ID 191 //
     /* 4950 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4953 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_USUBE'
     /* 4953 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4956 */ // Label 322: @4956
     /* 4956 */ GIM_Reject,
     /* 4957 */ // Label 44: @4957
     /* 4957 */ GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(4968), // Rule ID 319 //
     /* 4962 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 4965 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDO'
     /* 4965 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 4968 */ // Label 323: @4968
     /* 4968 */ GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(4979), // Rule ID 358 //
     /* 4973 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule213Enabled),
     /* 4976 */   // Combiner Rule #213: match_addos; wip_match_opcode 'G_SADDO'
     /* 4976 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner149),
     /* 4979 */ // Label 324: @4979
     /* 4979 */ GIM_Reject,
     /* 4980 */ // Label 45: @4980
     /* 4980 */ GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(4991), // Rule ID 190 //
     /* 4985 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 4988 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_SADDE'
     /* 4988 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 4991 */ // Label 325: @4991
     /* 4991 */ GIM_Reject,
     /* 4992 */ // Label 46: @4992
     /* 4992 */ GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(5003), // Rule ID 360 //
     /* 4997 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule214Enabled),
     /* 5000 */   // Combiner Rule #214: match_subo_no_overflow; wip_match_opcode 'G_SSUBO'
     /* 5000 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner150),
     /* 5003 */ // Label 326: @5003
     /* 5003 */ GIM_Reject,
     /* 5004 */ // Label 47: @5004
     /* 5004 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(5015), // Rule ID 192 //
     /* 5009 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule145Enabled),
     /* 5012 */   // Combiner Rule #145: adde_to_addo; wip_match_opcode 'G_SSUBE'
     /* 5012 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner87),
     /* 5015 */ // Label 327: @5015
     /* 5015 */ GIM_Reject,
     /* 5016 */ // Label 48: @5016
     /* 5016 */ GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(5027), // Rule ID 185 //
     /* 5021 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 5024 */   // Combiner Rule #143: mulo_by_2; wip_match_opcode 'G_UMULO'
     /* 5024 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 5027 */ // Label 328: @5027
     /* 5027 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(5038), // Rule ID 187 //
     /* 5032 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 5035 */   // Combiner Rule #144: mulo_by_0; wip_match_opcode 'G_UMULO'
     /* 5035 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 5038 */ // Label 329: @5038
     /* 5038 */ GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(5049), // Rule ID 320 //
     /* 5043 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5046 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULO'
     /* 5046 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5049 */ // Label 330: @5049
     /* 5049 */ GIM_Reject,
     /* 5050 */ // Label 49: @5050
     /* 5050 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(5061), // Rule ID 186 //
     /* 5055 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule143Enabled),
     /* 5058 */   // Combiner Rule #143: mulo_by_2; wip_match_opcode 'G_SMULO'
     /* 5058 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner85),
     /* 5061 */ // Label 331: @5061
     /* 5061 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(5072), // Rule ID 188 //
     /* 5066 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule144Enabled),
     /* 5069 */   // Combiner Rule #144: mulo_by_0; wip_match_opcode 'G_SMULO'
     /* 5069 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner86),
     /* 5072 */ // Label 332: @5072
     /* 5072 */ GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(5083), // Rule ID 321 //
     /* 5077 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5080 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULO'
     /* 5080 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5083 */ // Label 333: @5083
     /* 5083 */ GIM_Reject,
     /* 5084 */ // Label 50: @5084
     /* 5084 */ GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(5095), // Rule ID 263 //
     /* 5089 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule175Enabled),
     /* 5092 */   // Combiner Rule #175: mulh_to_lshr; wip_match_opcode 'G_UMULH'
     /* 5092 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner112),
     /* 5095 */ // Label 334: @5095
     /* 5095 */ GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(5106), // Rule ID 322 //
     /* 5100 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5103 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULH'
     /* 5103 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5106 */ // Label 335: @5106
     /* 5106 */ GIM_Reject,
     /* 5107 */ // Label 51: @5107
     /* 5107 */ GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(5118), // Rule ID 323 //
     /* 5112 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5115 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULH'
     /* 5115 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5118 */ // Label 336: @5118
     /* 5118 */ GIM_Reject,
     /* 5119 */ // Label 52: @5119
     /* 5119 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(5130), // Rule ID 324 //
     /* 5124 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5127 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UADDSAT'
     /* 5127 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5130 */ // Label 337: @5130
     /* 5130 */ GIM_Reject,
     /* 5131 */ // Label 53: @5131
     /* 5131 */ GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(5142), // Rule ID 325 //
     /* 5136 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5139 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SADDSAT'
     /* 5139 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5142 */ // Label 338: @5142
     /* 5142 */ GIM_Reject,
     /* 5143 */ // Label 54: @5143
     /* 5143 */ GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(5154), // Rule ID 204 //
     /* 5148 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 5151 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_USHLSAT'
     /* 5151 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 5154 */ // Label 339: @5154
     /* 5154 */ GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(5165), // Rule ID 208 //
     /* 5159 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 5162 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_USHLSAT'
     /* 5162 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 5165 */ // Label 340: @5165
     /* 5165 */ GIM_Reject,
     /* 5166 */ // Label 55: @5166
     /* 5166 */ GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(5177), // Rule ID 203 //
     /* 5171 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule150Enabled),
     /* 5174 */   // Combiner Rule #150: shift_immed_chain; wip_match_opcode 'G_SSHLSAT'
     /* 5174 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner92),
     /* 5177 */ // Label 341: @5177
     /* 5177 */ GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(5188), // Rule ID 209 //
     /* 5182 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule151Enabled),
     /* 5185 */   // Combiner Rule #151: shift_of_shifted_logic_chain; wip_match_opcode 'G_SSHLSAT'
     /* 5185 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner93),
     /* 5188 */ // Label 342: @5188
     /* 5188 */ GIM_Reject,
     /* 5189 */ // Label 56: @5189
     /* 5189 */ GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(5200), // Rule ID 326 //
     /* 5194 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5197 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIX'
     /* 5197 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5200 */ // Label 343: @5200
     /* 5200 */ GIM_Reject,
     /* 5201 */ // Label 57: @5201
     /* 5201 */ GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(5212), // Rule ID 327 //
     /* 5206 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5209 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIX'
     /* 5209 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5212 */ // Label 344: @5212
     /* 5212 */ GIM_Reject,
     /* 5213 */ // Label 58: @5213
     /* 5213 */ GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(5224), // Rule ID 328 //
     /* 5218 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5221 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SMULFIXSAT'
     /* 5221 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5224 */ // Label 345: @5224
     /* 5224 */ GIM_Reject,
     /* 5225 */ // Label 59: @5225
     /* 5225 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(5236), // Rule ID 329 //
     /* 5230 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 5233 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UMULFIXSAT'
     /* 5233 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 5236 */ // Label 346: @5236
     /* 5236 */ GIM_Reject,
     /* 5237 */ // Label 60: @5237
     /* 5237 */ GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(5248), // Rule ID 249 //
     /* 5242 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5245 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FADD'
     /* 5245 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5248 */ // Label 347: @5248
     /* 5248 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(5259), // Rule ID 264 //
     /* 5253 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5256 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FADD'
     /* 5256 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5259 */ // Label 348: @5259
     /* 5259 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(5270), // Rule ID 271 //
     /* 5264 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule178Enabled),
     /* 5267 */   // Combiner Rule #178: combine_fadd_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5267 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner115),
     /* 5270 */ // Label 349: @5270
     /* 5270 */ GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(5281), // Rule ID 272 //
     /* 5275 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule179Enabled),
     /* 5278 */   // Combiner Rule #179: combine_fadd_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5278 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner116),
     /* 5281 */ // Label 350: @5281
     /* 5281 */ GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(5292), // Rule ID 273 //
     /* 5286 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule180Enabled),
     /* 5289 */   // Combiner Rule #180: combine_fadd_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5289 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner117),
     /* 5292 */ // Label 351: @5292
     /* 5292 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(5303), // Rule ID 274 //
     /* 5297 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule181Enabled),
     /* 5300 */   // Combiner Rule #181: combine_fadd_fpext_fma_fmul_to_fmad_or_fma; wip_match_opcode 'G_FADD'
     /* 5300 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner118),
     /* 5303 */ // Label 352: @5303
     /* 5303 */ GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(5314), // Rule ID 297 //
     /* 5308 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5311 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FADD'
     /* 5311 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5314 */ // Label 353: @5314
     /* 5314 */ GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(5325), // Rule ID 330 //
     /* 5319 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 5322 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FADD'
     /* 5322 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5325 */ // Label 354: @5325
     /* 5325 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(5348), // Rule ID 138 //
     /* 5330 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule100Enabled),
     /* 5333 */   // MIs[0] dst
     /* 5333 */   // No operand predicates
     /* 5333 */   // MIs[0] x
     /* 5333 */   // No operand predicates
     /* 5333 */   // MIs[0] y
     /* 5333 */   // No operand predicates
     /* 5333 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner3),
     /* 5337 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5342 */   // Combiner Rule #100: right_identity_neg_zero_fp
     /* 5342 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5347 */   GIR_EraseRootFromParent_Done,
     /* 5348 */ // Label 355: @5348
     /* 5348 */ GIM_Reject,
     /* 5349 */ // Label 61: @5349
     /* 5349 */ GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(5360), // Rule ID 250 //
     /* 5354 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5357 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FSUB'
     /* 5357 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5360 */ // Label 356: @5360
     /* 5360 */ GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(5371), // Rule ID 265 //
     /* 5365 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5368 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FSUB'
     /* 5368 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5371 */ // Label 357: @5371
     /* 5371 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(5382), // Rule ID 275 //
     /* 5376 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule182Enabled),
     /* 5379 */   // Combiner Rule #182: combine_fsub_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5379 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner119),
     /* 5382 */ // Label 358: @5382
     /* 5382 */ GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(5393), // Rule ID 276 //
     /* 5387 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule183Enabled),
     /* 5390 */   // Combiner Rule #183: combine_fsub_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5390 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner120),
     /* 5393 */ // Label 359: @5393
     /* 5393 */ GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(5404), // Rule ID 277 //
     /* 5398 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule184Enabled),
     /* 5401 */   // Combiner Rule #184: combine_fsub_fpext_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5401 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner121),
     /* 5404 */ // Label 360: @5404
     /* 5404 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(5415), // Rule ID 278 //
     /* 5409 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule185Enabled),
     /* 5412 */   // Combiner Rule #185: combine_fsub_fpext_fneg_fmul_to_fmad_or_fma; wip_match_opcode 'G_FSUB'
     /* 5412 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner122),
     /* 5415 */ // Label 361: @5415
     /* 5415 */ GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(5426), // Rule ID 298 //
     /* 5420 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5423 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FSUB'
     /* 5423 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5426 */ // Label 362: @5426
     /* 5426 */ GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(5437), // Rule ID 308 //
     /* 5431 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule190Enabled),
     /* 5434 */   // Combiner Rule #190: fsub_to_fneg; wip_match_opcode 'G_FSUB'
     /* 5434 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner126),
     /* 5437 */ // Label 363: @5437
     /* 5437 */ GIM_Reject,
     /* 5438 */ // Label 62: @5438
     /* 5438 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(5449), // Rule ID 251 //
     /* 5443 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5446 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FMUL'
     /* 5446 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5449 */ // Label 364: @5449
     /* 5449 */ GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(5460), // Rule ID 266 //
     /* 5454 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5457 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMUL'
     /* 5457 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5460 */ // Label 365: @5460
     /* 5460 */ GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(5471), // Rule ID 296 //
     /* 5465 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5468 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMUL'
     /* 5468 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5471 */ // Label 366: @5471
     /* 5471 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(5482), // Rule ID 331 //
     /* 5476 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 5479 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMUL'
     /* 5479 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 5482 */ // Label 367: @5482
     /* 5482 */ GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(5503), // Rule ID 362 //
     /* 5487 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule215Enabled),
     /* 5490 */   // MIs[0] dst
     /* 5490 */   // No operand predicates
     /* 5490 */   // MIs[0] x
     /* 5490 */   // No operand predicates
     /* 5490 */   // MIs[0] select
     /* 5490 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 5494 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SELECT),
     /* 5498 */   // MIs[1] y
     /* 5498 */   // No operand predicates
     /* 5498 */   // MIs[1] A
     /* 5498 */   // No operand predicates
     /* 5498 */   // MIs[1] B
     /* 5498 */   // No operand predicates
     /* 5498 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5500 */   // Combiner Rule #215: combine_fmul_with_select_to_fldexp
     /* 5500 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner151),
     /* 5503 */ // Label 368: @5503
     /* 5503 */ GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(5526), // Rule ID 129 //
     /* 5508 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule93Enabled),
     /* 5511 */   // MIs[0] dst
     /* 5511 */   // No operand predicates
     /* 5511 */   // MIs[0] x
     /* 5511 */   // No operand predicates
     /* 5511 */   // MIs[0] y
     /* 5511 */   // No operand predicates
     /* 5511 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner2),
     /* 5515 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5520 */   // Combiner Rule #93: right_identity_one_fp
     /* 5520 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5525 */   GIR_EraseRootFromParent_Done,
     /* 5526 */ // Label 369: @5526
     /* 5526 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(5546), // Rule ID 139 //
     /* 5531 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule101Enabled),
     /* 5534 */   // MIs[0] dst
     /* 5534 */   // No operand predicates
     /* 5534 */   // MIs[0] x
     /* 5534 */   // No operand predicates
     /* 5534 */   // MIs[0] y
     /* 5534 */   // No operand predicates
     /* 5534 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner4),
     /* 5538 */   // Combiner Rule #101: right_identity_neg_one_fp
     /* 5538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5541 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 5543 */   GIR_RootToRootCopy, /*OpIdx*/1, // x
     /* 5545 */   GIR_EraseRootFromParent_Done,
     /* 5546 */ // Label 370: @5546
     /* 5546 */ GIM_Reject,
     /* 5547 */ // Label 63: @5547
     /* 5547 */ GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(5558), // Rule ID 254 //
     /* 5552 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 5555 */   // Combiner Rule #168: constant_fold_fma; wip_match_opcode 'G_FMA'
     /* 5555 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 5558 */ // Label 371: @5558
     /* 5558 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(5569), // Rule ID 269 //
     /* 5563 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5566 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMA'
     /* 5566 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5569 */ // Label 372: @5569
     /* 5569 */ GIM_Reject,
     /* 5570 */ // Label 64: @5570
     /* 5570 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(5581), // Rule ID 253 //
     /* 5575 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule168Enabled),
     /* 5578 */   // Combiner Rule #168: constant_fold_fma; wip_match_opcode 'G_FMAD'
     /* 5578 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner106),
     /* 5581 */ // Label 373: @5581
     /* 5581 */ GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(5592), // Rule ID 268 //
     /* 5586 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5589 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FMAD'
     /* 5589 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5592 */ // Label 374: @5592
     /* 5592 */ GIM_Reject,
     /* 5593 */ // Label 65: @5593
     /* 5593 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(5604), // Rule ID 252 //
     /* 5598 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule167Enabled),
     /* 5601 */   // Combiner Rule #167: constant_fold_fp_binop; wip_match_opcode 'G_FDIV'
     /* 5601 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner105),
     /* 5604 */ // Label 375: @5604
     /* 5604 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(5615), // Rule ID 267 //
     /* 5609 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule176Enabled),
     /* 5612 */   // Combiner Rule #176: redundant_neg_operands; wip_match_opcode 'G_FDIV'
     /* 5612 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner113),
     /* 5615 */ // Label 376: @5615
     /* 5615 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(5626), // Rule ID 299 //
     /* 5620 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5623 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FDIV'
     /* 5623 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5626 */ // Label 377: @5626
     /* 5626 */ GIM_Reject,
     /* 5627 */ // Label 66: @5627
     /* 5627 */ GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(5638), // Rule ID 300 //
     /* 5632 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 5635 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FREM'
     /* 5635 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 5638 */ // Label 378: @5638
     /* 5638 */ GIM_Reject,
     /* 5639 */ // Label 67: @5639
     /* 5639 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(5660), // Rule ID 197 //
     /* 5644 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule147Enabled),
     /* 5647 */   // MIs[0] dst
     /* 5647 */   // No operand predicates
     /* 5647 */   // MIs[0] float
     /* 5647 */   // No operand predicates
     /* 5647 */   // MIs[0] int
     /* 5647 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 5651 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 5655 */   // MIs[1] imm
     /* 5655 */   // No operand predicates
     /* 5655 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5657 */   // Combiner Rule #147: expand_const_fpowi
     /* 5657 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner89),
     /* 5660 */ // Label 379: @5660
     /* 5660 */ GIM_Reject,
     /* 5661 */ // Label 68: @5661
     /* 5661 */ GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(5682), // Rule ID 179 //
     /* 5666 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule137Enabled),
     /* 5669 */   // MIs[0] dst
     /* 5669 */   // No operand predicates
     /* 5669 */   // MIs[0] src0
     /* 5669 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5673 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5677 */   // MIs[1] cst
     /* 5677 */   // No operand predicates
     /* 5677 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5679 */   // Combiner Rule #137: constant_fold_flog2
     /* 5679 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5682 */ // Label 380: @5682
     /* 5682 */ GIM_Reject,
     /* 5683 */ // Label 69: @5683
     /* 5683 */ GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(5694), // Rule ID 364 //
     /* 5688 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule217Enabled),
     /* 5691 */   // Combiner Rule #217: foldable_fneg; wip_match_opcode 'G_FNEG'
     /* 5691 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner153),
     /* 5694 */ // Label 381: @5694
     /* 5694 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(5715), // Rule ID 176 //
     /* 5699 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule134Enabled),
     /* 5702 */   // MIs[0] dst
     /* 5702 */   // No operand predicates
     /* 5702 */   // MIs[0] src0
     /* 5702 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5706 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5710 */   // MIs[1] cst
     /* 5710 */   // No operand predicates
     /* 5710 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5712 */   // Combiner Rule #134: constant_fold_fneg
     /* 5712 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5715 */ // Label 382: @5715
     /* 5715 */ GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(5744), // Rule ID 127 //
     /* 5720 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule91Enabled),
     /* 5723 */   // MIs[0] dst
     /* 5723 */   // No operand predicates
     /* 5723 */   // MIs[0] t
     /* 5723 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5731 */   // MIs[1] src
     /* 5731 */   // No operand predicates
     /* 5731 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 5736 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5738 */   // Combiner Rule #91: fneg_fneg_fold
     /* 5738 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/1,
     /* 5743 */   GIR_EraseRootFromParent_Done,
     /* 5744 */ // Label 383: @5744
     /* 5744 */ GIM_Reject,
     /* 5745 */ // Label 70: @5745
     /* 5745 */ GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(5766), // Rule ID 180 //
     /* 5750 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule138Enabled),
     /* 5753 */   // MIs[0] dst
     /* 5753 */   // No operand predicates
     /* 5753 */   // MIs[0] src0
     /* 5753 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5757 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5761 */   // MIs[1] cst
     /* 5761 */   // No operand predicates
     /* 5761 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5763 */   // Combiner Rule #138: constant_fold_fptrunc
     /* 5763 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5766 */ // Label 384: @5766
     /* 5766 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(5787), // Rule ID 137 //
     /* 5771 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule99Enabled),
     /* 5774 */   // MIs[0] dst
     /* 5774 */   // No operand predicates
     /* 5774 */   // MIs[0] src1
     /* 5774 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPEXT),
     /* 5782 */   // MIs[1] src0
     /* 5782 */   // No operand predicates
     /* 5782 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5784 */   // Combiner Rule #99: fptrunc_fpext_fold
     /* 5784 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner52),
     /* 5787 */ // Label 385: @5787
     /* 5787 */ GIM_Reject,
     /* 5788 */ // Label 71: @5788
     /* 5788 */ GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(5809), // Rule ID 92 //
     /* 5793 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 5796 */   // MIs[0] dst
     /* 5796 */   // No operand predicates
     /* 5796 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 5796 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 5804 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5806 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[5]]
     /* 5806 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 5809 */ // Label 386: @5809
     /* 5809 */ GIM_Reject,
     /* 5810 */ // Label 72: @5810
     /* 5810 */ GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(5831), // Rule ID 93 //
     /* 5815 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule77Enabled),
     /* 5818 */   // MIs[0] dst
     /* 5818 */   // No operand predicates
     /* 5818 */   // MIs[0] __unary_undef_to_undef_match_0.x
     /* 5818 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5822 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 5826 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5828 */   // Combiner Rule #77: unary_undef_to_undef @ [__unary_undef_to_undef_match_0[6]]
     /* 5828 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner38),
     /* 5831 */ // Label 387: @5831
     /* 5831 */ GIM_Reject,
     /* 5832 */ // Label 73: @5832
     /* 5832 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(5843), // Rule ID 76 //
     /* 5837 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 5840 */   // Combiner Rule #71: undef_to_fp_zero; wip_match_opcode 'G_SITOFP'
     /* 5840 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 5843 */ // Label 388: @5843
     /* 5843 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(5858), // Rule ID 181 //
     /* 5848 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule139Enabled),
     /* 5851 */   // MIs[0] dst
     /* 5851 */   // No operand predicates
     /* 5851 */   // MIs[0] Operand 1
     /* 5851 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 5855 */   // Combiner Rule #139: itof_const_zero_fold_si
     /* 5855 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 5858 */ // Label 389: @5858
     /* 5858 */ GIM_Reject,
     /* 5859 */ // Label 74: @5859
     /* 5859 */ GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(5870), // Rule ID 75 //
     /* 5864 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule71Enabled),
     /* 5867 */   // Combiner Rule #71: undef_to_fp_zero; wip_match_opcode 'G_UITOFP'
     /* 5867 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner33),
     /* 5870 */ // Label 390: @5870
     /* 5870 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(5885), // Rule ID 182 //
     /* 5875 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule140Enabled),
     /* 5878 */   // MIs[0] dst
     /* 5878 */   // No operand predicates
     /* 5878 */   // MIs[0] Operand 1
     /* 5878 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 5882 */   // Combiner Rule #140: itof_const_zero_fold_ui
     /* 5882 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner82),
     /* 5885 */ // Label 391: @5885
     /* 5885 */ GIM_Reject,
     /* 5886 */ // Label 75: @5886
     /* 5886 */ GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(5915), // Rule ID 19 //
     /* 5891 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 5894 */   // MIs[0] dst
     /* 5894 */   // No operand predicates
     /* 5894 */   // MIs[0] src
     /* 5894 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5898 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 5902 */   // MIs[1] __idempotent_prop_match_0.x
     /* 5902 */   // No operand predicates
     /* 5902 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5907 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5909 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[1]]
     /* 5909 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5914 */   GIR_EraseRootFromParent_Done,
     /* 5915 */ // Label 392: @5915
     /* 5915 */ GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(5936), // Rule ID 177 //
     /* 5920 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule135Enabled),
     /* 5923 */   // MIs[0] dst
     /* 5923 */   // No operand predicates
     /* 5923 */   // MIs[0] src0
     /* 5923 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5927 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 5931 */   // MIs[1] cst
     /* 5931 */   // No operand predicates
     /* 5931 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5933 */   // Combiner Rule #135: constant_fold_fabs
     /* 5933 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 5936 */ // Label 393: @5936
     /* 5936 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(5964), // Rule ID 258 //
     /* 5941 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule170Enabled),
     /* 5944 */   // MIs[0] dst
     /* 5944 */   // No operand predicates
     /* 5944 */   // MIs[0] tmp
     /* 5944 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5948 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 5952 */   // MIs[1] x
     /* 5952 */   // No operand predicates
     /* 5952 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5954 */   // Combiner Rule #170: fabs_fneg_fold
     /* 5954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_FABS),
     /* 5957 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 5959 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // x
     /* 5963 */   GIR_EraseRootFromParent_Done,
     /* 5964 */ // Label 394: @5964
     /* 5964 */ GIM_Reject,
     /* 5965 */ // Label 76: @5965
     /* 5965 */ GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(5994), // Rule ID 20 //
     /* 5970 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule18Enabled),
     /* 5973 */   // MIs[0] dst
     /* 5973 */   // No operand predicates
     /* 5973 */   // MIs[0] src
     /* 5973 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 5977 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCANONICALIZE),
     /* 5981 */   // MIs[1] __idempotent_prop_match_0.x
     /* 5981 */   // No operand predicates
     /* 5981 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5986 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 5988 */   // Combiner Rule #18: idempotent_prop @ [__idempotent_prop_match_0[2]]
     /* 5988 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 5993 */   GIR_EraseRootFromParent_Done,
     /* 5994 */ // Label 395: @5994
     /* 5994 */ GIM_Reject,
     /* 5995 */ // Label 77: @5995
     /* 5995 */ GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(6006), // Rule ID 193 //
     /* 6000 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6003 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMINNUM'
     /* 6003 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6006 */ // Label 396: @6006
     /* 6006 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(6017), // Rule ID 301 //
     /* 6011 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6014 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMINNUM'
     /* 6014 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6017 */ // Label 397: @6017
     /* 6017 */ GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(6028), // Rule ID 332 //
     /* 6022 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 6025 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM'
     /* 6025 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6028 */ // Label 398: @6028
     /* 6028 */ GIM_Reject,
     /* 6029 */ // Label 78: @6029
     /* 6029 */ GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(6040), // Rule ID 194 //
     /* 6034 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6037 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMAXNUM'
     /* 6037 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6040 */ // Label 399: @6040
     /* 6040 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(6051), // Rule ID 302 //
     /* 6045 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6048 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMAXNUM'
     /* 6048 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6051 */ // Label 400: @6051
     /* 6051 */ GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(6062), // Rule ID 333 //
     /* 6056 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 6059 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM'
     /* 6059 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6062 */ // Label 401: @6062
     /* 6062 */ GIM_Reject,
     /* 6063 */ // Label 79: @6063
     /* 6063 */ GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(6074), // Rule ID 334 //
     /* 6068 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 6071 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINNUM_IEEE'
     /* 6071 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6074 */ // Label 402: @6074
     /* 6074 */ GIM_Reject,
     /* 6075 */ // Label 80: @6075
     /* 6075 */ GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(6086), // Rule ID 335 //
     /* 6080 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 6083 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXNUM_IEEE'
     /* 6083 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6086 */ // Label 403: @6086
     /* 6086 */ GIM_Reject,
     /* 6087 */ // Label 81: @6087
     /* 6087 */ GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(6098), // Rule ID 195 //
     /* 6092 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6095 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMINIMUM'
     /* 6095 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6098 */ // Label 404: @6098
     /* 6098 */ GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(6109), // Rule ID 303 //
     /* 6103 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6106 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMINIMUM'
     /* 6106 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6109 */ // Label 405: @6109
     /* 6109 */ GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(6120), // Rule ID 336 //
     /* 6114 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 6117 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMINIMUM'
     /* 6117 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6120 */ // Label 406: @6120
     /* 6120 */ GIM_Reject,
     /* 6121 */ // Label 82: @6121
     /* 6121 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(6132), // Rule ID 196 //
     /* 6126 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule146Enabled),
     /* 6129 */   // Combiner Rule #146: combine_minmax_nan; wip_match_opcode 'G_FMAXIMUM'
     /* 6129 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner88),
     /* 6132 */ // Label 407: @6132
     /* 6132 */ GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(6143), // Rule ID 304 //
     /* 6137 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6140 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_FMAXIMUM'
     /* 6140 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6143 */ // Label 408: @6143
     /* 6143 */ GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(6154), // Rule ID 337 //
     /* 6148 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule192Enabled),
     /* 6151 */   // Combiner Rule #192: commute_fp_constant_to_rhs; wip_match_opcode 'G_FMAXIMUM'
     /* 6151 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner128),
     /* 6154 */ // Label 409: @6154
     /* 6154 */ GIM_Reject,
     /* 6155 */ // Label 83: @6155
     /* 6155 */ GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(6166), // Rule ID 148 //
     /* 6160 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule106Enabled),
     /* 6163 */   // Combiner Rule #106: reassoc_ptradd; wip_match_opcode 'G_PTR_ADD'
     /* 6163 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner57),
     /* 6166 */ // Label 410: @6166
     /* 6166 */ GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(6177), // Rule ID 150 //
     /* 6171 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule108Enabled),
     /* 6174 */   // Combiner Rule #108: ptr_add_immed_chain; wip_match_opcode 'G_PTR_ADD'
     /* 6174 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner59),
     /* 6177 */ // Label 411: @6177
     /* 6177 */ GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(6188), // Rule ID 183 //
     /* 6182 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule141Enabled),
     /* 6185 */   // Combiner Rule #141: const_ptradd_to_i2p; wip_match_opcode 'G_PTR_ADD'
     /* 6185 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner83),
     /* 6188 */ // Label 412: @6188
     /* 6188 */ GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(6199), // Rule ID 199 //
     /* 6193 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule149Enabled),
     /* 6196 */   // Combiner Rule #149: ptr_add_with_zero; wip_match_opcode 'G_PTR_ADD'
     /* 6196 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner91),
     /* 6199 */ // Label 413: @6199
     /* 6199 */ GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(6210), // Rule ID 232 //
     /* 6204 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6207 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_PTR_ADD'
     /* 6207 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6210 */ // Label 414: @6210
     /* 6210 */ GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(6221), // Rule ID 281 //
     /* 6215 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6218 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_PTR_ADD'
     /* 6218 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6221 */ // Label 415: @6221
     /* 6221 */ GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(6244), // Rule ID 111 //
     /* 6226 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule84Enabled),
     /* 6229 */   // MIs[0] dst
     /* 6229 */   // No operand predicates
     /* 6229 */   // MIs[0] lhs
     /* 6229 */   // No operand predicates
     /* 6229 */   // MIs[0] Operand 2
     /* 6229 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 6233 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6238 */   // Combiner Rule #84: right_identity_zero @ [__right_identity_zero_match_0[7]]
     /* 6238 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6243 */   GIR_EraseRootFromParent_Done,
     /* 6244 */ // Label 416: @6244
     /* 6244 */ GIM_Reject,
     /* 6245 */ // Label 84: @6245
     /* 6245 */ GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(6256), // Rule ID 245 //
     /* 6250 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6253 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SMIN'
     /* 6253 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6256 */ // Label 417: @6256
     /* 6256 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(6267), // Rule ID 292 //
     /* 6261 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6264 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SMIN'
     /* 6264 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6267 */ // Label 418: @6267
     /* 6267 */ GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(6278), // Rule ID 314 //
     /* 6272 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6275 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SMIN'
     /* 6275 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6278 */ // Label 419: @6278
     /* 6278 */ GIM_Reject,
     /* 6279 */ // Label 85: @6279
     /* 6279 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(6290), // Rule ID 246 //
     /* 6284 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6287 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_SMAX'
     /* 6287 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6290 */ // Label 420: @6290
     /* 6290 */ GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(6301), // Rule ID 293 //
     /* 6295 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6298 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_SMAX'
     /* 6298 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6301 */ // Label 421: @6301
     /* 6301 */ GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(6312), // Rule ID 315 //
     /* 6306 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6309 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_SMAX'
     /* 6309 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6312 */ // Label 422: @6312
     /* 6312 */ GIM_Reject,
     /* 6313 */ // Label 86: @6313
     /* 6313 */ GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(6324), // Rule ID 247 //
     /* 6318 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6321 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UMIN'
     /* 6321 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6324 */ // Label 423: @6324
     /* 6324 */ GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(6335), // Rule ID 294 //
     /* 6329 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6332 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UMIN'
     /* 6332 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6335 */ // Label 424: @6335
     /* 6335 */ GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(6346), // Rule ID 316 //
     /* 6340 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6343 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UMIN'
     /* 6343 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6346 */ // Label 425: @6346
     /* 6346 */ GIM_Reject,
     /* 6347 */ // Label 87: @6347
     /* 6347 */ GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(6358), // Rule ID 248 //
     /* 6352 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule166Enabled),
     /* 6355 */   // Combiner Rule #166: constant_fold_binop; wip_match_opcode 'G_UMAX'
     /* 6355 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner104),
     /* 6358 */ // Label 426: @6358
     /* 6358 */ GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(6369), // Rule ID 295 //
     /* 6363 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule186Enabled),
     /* 6366 */   // Combiner Rule #186: fold_binop_into_select; wip_match_opcode 'G_UMAX'
     /* 6366 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner123),
     /* 6369 */ // Label 427: @6369
     /* 6369 */ GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(6380), // Rule ID 317 //
     /* 6374 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule191Enabled),
     /* 6377 */   // Combiner Rule #191: commute_int_constant_to_rhs; wip_match_opcode 'G_UMAX'
     /* 6377 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner127),
     /* 6380 */ // Label 428: @6380
     /* 6380 */ GIM_Reject,
     /* 6381 */ // Label 88: @6381
     /* 6381 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(6392), // Rule ID 86 //
     /* 6386 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule76Enabled),
     /* 6389 */   // Combiner Rule #76: unary_undef_to_zero; wip_match_opcode 'G_ABS'
     /* 6389 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner36),
     /* 6392 */ // Label 429: @6392
     /* 6392 */ GIM_Reject,
     /* 6393 */ // Label 89: @6393
     /* 6393 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(6404), // Rule ID 175 //
     /* 6398 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule133Enabled),
     /* 6401 */   // Combiner Rule #133: opt_brcond_by_inverting_cond; wip_match_opcode 'G_BR'
     /* 6401 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner80),
     /* 6404 */ // Label 430: @6404
     /* 6404 */ GIM_Reject,
     /* 6405 */ // Label 90: @6405
     /* 6405 */ GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(6416), // Rule ID 26 //
     /* 6410 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule24Enabled),
     /* 6413 */   // Combiner Rule #24: insert_vector_elt_oob; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6413 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner10),
     /* 6416 */ // Label 431: @6416
     /* 6416 */ GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(6427), // Rule ID 67 //
     /* 6421 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule65Enabled),
     /* 6424 */   // Combiner Rule #65: combine_insert_vec_elts_build_vector; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6424 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner27),
     /* 6427 */ // Label 432: @6427
     /* 6427 */ GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(6438), // Rule ID 101 //
     /* 6432 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 6435 */   // Combiner Rule #82: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_INSERT_VECTOR_ELT'
     /* 6435 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 6438 */ // Label 433: @6438
     /* 6438 */ GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(6477), // Rule ID 38 //
     /* 6443 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule36Enabled),
     /* 6446 */   // MIs[0] root
     /* 6446 */   // No operand predicates
     /* 6446 */   // MIs[0] src
     /* 6446 */   // No operand predicates
     /* 6446 */   // MIs[0] elt
     /* 6446 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6450 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 6454 */   // MIs[1] src
     /* 6454 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/1, /*OpIdx*/1, /*OtherMI*/0, /*OtherOpIdx*/1,
     /* 6459 */   // MIs[1] idx
     /* 6459 */   // No operand predicates
     /* 6459 */   // MIs[0] idx
     /* 6459 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 6464 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6469 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6471 */   // Combiner Rule #36: insert_vector_element_extract_vector_element
     /* 6471 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6476 */   GIR_EraseRootFromParent_Done,
     /* 6477 */ // Label 434: @6477
     /* 6477 */ GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(6510), // Rule ID 24 //
     /* 6482 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule22Enabled),
     /* 6485 */   // MIs[0] root
     /* 6485 */   // No operand predicates
     /* 6485 */   // MIs[0] src
     /* 6485 */   // No operand predicates
     /* 6485 */   // MIs[0] elt
     /* 6485 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6493 */   // MIs[0] idx
     /* 6493 */   // No operand predicates
     /* 6493 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner0),
     /* 6497 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6502 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6504 */   // Combiner Rule #22: insert_vector_element_elt_undef
     /* 6504 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/0, /*NewOpIdx*/1,
     /* 6509 */   GIR_EraseRootFromParent_Done,
     /* 6510 */ // Label 435: @6510
     /* 6510 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(6534), // Rule ID 23 //
     /* 6515 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule21Enabled),
     /* 6518 */   // MIs[0] root
     /* 6518 */   // No operand predicates
     /* 6518 */   // MIs[0] src
     /* 6518 */   // No operand predicates
     /* 6518 */   // MIs[0] elt
     /* 6518 */   // No operand predicates
     /* 6518 */   // MIs[0] idx
     /* 6518 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 6522 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6526 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6528 */   // Combiner Rule #21: insert_vector_element_idx_undef
     /* 6528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6531 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6533 */   GIR_EraseRootFromParent_Done,
     /* 6534 */ // Label 436: @6534
     /* 6534 */ GIM_Reject,
     /* 6535 */ // Label 91: @6535
     /* 6535 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(6546), // Rule ID 25 //
     /* 6540 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule23Enabled),
     /* 6543 */   // Combiner Rule #23: match_extract_of_element; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6543 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner9),
     /* 6546 */ // Label 437: @6546
     /* 6546 */ GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(6557), // Rule ID 68 //
     /* 6551 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule66Enabled),
     /* 6554 */   // Combiner Rule #66: extract_vec_elt_build_vec; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6554 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner28),
     /* 6557 */ // Label 438: @6557
     /* 6557 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(6568), // Rule ID 74 //
     /* 6562 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule70Enabled),
     /* 6565 */   // Combiner Rule #70: combine_extracted_vector_load; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6565 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner32),
     /* 6568 */ // Label 439: @6568
     /* 6568 */ GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(6579), // Rule ID 102 //
     /* 6573 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule82Enabled),
     /* 6576 */   // Combiner Rule #82: insert_extract_vec_elt_out_of_bounds; wip_match_opcode 'G_EXTRACT_VECTOR_ELT'
     /* 6576 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner43),
     /* 6579 */ // Label 440: @6579
     /* 6579 */ GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(6603), // Rule ID 36 //
     /* 6584 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule34Enabled),
     /* 6587 */   // MIs[0] root
     /* 6587 */   // No operand predicates
     /* 6587 */   // MIs[0] src
     /* 6587 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6591 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6595 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/9,
     /* 6598 */   // MIs[1] x
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] y
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] z
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] a
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] b
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] c
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] d
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[1] e
     /* 6598 */   // No operand predicates
     /* 6598 */   // MIs[0] idx
     /* 6598 */   // No operand predicates
     /* 6598 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6600 */   // Combiner Rule #34: extract_vector_element_build_vector_trunc8
     /* 6600 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6603 */ // Label 441: @6603
     /* 6603 */ GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(6627), // Rule ID 35 //
     /* 6608 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule33Enabled),
     /* 6611 */   // MIs[0] root
     /* 6611 */   // No operand predicates
     /* 6611 */   // MIs[0] src
     /* 6611 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6615 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6619 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/8,
     /* 6622 */   // MIs[1] x
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[1] y
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[1] z
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[1] a
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[1] b
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[1] c
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[1] d
     /* 6622 */   // No operand predicates
     /* 6622 */   // MIs[0] idx
     /* 6622 */   // No operand predicates
     /* 6622 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6624 */   // Combiner Rule #33: extract_vector_element_build_vector_trunc7
     /* 6624 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6627 */ // Label 442: @6627
     /* 6627 */ GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(6651), // Rule ID 34 //
     /* 6632 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule32Enabled),
     /* 6635 */   // MIs[0] root
     /* 6635 */   // No operand predicates
     /* 6635 */   // MIs[0] src
     /* 6635 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6639 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6643 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/7,
     /* 6646 */   // MIs[1] x
     /* 6646 */   // No operand predicates
     /* 6646 */   // MIs[1] y
     /* 6646 */   // No operand predicates
     /* 6646 */   // MIs[1] z
     /* 6646 */   // No operand predicates
     /* 6646 */   // MIs[1] a
     /* 6646 */   // No operand predicates
     /* 6646 */   // MIs[1] b
     /* 6646 */   // No operand predicates
     /* 6646 */   // MIs[1] c
     /* 6646 */   // No operand predicates
     /* 6646 */   // MIs[0] idx
     /* 6646 */   // No operand predicates
     /* 6646 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6648 */   // Combiner Rule #32: extract_vector_element_build_vector_trunc6
     /* 6648 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6651 */ // Label 443: @6651
     /* 6651 */ GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(6675), // Rule ID 33 //
     /* 6656 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule31Enabled),
     /* 6659 */   // MIs[0] root
     /* 6659 */   // No operand predicates
     /* 6659 */   // MIs[0] src
     /* 6659 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6663 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6667 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/6,
     /* 6670 */   // MIs[1] x
     /* 6670 */   // No operand predicates
     /* 6670 */   // MIs[1] y
     /* 6670 */   // No operand predicates
     /* 6670 */   // MIs[1] z
     /* 6670 */   // No operand predicates
     /* 6670 */   // MIs[1] a
     /* 6670 */   // No operand predicates
     /* 6670 */   // MIs[1] b
     /* 6670 */   // No operand predicates
     /* 6670 */   // MIs[0] idx
     /* 6670 */   // No operand predicates
     /* 6670 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6672 */   // Combiner Rule #31: extract_vector_element_build_vector_trunc5
     /* 6672 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6675 */ // Label 444: @6675
     /* 6675 */ GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(6699), // Rule ID 32 //
     /* 6680 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule30Enabled),
     /* 6683 */   // MIs[0] root
     /* 6683 */   // No operand predicates
     /* 6683 */   // MIs[0] src
     /* 6683 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6687 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6691 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/5,
     /* 6694 */   // MIs[1] x
     /* 6694 */   // No operand predicates
     /* 6694 */   // MIs[1] y
     /* 6694 */   // No operand predicates
     /* 6694 */   // MIs[1] z
     /* 6694 */   // No operand predicates
     /* 6694 */   // MIs[1] a
     /* 6694 */   // No operand predicates
     /* 6694 */   // MIs[0] idx
     /* 6694 */   // No operand predicates
     /* 6694 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6696 */   // Combiner Rule #30: extract_vector_element_build_vector_trunc4
     /* 6696 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6699 */ // Label 445: @6699
     /* 6699 */ GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(6723), // Rule ID 31 //
     /* 6704 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule29Enabled),
     /* 6707 */   // MIs[0] root
     /* 6707 */   // No operand predicates
     /* 6707 */   // MIs[0] src
     /* 6707 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6711 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6715 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 6718 */   // MIs[1] x
     /* 6718 */   // No operand predicates
     /* 6718 */   // MIs[1] y
     /* 6718 */   // No operand predicates
     /* 6718 */   // MIs[1] z
     /* 6718 */   // No operand predicates
     /* 6718 */   // MIs[0] idx
     /* 6718 */   // No operand predicates
     /* 6718 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6720 */   // Combiner Rule #29: extract_vector_element_build_vector_trunc3
     /* 6720 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6723 */ // Label 446: @6723
     /* 6723 */ GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(6757), // Rule ID 27 //
     /* 6728 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule25Enabled),
     /* 6731 */   // MIs[0] root
     /* 6731 */   // No operand predicates
     /* 6731 */   // MIs[0] src
     /* 6731 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6735 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 6739 */   // MIs[1] x
     /* 6739 */   // No operand predicates
     /* 6739 */   // MIs[1] value
     /* 6739 */   // No operand predicates
     /* 6739 */   // MIs[1] idx
     /* 6739 */   // No operand predicates
     /* 6739 */   // MIs[0] idx
     /* 6739 */   GIM_CheckIsSameOperandIgnoreCopies, /*MI*/0, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/3,
     /* 6744 */   GIM_CheckCanReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 6749 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6751 */   // Combiner Rule #25: extract_vector_element_not_const
     /* 6751 */   GIR_ReplaceReg, /*OldInsnID*/0, /*OldOpIdx*/0, /*NewInsnId*/1, /*NewOpIdx*/2,
     /* 6756 */   GIR_EraseRootFromParent_Done,
     /* 6757 */ // Label 447: @6757
     /* 6757 */ GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(6778), // Rule ID 28 //
     /* 6762 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule26Enabled),
     /* 6765 */   // MIs[0] root
     /* 6765 */   // No operand predicates
     /* 6765 */   // MIs[0] src
     /* 6765 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6769 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INSERT_VECTOR_ELT),
     /* 6773 */   // MIs[1] x
     /* 6773 */   // No operand predicates
     /* 6773 */   // MIs[1] value
     /* 6773 */   // No operand predicates
     /* 6773 */   // MIs[1] idx2
     /* 6773 */   // No operand predicates
     /* 6773 */   // MIs[0] idx1
     /* 6773 */   // No operand predicates
     /* 6773 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6775 */   // Combiner Rule #26: extract_vector_element_different_indices
     /* 6775 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner11),
     /* 6778 */ // Label 448: @6778
     /* 6778 */ GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(6807), // Rule ID 37 //
     /* 6783 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule35Enabled),
     /* 6786 */   // MIs[0] root
     /* 6786 */   // No operand predicates
     /* 6786 */   // MIs[0] src
     /* 6786 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6790 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHUFFLE_VECTOR),
     /* 6794 */   // MIs[1] src1
     /* 6794 */   // No operand predicates
     /* 6794 */   // MIs[1] src2
     /* 6794 */   // No operand predicates
     /* 6794 */   // MIs[1] mask
     /* 6794 */   // No operand predicates
     /* 6794 */   // MIs[0] idx
     /* 6794 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 6798 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 6802 */   // MIs[2] imm
     /* 6802 */   // No operand predicates
     /* 6802 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 6804 */   // Combiner Rule #35: extract_vector_element_shuffle_vector
     /* 6804 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner14),
     /* 6807 */ // Label 449: @6807
     /* 6807 */ GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(6831), // Rule ID 30 //
     /* 6812 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule28Enabled),
     /* 6815 */   // MIs[0] root
     /* 6815 */   // No operand predicates
     /* 6815 */   // MIs[0] src
     /* 6815 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6819 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 6823 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 6826 */   // MIs[1] x
     /* 6826 */   // No operand predicates
     /* 6826 */   // MIs[1] y
     /* 6826 */   // No operand predicates
     /* 6826 */   // MIs[0] idx
     /* 6826 */   // No operand predicates
     /* 6826 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6828 */   // Combiner Rule #28: extract_vector_element_build_vector_trunc2
     /* 6828 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner13),
     /* 6831 */ // Label 450: @6831
     /* 6831 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(6863), // Rule ID 29 //
     /* 6836 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule27Enabled),
     /* 6839 */   // MIs[0] root
     /* 6839 */   // No operand predicates
     /* 6839 */   // MIs[0] src
     /* 6839 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6843 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR),
     /* 6847 */   GIM_CheckNumOperandsGE, /*MI*/1, /*Expected*/2,
     /* 6850 */   // MIs[1] unused
     /* 6850 */   // No operand predicates
     /* 6850 */   // MIs[0] idx
     /* 6850 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 6854 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 6858 */   // MIs[2] imm
     /* 6858 */   // No operand predicates
     /* 6858 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 6860 */   // Combiner Rule #27: extract_vector_element_build_vector
     /* 6860 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner12),
     /* 6863 */ // Label 451: @6863
     /* 6863 */ GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(6887), // Rule ID 21 //
     /* 6868 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule19Enabled),
     /* 6871 */   // MIs[0] root
     /* 6871 */   // No operand predicates
     /* 6871 */   // MIs[0] vector
     /* 6871 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 6875 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6879 */   // MIs[0] idx
     /* 6879 */   // No operand predicates
     /* 6879 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6881 */   // Combiner Rule #19: match_extract_of_element_undef_vector
     /* 6881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6884 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6886 */   GIR_EraseRootFromParent_Done,
     /* 6887 */ // Label 452: @6887
     /* 6887 */ GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(6911), // Rule ID 22 //
     /* 6892 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule20Enabled),
     /* 6895 */   // MIs[0] root
     /* 6895 */   // No operand predicates
     /* 6895 */   // MIs[0] vector
     /* 6895 */   // No operand predicates
     /* 6895 */   // MIs[0] idx
     /* 6895 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6899 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6903 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6905 */   // Combiner Rule #20: match_extract_of_element_undef_index
     /* 6905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6908 */   GIR_RootToRootCopy, /*OpIdx*/0, // root
     /* 6910 */   GIR_EraseRootFromParent_Done,
     /* 6911 */ // Label 453: @6911
     /* 6911 */ GIM_Reject,
     /* 6912 */ // Label 92: @6912
     /* 6912 */ GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(6923), // Rule ID 97 //
     /* 6917 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule79Enabled),
     /* 6920 */   // Combiner Rule #79: propagate_undef_all_ops; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6920 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner40),
     /* 6923 */ // Label 454: @6923
     /* 6923 */ GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(6934), // Rule ID 99 //
     /* 6928 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule80Enabled),
     /* 6931 */   // Combiner Rule #80: propagate_undef_shuffle_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6931 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner41),
     /* 6934 */ // Label 455: @6934
     /* 6934 */ GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(6945), // Rule ID 345 //
     /* 6939 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule200Enabled),
     /* 6942 */   // Combiner Rule #200: combine_shuffle_concat; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6942 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner136),
     /* 6945 */ // Label 456: @6945
     /* 6945 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(6956), // Rule ID 347 //
     /* 6950 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule202Enabled),
     /* 6953 */   // Combiner Rule #202: combine_shuffle_disjoint_mask; wip_match_opcode 'G_SHUFFLE_VECTOR'
     /* 6953 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner138),
     /* 6956 */ // Label 457: @6956
     /* 6956 */ GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(6977), // Rule ID 346 //
     /* 6961 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule201Enabled),
     /* 6964 */   // MIs[0] root
     /* 6964 */   // No operand predicates
     /* 6964 */   // MIs[0] src1
     /* 6964 */   // No operand predicates
     /* 6964 */   // MIs[0] undef
     /* 6964 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 6968 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 6972 */   // MIs[0] mask
     /* 6972 */   // No operand predicates
     /* 6972 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 6974 */   // Combiner Rule #201: combine_shuffle_undef_rhs
     /* 6974 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner137),
     /* 6977 */ // Label 458: @6977
     /* 6977 */ GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(6988), // Rule ID 365 //
     /* 6982 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule218Enabled),
     /* 6985 */   // MIs[0] dst
     /* 6985 */   // No operand predicates
     /* 6985 */   // MIs[0] src1
     /* 6985 */   // No operand predicates
     /* 6985 */   // MIs[0] src2
     /* 6985 */   // No operand predicates
     /* 6985 */   // MIs[0] mask
     /* 6985 */   // No operand predicates
     /* 6985 */   // Combiner Rule #218: combine_shuffle_vector_to_build_vector
     /* 6985 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner154),
     /* 6988 */ // Label 459: @6988
     /* 6988 */ GIM_Reject,
     /* 6989 */ // Label 93: @6989
     /* 6989 */ GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(7033), // Rule ID 223 //
     /* 6994 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule160Enabled),
     /* 6997 */   // MIs[0] d
     /* 6997 */   // No operand predicates
     /* 6997 */   // MIs[0] src
     /* 6997 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7001 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 7005 */   // MIs[1] rev
     /* 7005 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 7009 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 7013 */   // MIs[2] val
     /* 7013 */   // No operand predicates
     /* 7013 */   // MIs[1] amt
     /* 7013 */   // No operand predicates
     /* 7013 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner9),
     /* 7017 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 7019 */   // Combiner Rule #160: bitreverse_lshr
     /* 7019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_SHL),
     /* 7022 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 7024 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 7028 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 7032 */   GIR_EraseRootFromParent_Done,
     /* 7033 */ // Label 460: @7033
     /* 7033 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(7077), // Rule ID 222 //
     /* 7038 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule159Enabled),
     /* 7041 */   // MIs[0] d
     /* 7041 */   // No operand predicates
     /* 7041 */   // MIs[0] src
     /* 7041 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 7049 */   // MIs[1] rev
     /* 7049 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 7053 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITREVERSE),
     /* 7057 */   // MIs[2] val
     /* 7057 */   // No operand predicates
     /* 7057 */   // MIs[1] amt
     /* 7057 */   // No operand predicates
     /* 7057 */   GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_GICombiner8),
     /* 7061 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 7063 */   // Combiner Rule #159: bitreverse_shl
     /* 7063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::G_LSHR),
     /* 7066 */   GIR_RootToRootCopy, /*OpIdx*/0, // d
     /* 7068 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 7072 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // amt
     /* 7076 */   GIR_EraseRootFromParent_Done,
     /* 7077 */ // Label 461: @7077
     /* 7077 */ GIM_Reject,
     /* 7078 */ // Label 94: @7078
     /* 7078 */ GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(7099), // Rule ID 178 //
     /* 7083 */   GIM_CheckSimplePredicate, GIMT_Encode2(GICXXPred_Simple_IsRule136Enabled),
     /* 7086 */   // MIs[0] dst
     /* 7086 */   // No operand predicates
     /* 7086 */   // MIs[0] src0
     /* 7086 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 7090 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 7094 */   // MIs[1] cst
     /* 7094 */   // No operand predicates
     /* 7094 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 7096 */   // Combiner Rule #136: constant_fold_fsqrt
     /* 7096 */   GIR_DoneWithCustomAction, /*Fn*/GIMT_Encode2(GICXXCustomAction_GICombiner81),
     /* 7099 */ // Label 462: @7099
     /* 7099 */ GIM_Reject,
     /* 7100 */ // Label 95: @7100
     /* 7100 */ GIM_Reject,
     /* 7101 */ }; // Size: 7101 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GICOMBINER_IMPL

#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
#ifdef GET_GICOMBINER_CONSTRUCTOR_INITS
, State(0),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GICOMBINER_CONSTRUCTOR_INITS

